commit f13f4d6cd83ba01315ac62755d70736705c40c99 (HEAD -> vte-0-74, tag: 0.73.93)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 5 19:29:34 2023 +0200

    build: Version 0.73.93

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37018892b8956e82c8517d17e1ee670447289080
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 5 19:29:08 2023 +0200

    widget: Don't consume right clicks on gtk4
    
    gtk4 still needs to handle context menus correctly, but on stable branch
    we need to remove always claiming the event since it doesn't do anything
    yet.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2593
    (cherry picked from commit ff1b03e450fddae623401d8dc619a6c4f17df42d)
    (cherry picked from commit 24547fb36377b3bbc39a91d887eb5161e73532e3)

 src/vte.cc | 10 ----------
 1 file changed, 10 deletions(-)

commit 279f4ea92501a08051b2e4f9cb0caf135ffd9cf3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 5 19:29:08 2023 +0200

    widget: Don't consume right clicks on gtk4
    
    gtk4 still needs to handle context menus correctly, but on stable branch
    we need to remove always claiming the event since it doesn't do anything
    yet.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2593
    (cherry picked from commit 5bf476f1d7283bc805ac8ae6abe94f81ffd7be05)
    (cherry picked from commit 5cabbd7b8d9fe2f78068916835f54c54c9b77f2a)

 src/vte.cc | 9 ---------
 1 file changed, 9 deletions(-)

commit ab0636be865f97434cccc6227dc21ca4f02f1139
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 5 19:29:08 2023 +0200

    widget: Defer alignment API to next cycle
    
    This API is untested and can possibly be improved, so don't freeze it now.
    
    (cherry picked from commit be0ca2a79414d3db2a991631148db63937c1a93e)
    (cherry picked from commit 66b69471ffda807cd6549dd9ae63e96fd8dd7a0a)
    (cherry picked from commit 9c5e459d134209e84d3e7eff6fa4fcd98b26ca3c)

 src/app/app.cc        |  43 --------
 src/vte/vteterminal.h |  28 ------
 src/vtegtk.cc         | 274 --------------------------------------------------
 src/vtegtk.hh         |   4 -
 4 files changed, 349 deletions(-)

commit e0720853f59ebf54e022b4cd164de2d9b8a21fc1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 5 19:29:08 2023 +0200

    all: Remove SIXEL support from stable branch
    
    The SIXEL support is not in a releasable state with
    important and fundamental problems still unsolved.
    
    (cherry picked from commit d578bd30b18a0d040305f356a3327fbd011e5451)
    (cherry picked from commit ba1e05c9ad34d0e48a823ad5a67b96baa166de24)
    (cherry picked from commit 6d80d3bca78397b2073f61e7954f3ceb45a8cb37)
    (cherry picked from commit d90b9d1139c3ce413670f34588506741673919bb)
    (cherry picked from commit 59d1403c455801dbbb64dadb55478bb0e5e96966)

 meson.build          |    2 -
 meson_options.txt    |    7 -
 src/app/app.cc       |    6 -
 src/debug.cc         |    1 -
 src/debug.h          |    1 -
 src/fwd.hh           |    8 -
 src/image.cc         |   68 ---
 src/image.hh         |  102 ----
 src/meson.build      |   56 --
 src/parser-cat.cc    |  327 -----------
 src/parser-seq.py    |    2 +-
 src/pty.cc           |    4 -
 src/ring.cc          |  225 +------
 src/ring.hh          |   45 --
 src/sixel-context.cc |  516 ----------------
 src/sixel-context.hh |  663 ---------------------
 src/sixel-fuzzer.cc  |  763 ------------------------
 src/sixel-parser.hh  |  669 ---------------------
 src/sixel-test.cc    | 1597 --------------------------------------------------
 src/vte.cc           |  179 +-----
 src/vtedefines.hh    |    6 -
 src/vtegtk.cc        |   26 +-
 src/vteinternal.hh   |   38 --
 src/vteseq.cc        |  226 +------
 src/widget.hh        |    3 -
 25 files changed, 20 insertions(+), 5520 deletions(-)

commit fa51c9bb7fe65b07178f5fd4dc5e7872e36aec53
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 4 21:27:45 2023 +0200

    build: Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c116c30471a547df752a9516ee14630143ab7bb0 (tag: 0.73.92)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 4 21:10:39 2023 +0200

    build: Version 0.73.92

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9423831f79935828ce62365d4b6b93ff2758e15e
Author: Zander Brown <zbrown@gnome.org>
Date:   Fri Aug 4 21:10:39 2023 +0200

    docs: Publish as gitlab pages
    
    Changes to developer.gnome.org means online documentation is no longer
    automatically generated from tarballs, so instead create the docs from
    CI when making a tag.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2545

 .gitlab-ci.yml       | 52 ++++++++++++++++++++++++++++++++++
 .gitlab-ci/docs.html | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)

commit 829a2c6aa9f43dba2d58cb0046980d1f235e3587
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 4 21:10:39 2023 +0200

    Revert "widget: Modernise HTML output"
    
    This reverts commit edddaaea9d35011ed1c74a7caf75fe639ebddaa7.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2625

 src/vte.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1bcf4bca8e5ba72b49ef2b756ea33b32adf5c28c
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Aug 4 21:10:39 2023 +0200

    pty: Fix exit delay in presence of a grandchild process
    
    When we notice that the child has quit, keep processing incoming data only as
    long as there's data immediately available, and only up to a certain amount
    which is presumably larger than the kernel's tty buffer size.
    
    This should be a more robust solution than the timeout-based one it replaces,
    in order to consume all the data produced by the immediate child and then to
    emit the child-exited signal without further delay.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2627

 src/vte.cc         | 117 ++++++++++++++++++++++++++---------------------------
 src/vteinternal.hh |   8 +---
 2 files changed, 59 insertions(+), 66 deletions(-)

commit 036d337cb84c3ff3e62c688f3f0a2a2056eb15ca
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Fri Aug 4 21:10:39 2023 +0200

    widget: a11y: Add missing text changes on scrolling with modifications
    
    When vte_terminal_accessible_text_scrolled gets called, the terminal
    might have not only scrolled, but also changed.  We thus have to check
    whether the remaining text really is exactly the same as expected.  If
    not, revert to updating the whole terminal.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/88

 src/vteaccess.cc | 159 ++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 129 insertions(+), 30 deletions(-)

commit fb09294b614184dae787098afcca4520bbfe856f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 4 21:10:39 2023 +0200

    build: Enable gtk4 by default

 meson_options.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37455029c841826bac8fa52e99055c7af6d43633
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Aug 1 21:23:43 2023 +0200

    widget: Do not count event as handled in more situations
    
    In order to play fair with other widgets/gestures along the event
    propagation chain, and other external gestures that might be set
    on the VTE widget (like the implicit GtkIMContext one for OSK
    integration), let the terminal be more selective at letting
    input events go through:
    
    - Feeding mouse events to applications only consumes the event
      if something was actually sent.
    
    - If a button press does not reset or extend the selection, it
      will be let through. Further motion may start a selection and
      result on a later claiming of input.
    
      There is however a small behavioral change here, since the
      unconsumed button presses being let through will also be more
      eagerly attempted to be fed to the running application.
    
    - Button releases that did not result in an extended selection
      will also be let through. This still observes extending the selection
      with shift+click instead of dragging
      (https://bugzilla.gnome.org/show_bug.cgi?id=683729)
    
    Altogether, the terminal widget gets better at not claiming input
    for itself until something actually happened in it, letting non-effective
    clicks go through, and coincidentally letting the implicit GtkIMContext
    gesture pick these up.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2630

 src/vte.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit d17120696cbeb50b68f38b7af78ce1a28ed4c7cd
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Aug 1 21:23:43 2023 +0200

    widget: Do not possibly deny early click gesture
    
    Not claiming right away on button press doesn't mean that the
    input from the gesture should be denied. There may be situations
    where it only makes sense to claim later on, thus the gesture
    should still remain in the initial undecided state.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2630

 src/widget.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 726c9247142e20dabfbe73be10ac1d004e2e702a
Author: David H. Gutteridge <gutteridge@pkgsrc.org>
Date:   Sat Jul 22 21:55:03 2023 +0200

    pty: Make netbsd workaround conditional on kernel version
    
    Only use the workaround of manually applying the cloexec and
    nonblocking flags when running on an old kernel not supporting
    these flags directly in the posix_openpty() call.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2575

 src/pty.cc | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 706e1de57c8b3c11f47541beb201770f336c13aa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jul 14 22:17:21 2023 +0200

    emulation: Treat unsupported SGR 4:n as no-underline
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2640

 src/parser-glue.hh | 21 +++++++++++++++++++++
 src/vteseq.cc      |  2 +-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 461bc3e43c819fa0e3b62d0cf40ef533a69cc7f7
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Jul 13 21:59:29 2023 +0200

    widget: Invalidate ringview when the invalidating
    
    When the ringview is not invalidated when the ring has changed leads to
    failed assertion aborts when handling events, e.g. vte#2636, vte#2637,
    vte#2632, vte#2577.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2636
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2637

 src/vte.cc | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 092d8b8f1d15d3f841f1b93e052a677a73713690
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 19 20:59:01 2023 +0200

    widget: Fix introspection annotations
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2633#note_1772933

 src/vtegtk.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dbb5e15ae66b9c4d11d8fed1800224ac46cbd634
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 18 15:14:59 2023 +0200

    widget: More docs and introspection annotation fixes
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2633#note_1771584

 src/vtegtk.cc | 36 ++++++++++++++----------------------
 1 file changed, 14 insertions(+), 22 deletions(-)

commit 22ee87447a1191b4be26bc69a566dd0f068c93ff
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jun 18 00:37:20 2023 +0200

    widget: Make get_text_range docs more accurate
    
    Document that passing a non-nullptr selection function will make this
    function return nullptr.

 src/vtegtk.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dce7b5f044b0f9e184f186315c846489a20edf0d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Jun 1 21:30:48 2023 +0200

    emulation: Fix infinite loop on non-number OSC 104 param
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2631

 src/vteseq.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7666d4763be31ceb673136ed09bb6fb7ccdfd48a
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Apr 23 21:50:38 2023 +0200

    draw: Remove need to generate code
    
    Use user-defined string literals to move the box drawing data into the
    source code, instead of having a separate text file that gets turned
    into code from a generator.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2628

 src/box-drawing.hh          | 863 ++++++++++++++++++++++++++++++++++++++++++++
 src/box_drawing.txt         | 768 ---------------------------------------
 src/box_drawing_generate.sh |  69 ----
 src/meson.build             |  13 +-
 src/minifont.cc             |   2 +-
 5 files changed, 865 insertions(+), 850 deletions(-)

commit a50cfaa7cb76d7486a45869b948cbcb8239d2fba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 13 11:56:32 2023 +0200

    widget: Fix compilation
    
    ... somehow the last commit was incompletely committer.
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/7975

 src/clipboard-gtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 587873b5cd4cedff259d32e37a37f11562f6dc11
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 11 20:54:44 2023 +0200

    widget: Fix setting clipboard with html data
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/7975

 src/clipboard-gtk.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 19acc51708d9e75ef2b314aa026467570e0bd8ee
Author: Eric Johnson <yut23@gvljohnsons.com>
Date:   Wed Apr 5 19:06:13 2023 +0200

    emulation: Fix invalid mouse scroll event on window edge
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2621

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cade2cf3713142e0fc606936066b840fc22287c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 5 19:06:13 2023 +0200

    widget: Fix introspection warnings

 src/vtegtk.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4da9d055f68f5b5dad9946b289a1836bd7c0fe8d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 5 19:06:13 2023 +0200

    widget: Fix cursor blink timeout
    
    Fix s/ms confusion to make the cursor stop blinking correctly.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2622

 src/vte.cc         | 30 ++++++++++++++++--------------
 src/vteinternal.hh | 12 ++++++------
 src/widget.cc      | 12 ++++++------
 3 files changed, 28 insertions(+), 26 deletions(-)

commit 7fa3e6220de8aad9174e5976d73553a8073c6e4f
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri Mar 31 10:11:16 2023 +0000

    Update Bulgarian translation
    
    (cherry picked from commit 307a7363cbee8a84ed569bc07593721f9f7d10ae)

 po/bg.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3c8f66be867aca6656e4109ce880b6ea7431b895
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 10 21:52:41 2023 +0100

    fonts: Keep the PangoLayout unchanged
    
    The previous commit still wasn't completely fixing the problem, since
    the FontInfo and the UnistrInfo are cached too, and m_layout will be
    re-used when creating the next UnistrInfo, but the code in
    pango_cairo_show_layout_line() requires the PangoLayout to still have
    the same text as when it was created for the UnistrInfo.
    
    To fix this, adopt the PangoLayout into the PangoLayoutLine cached in
    the UnistrInfo, and create a new layout for next use.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2606
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2620

 src/fonts-pangocairo.cc | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 22b3a562d5c95f5911560131c9f6f2df70881e34
Author: Christian Hergert <chergert@redhat.com>
Date:   Thu Mar 9 13:47:23 2023 -0800

    fonts: keep layout text available for cairo
    
    When a cairo recording surface is used, it will memcpy() the text and
    therefore expects the layout's text to be complete enough to contain each
    glyph item's offset from base pointer.
    
    This keeps that text around long enough to satisfy that requirement. It
    will be reset on the next operation/call to get_unistr_info().
    
    Fixes #2620

 src/fonts-pangocairo.cc | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit fb3220bee959d37f58daf702165f142ef9fab9f4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 8 20:36:48 2023 +0100

    all: Use defined values for defines
    
    ... instead of defined/undefined names, so that -Wundef can catch
    mistakes.

 meson.build             | 16 +++++++-------
 src/app/app.cc          |  4 ++--
 src/bidi.cc             | 14 ++++++-------
 src/bidi.hh             |  4 ++--
 src/cxx-utils.hh        |  2 +-
 src/debug.cc            |  8 +++----
 src/debug.h             |  4 ++--
 src/decoder-cat.cc      | 12 +++++------
 src/fonts-pangocairo.cc |  8 +++----
 src/fonts-pangocairo.hh |  2 +-
 src/glib-glue.cc        |  8 +++----
 src/glib-glue.hh        |  8 +++----
 src/keymap.cc           |  2 +-
 src/missing.cc          |  6 +++---
 src/missing.hh          |  6 +++---
 src/parser-cat.cc       | 38 ++++++++++++++++-----------------
 src/pty.cc              |  2 +-
 src/reflect.c           |  4 ++--
 src/ring.cc             | 20 +++++++++---------
 src/ring.hh             |  6 +++---
 src/sixel-context.cc    |  4 ++--
 src/spawn.cc            |  6 +++---
 src/vte.cc              | 56 ++++++++++++++++++++++++-------------------------
 src/vtegtk.cc           | 46 +++++++++++++++++++---------------------
 src/vteinternal.hh      | 29 +++++++++++++------------
 src/vteseq.cc           | 12 +++++------
 src/vtestream-file.h    | 16 +++++++-------
 src/vtetypes.cc         | 10 ++++-----
 src/vtetypes.hh         |  2 +-
 src/widget.cc           |  2 +-
 30 files changed, 177 insertions(+), 180 deletions(-)

commit 75543c3b30dbf696b084e927dabbf52a41d32638
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 8 20:36:47 2023 +0100

    all: Use __has_include
    
    ... instead of checking for header presence from meson.build.

 meson.build      | 21 ---------------------
 src/dumpkeys.c   |  7 ++++---
 src/mev.c        |  2 +-
 src/missing.cc   |  3 ++-
 src/pty.cc       |  9 +++++----
 src/vte.cc       | 12 +++++++-----
 src/vteaccess.cc |  2 +-
 src/vtegtk.cc    |  2 +-
 src/vteseq.cc    |  2 +-
 9 files changed, 22 insertions(+), 38 deletions(-)

commit bd4f781d168859eb42943a23487422224124467c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 8 20:36:47 2023 +0100

    fonts: Don't declare this inline

 src/fonts-pangocairo.cc | 2 ++
 src/fonts-pangocairo.hh | 3 ---
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 9b41cd1014299d01111b64b705f013e28398821a
Author: Khem Raj <raj.khem@gmail.com>
Date:   Thu Mar 2 22:57:00 2023 +0100

    pty: Do not typecast to GSpawnFlags
    
    GSpawnFlags is enum with max value 1 << 15 which means it fits into
    a short, however here we are oring VTE_SPAWN_* as well which have
    higher values (by design).  This fixes a compile error on clang 16
    with the -Wenum-constexpr-conversion flag.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2618

 src/vtepty.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 0677e390b5ddb4b70fe75185cbfe8210ee096a7b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 28 18:34:05 2023 +0100

    fonts: Remove unnecessary context change call
    
    Calling pango_context_changed() is not necessary here; all changes
    to the context done above this have already done that.

 src/fonts-pangocairo.cc | 2 --
 1 file changed, 2 deletions(-)

commit 241df48d93dbefc1559a6a4e7cea8e60735661d8
Author: Calvin Walton <calvin.walton@kepstin.ca>
Date:   Tue Feb 28 18:34:05 2023 +0100

    widget: Add API to override font options
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2573

 meson.build             | 18 ++++++-----
 src/drawing-cairo.cc    |  9 +++---
 src/drawing-cairo.hh    |  1 +
 src/fonts-pangocairo.cc | 58 +++++++++++++++++++++++------------
 src/fonts-pangocairo.hh |  8 +++--
 src/meson.build         |  2 ++
 src/vte.cc              | 18 +++++++++++
 src/vte/vteterminal.h   |  7 +++++
 src/vtegtk.cc           | 81 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/vtegtk.hh           |  1 +
 src/vteinternal.hh      |  3 ++
 11 files changed, 172 insertions(+), 34 deletions(-)

commit c8baa84d8cdfe9be774e8dbf62426348025df699
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 28 18:34:05 2023 +0100

    widget: Fix a deprecation warning

 meson.build          | 2 +-
 src/clipboard-gtk.cc | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit e343088f9d02be69c2ff377566b942553e6e21fd
Author: Calvin Walton <calvin.walton@kepstin.ca>
Date:   Tue Feb 28 18:34:05 2023 +0100

    widget: gtk4: Hint and quantize font metrics
    
    With gtk4, the font metrics are unhinted by default. This causes
    problems when measuring the font, since the width or height may
    have fractional pixel values that get rounded up - resulting in
    vte using integer cell sizes that are larger than would be
    appropriate for the font - the usual side-effect is that horizontal
    letter spacing looks too wide.
    
    To fix this, set the cairo font option to hint vertical metrics,
    which will result in the glyph ascent and descent values both being
    integers.
    
    Also make pango round glyph positions, so that the horizontal advance
    of the glyphs will be integers appropirate for a renderer that doesn't
    do sub-pixel glyph positioning.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2573

 src/cairo-glue.hh       |  1 +
 src/fonts-pangocairo.cc | 40 ++++++++++++++++++++++++++++++++--------
 2 files changed, 33 insertions(+), 8 deletions(-)

commit e8dcb5e0187f10dce9bdc67af66cff31f8dc630b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 24 18:54:12 2023 +0100

    widget: Fix introspection API
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2617

 src/vtegtk.cc | 1 +
 1 file changed, 1 insertion(+)

commit b92e9dc90841b6401707143122d05c9088720b5c
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Wed Feb 22 11:51:27 2023 +0000

    Update Turkish translation

 po/tr.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit abb7afd06c64769ff8754d2d82edd660cee16c64
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 11 19:10:09 2023 +0100

    build: More detailed version info

 meson.build | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit dcfc0ec44df3084987a6faa0fdc03e6de717c682
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 11 19:00:05 2023 +0100

    widget: Ensure the ringview is updated before converting coordinates
    
    When checking event coordinates, make sure the ringview is updated
    first, before converting the coordinates to grid coordinates.
    
    This should fix the top crash on retrace.fedora.org for all vte-based
    terminals (gnome-terminal, gnome-console, etc.).
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2577

 src/vte.cc | 70 +++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 53 insertions(+), 17 deletions(-)

commit 39ae174a159a5c50f250ad7547b056ea0a49859a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 3 21:52:20 2023 +0100

    widget: Update some Since annotations

 src/vtegtk.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit aa7689792918a9d4054e367139d166b146a5bd22
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 3 21:45:46 2023 +0100

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d1896427fb28b0aa32f5dd401f2a86e97452cf1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 21 10:24:38 2023 +0100

    widget: gtk4: Translate control+key events when using multiple layouts
    
    Same as for gtk3.
    
    https://gitlab.gnome.org/GNOME/gtk/-/issues/5384

 src/widget.cc | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit 015ca4d2fdc57b625add7b23b0afa7193adc45a9
Author: Martin Kühl <martin.kuehl@posteo.net>
Date:   Fri Dec 30 20:07:49 2022 +0100

    widget: Use correct end row for getting the selected text
    
    The range is end-exclusive, so use end_row() instead of last_row().
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2584

 src/vtegtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ee2495486e3266ab0037daad0b1cf220bd254b0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 20 22:11:56 2022 +0100

    widget: Add API to get text as HTML
    
    Based on a patch by Lex Bailey <gitcommit@lexbailey.me>.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2589

 src/glib-glue.hh      |  16 ++++++
 src/vte/vteterminal.h |  17 +++++-
 src/vtegtk.cc         | 147 ++++++++++++++++++++++++++++++++++++++++++--------
 3 files changed, 156 insertions(+), 24 deletions(-)

commit 8d74fb84e2031a5f3373ef07f7862b0e49966a87
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 20 22:11:56 2022 +0100

    parser: Add more OSC codes

 src/parser-osc.hh | 2 ++
 1 file changed, 2 insertions(+)

commit a36843510ae24b4687840efd4f03afa6bac0bafe
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 20 22:11:56 2022 +0100

    widget: clipboard: Add missing else

 src/clipboard-gtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdb309bd0470fd5780039e72868e949291cc2791
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 20 22:11:55 2022 +0100

    parser: modes: Mark modes that should not be reset by DECSTR

 src/modes.py | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit eaf5d30427bfc60f2a5eedd44d97062d57a76042
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 20 22:11:55 2022 +0100

    parser: Update list of known OSC codes
    
    ... with new codes from xterm master.

 src/parser-osc.hh | 3 +++
 1 file changed, 3 insertions(+)

commit adc5e8fa46cd328354570738aeb3418562b7695e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 29 22:17:36 2022 +0100

    pty: Remove useless setenv calls
    
    Spawning will always provide its own envp which will replace the
    environment when execve()ing.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/271

 src/pty.cc | 9 ---------
 1 file changed, 9 deletions(-)

commit c6ad5731719ca21ba2fbe6edc63da47916dc056f
Author: Vasil Pupkin <3abac@3a.by>
Date:   Sun Nov 27 20:27:12 2022 +0000

    Update Belarusian translation

 po/be.po | 77 +++++++++++++++++++++++++++-------------------------------------
 1 file changed, 32 insertions(+), 45 deletions(-)

commit edddaaea9d35011ed1c74a7caf75fe639ebddaa7
Author: Noa <coolreader18@gmail.com>
Date:   Wed Nov 16 20:39:44 2022 +0100

    widget: Modernise HTML output
    
    Use <span> instead of <font> for copy-as-html functionality
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2604

 src/vte.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 61e705bbd9d92670cca7a8519b62133033791936
Author: Matthew Rose <mattrose@folkwolf.net>
Date:   Wed Nov 16 20:35:22 2022 +0100

    missing: Add better fdwalk implementation for darawin
    
    Port of glib!3040 to vte.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2602

 src/missing.cc | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit fc3c7b4358cdfacec0285a84971a27b17b7498b5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 15 00:31:51 2022 +0100

    build: Print warning on unstable release

 meson.build | 6 ++++++
 1 file changed, 6 insertions(+)

commit 862561bcbd1547783aca0c56d799cadc087bb2b5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 15 00:31:51 2022 +0100

    build: Add define for openbsd

 meson.build | 5 +++++
 1 file changed, 5 insertions(+)

commit 8ef3f6b2f8043d28cbc82520eb094f09333b26ae
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 23 16:24:57 2022 +0200

    build: Add define for darwin
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2592

 meson.build | 6 ++++++
 1 file changed, 6 insertions(+)

commit e0675c6533c23c0bdda6531617428cdfe5979ad9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 23 16:24:57 2022 +0200

    build: Fix netbsd define

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c735479b7542b938bfb9709860fff58c5ca9fe6f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 21 22:13:53 2022 +0200

    app: Disconnect signal handlers on dispose
    
    Fixes two critical warnings when closing a window with the close button.

 src/app/app.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 3cffe18b25a4c04e9ee0c7e090f349805d43c680
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 21 22:13:53 2022 +0200

    lib: Add gresources to vte/gtk4

 src/meson.build            | 13 ++++++++++++-
 src/vte-gtk4.gresource.xml | 21 +++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 391cd322f0c176d052da5417d3e372cf861c5b06
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Sep 20 21:39:11 2022 +0200

    app: Filter unwanted environment variables

 src/app/app.cc | 85 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 83 insertions(+), 2 deletions(-)

commit 9dbae321af881924b5cae245b3d956497e088437
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sun Sep 18 15:21:38 2022 +0000

    Update Turkish translation

 po/tr.po | 94 ++++++++--------------------------------------------------------
 1 file changed, 11 insertions(+), 83 deletions(-)

commit bcf5c975e76e585dc5f0cf3dbc5e7a057c3af183
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 18 13:02:32 2022 +0200

    pty: netbsd fix
    
    On netbsd, posix_openpt() accepts O_NONBLOCK | O_CLOEXEC, but silently
    ignores them, so they need to be applied explicitly afterwards.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2575

 src/pty.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 10f7d7ecf0b9939e264c12c0ec625db66b0d606a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 18 13:02:32 2022 +0200

    build: Update meson req version

 meson.build | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit fb604fe287abf64645a83ef27e2c05da14fbbae0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 5 00:03:52 2022 +0200

    widget: Fix value type check

 src/clipboard-gtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bc143b3e540aa1a6a07dbad45d6caf8c0755a7e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 1 18:34:03 2022 +0200

    widget: Clipboard fixes for gtk4
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2557

 src/clipboard-gtk.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e4d500a302db008063f11fd95a984ed28b9d61f3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 1 18:34:03 2022 +0200

    widget: Offer text/html also in UTF-8 format
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2527

 src/clipboard-gtk.cc | 63 ++++++++++++++++++++++++++++++++++------------------
 1 file changed, 42 insertions(+), 21 deletions(-)

commit b72b397be45045bc5464ba8ed889f6fb2b39989a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 1 18:34:03 2022 +0200

    widget: Implement clipboard for gtk4
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2557

 src/clipboard-gtk.cc | 536 ++++++++++++++++++++++++++++++++++++++++++++++++---
 src/clipboard-gtk.hh |  15 +-
 src/glib-glue.hh     |   1 +
 src/gtk-glue.hh      |   1 +
 src/vte.cc           |   4 +-
 src/widget.cc        |   5 +-
 src/widget.hh        |   3 +-
 7 files changed, 530 insertions(+), 35 deletions(-)

commit fd6d6226272cda3e8c4d4a58e84c796656264566
Author: Alexander Mikhaylenko <alexm@gnome.org>
Date:   Thu Sep 1 05:13:53 2022 +0400

    widget: Fix Widget::regex_match_check_at()
    
    It was calling Terminal::regex_match_check() instead of
    Terminal::regex_match_check_at().
    
    Fixes https://gitlab.gnome.org/GNOME/vte/-/issues/2578

 src/widget.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4abc09b0950e2b1593782116b7fa9fc2e7ffba1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 19 00:03:13 2022 +0200

    lib: Fix spawning on netbsd
    
    Add netbsd to the platforms that can safely use sysconf(3) to close the
    file descriptors before exec, since according to netbsd's man:sigaction(2),
    sysconf(3) is async-signal-safe.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2574

 src/missing.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b750a348afb4085786e86fe80ac73caad1b829a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Aug 16 17:03:33 2022 +0200

    widget: Use correct view coordinates
    
    The conversion needs to take the border into account.

 src/vte.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 70366d113516382038c69f863c9915753041e563
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Aug 9 21:08:06 2022 +0200

    widget: gtk4: Only notify terminal when focused
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2555#note_1524795

 src/widget.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d7b1da6f8203a732fdc850b991236708adc0d52f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Aug 9 21:08:06 2022 +0200

    widget: gtk4: Don't grab the focus on focus-in
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2555

 src/vte.cc | 3 +++
 1 file changed, 3 insertions(+)

commit b51cc92ccae2b37ff6bb0acb8bf0a8dca19b3731
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:24:01 2022 +0200

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b804dec1990b4c880bb302b2862bf920bc2a11f7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:18:25 2022 +0200

    build: Update gtk3 req version
    
    Commit 5147453115f46d2dc91b797cd12f2ede220ea100 introduced a dependency
    on gtk 3.24, so update the req, min and max versions.

 meson.build | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 20d83ba052c94c0030f2964e1cbad7b012af81a2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:11:18 2022 +0200

    build: Remove gtk4 notice
    
    While not completely stable yet, it's no longer experimental.

 meson.build | 4 ----
 1 file changed, 4 deletions(-)

commit 84e4bccac4563af107a1c0a31fcb509ee4fa7032
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:04:10 2022 +0200

    Revert "emulation: Support XTVERSION sequence"
    
    This reverts commit 0718a9a7f9300b2526eddb0fc74e25eef34795ba.
    
    Issue #235 shows commiting this was premature and there's more discussion needed.

 src/parser-reply.hh |  1 -
 src/parser-seq.py   |  2 --
 src/vteseq.cc       | 32 ++------------------------------
 3 files changed, 2 insertions(+), 33 deletions(-)

commit 6eb98158c704eb9919bc324174c1f1147086f6ac
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:04:10 2022 +0200

    widget: Correct some Since annotations

 src/vtegtk.cc | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 2f255b2045fe5571c80fc9ded70af7f144ac839b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Aug 5 21:04:10 2022 +0200

    build: Build fix for netbsd
    
    Define _NETBSD_SOURCE to get all necessary defines exposed, as found
    from a patch in netbsd ports.

 meson.build | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit a07cfcde3e595084ebc72c96c41857bf05c4c668
Author: Alexander Mikhaylenko <alexm@gnome.org>
Date:   Thu Aug 4 20:04:25 2022 +0400

    widget: Only avoid reentrant queue_resize() in GTK4
    
    Fixes https://gitlab.gnome.org/GNOME/vte/-/issues/2572

 src/vte.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 5d732ad6f6f377e31260ae18dbc24d44f3a587e8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Aug 3 22:58:02 2022 +0200

    widget: Listen for toplevel focus change
    
    Update the cursor state when the toplevel focus changes.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2555

 src/vte.cc         | 9 ---------
 src/vteinternal.hh | 1 -
 src/widget.cc      | 5 ++++-
 3 files changed, 4 insertions(+), 11 deletions(-)

commit d46756b89cfbb61929812ca2bd1d8c13a9504044
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Aug 3 22:58:02 2022 +0200

    widget: Listen for toplevel focus change
    
    Need to listen to notify::state on the toplevel the widget is in, so
    as to generate the correct focus notifications (DECSET 1004).
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2555

 src/vte.cc         |   9 +++++
 src/vteinternal.hh |   1 +
 src/widget.cc      | 113 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/widget.hh      |  12 ++++++
 4 files changed, 135 insertions(+)

commit 901558bf471299e483976770e062730f35c13414
Author: Jeremy Bicha <jeremy.bicha@canonical.com>
Date:   Fri Jul 29 22:23:50 2022 +0200

    docs: Install toml file to subdir
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2570

 doc/reference/meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 08d71a30d4feb8596a9ca3b39ab1c73bc6ecff10
Author: Alexander Mikhaylenko <alexm@gnome.org>
Date:   Wed Jul 27 15:42:47 2022 +0400

    widget: Don't queue_resize() during allocation
    
    This is not allowed, and while here it mostly works by accident, it's
    possible to break it - for example, if it resizes while unmapped.
    
    See https://gitlab.gnome.org/GNOME/console/-/merge_requests/102#note_1510384

 src/vte.cc         | 16 ++++++++++------
 src/vtegtk.cc      |  2 +-
 src/vteinternal.hh |  3 ++-
 3 files changed, 13 insertions(+), 8 deletions(-)

commit 2d165b61f527472a7a7eccee3e94f8ec96690245
Author: Alexander Mikhaylenko <alexm@gnome.org>
Date:   Mon Jul 25 22:25:08 2022 +0200

    widget: gtk4: Don't invalidate endlessly
    
    Have early returns to skip invalidation like in the gtk3 codepath.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2566

 src/vte.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 6beb9246d84d3161e1ea377417d0a2b9a8fb1e90
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jul 25 22:25:08 2022 +0200

    widget: gtk4: Lower the priority of the style provider
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2567

 src/vtegtk.cc | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 409cc91b95c21f83b1978796495ee8dfcfd42dfd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jul 24 15:20:18 2022 +0200

    widget: gtk: Make new API naming self-consistent

 src/vte/vteterminal.h |  8 ++++----
 src/vtegtk.cc         | 18 +++++++++---------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 0effa40fd9520e7e9af83d5a26d0d7be58b4094e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jul 24 14:45:57 2022 +0200

    widget: gtk4: Add API to check event context
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2530

 src/vte.cc            |  33 +++++++++
 src/vte/vteterminal.h |  33 +++++++++
 src/vtegtk.cc         | 183 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/vteinternal.hh    |  20 +++---
 src/widget.hh         |  27 ++++++++
 5 files changed, 288 insertions(+), 8 deletions(-)

commit 011b7acc60b71ea4762544ee72d106c3bccfa131
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jul 22 21:39:12 2022 +0200

    widget: gtk4: Make background API available on gtk4
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/12#note_1506942

 src/vte/vteterminal.h | 4 ----
 src/vtegtk.cc         | 4 ----
 2 files changed, 8 deletions(-)

commit 93e3d17cbb45b636a298d27a9af223a4e405382e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jul 22 21:39:12 2022 +0200

    widget: Add format arg to new API to get selected text

 src/vte/vteterminal.h |  3 ++-
 src/vtegtk.cc         | 12 +++++++++---
 2 files changed, 11 insertions(+), 4 deletions(-)

commit 0a663194fc1d4c9f5c2f952f6ccfea8a8a4719f7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jul 13 21:14:31 2022 +0200

    build: Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4754ba9e4394d4e02af72e548060aadbe431f5b (tag: 0.69.90)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jul 13 21:10:01 2022 +0200

    build: Version 0.69.90
    
    Release required for gnome 43α.

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ed53bfaa7344ce5b7727a60a2d33315b15201e5
Author: Jamie Murphy <hello@jamiethalacker.dev>
Date:   Sun Jul 3 21:48:03 2022 +0200

    widget: Add API to get selected text
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2563

 src/vte/vteterminal.h |  3 +++
 src/vtegtk.cc         | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

commit 0372107ad01e84912ac6c4806f4b6b1c47d8634b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jun 25 20:37:29 2022 +0200

    build: Make sure __BSD_VISIBLE is defined on freebsd
    
    By not defining any of the other feature macros, it *should* enable all
    of them.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 meson.build | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 9daa0f24da191a52e1344148ac3c0c5dcf20a6b6
Author: Zurab Kargareteli <zuraxt@gmail.com>
Date:   Sat Jun 25 07:22:11 2022 +0000

    Update Georgian translation

 po/ka.po | 141 +++++++++++++++++++--------------------------------------------
 1 file changed, 41 insertions(+), 100 deletions(-)

commit c033d7583ec6d565e5a4be902cca1e1c882e07a7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jun 24 22:11:13 2022 +0200

    build: Define __BSD_VISIBLE on freebsd
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564#note_1485997

 meson.build | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit bd65f62bb4eb9329b51b4665ab2abefbc4f5ff81
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jun 24 22:11:13 2022 +0200

    all: Include <termios.h> directly
    
    <sys/termios.h> is just a deprecated way to include <termios.h> anyway.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 meson.build    | 1 -
 src/dumpkeys.c | 7 +------
 src/mev.c      | 5 -----
 src/pty.cc     | 5 -----
 src/vte.cc     | 5 ++---
 5 files changed, 3 insertions(+), 20 deletions(-)

commit 554690e7b3dcbbbf405f7600799da48e920c9024
Author: Zander Brown <zbrown@gnome.org>
Date:   Thu Jun 23 21:30:57 2022 +0200

    glib: glue: Include string
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 src/glib-glue.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8de26d1ea368d762a30d682da29df28935244cb2
Author: Zander Brown <zbrown@gnome.org>
Date:   Wed Jun 22 20:04:47 2022 +0200

    glib: glue: Include string_view
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 src/glib-glue.cc | 1 +
 1 file changed, 1 insertion(+)

commit 67755af670ed1e560d34a441ea30eb4446ca3671
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jun 22 00:20:56 2022 +0200

    build: Define list of libc feature test macros only once

 meson.build | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 0c949a6b9a8874cdafa56f64bd8650d7b9349133
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Jun 21 23:56:22 2022 +0200

    lib: Fix reserved size calculation

 src/pastify.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cce95426d442f5af0d7ed684debf9389323591f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Jun 21 23:52:35 2022 +0200

    build: Bump meson req version to 0.51
    
    ... since we already uses feature from that version.

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b75bf6220ea53d738911090a97125a5671f3de9
Author: Zander Brown <zbrown@gnome.org>
Date:   Tue Jun 21 23:52:35 2022 +0200

    build: Use an explict python interpreter
    
    Add the python interpreter explicitly to the custom_target's command,
    so that it runs them with that python instead of the environment's.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/350
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 src/meson.build | 2 ++
 1 file changed, 2 insertions(+)

commit 7fb4e9a75d9a521079a55c976ad4d115cd7b03e4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Jun 21 23:18:55 2022 +0200

    build: Check for python version

 meson.build | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 8f53192432560e61b6c0de3692de44c245c40e55
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Jun 21 22:55:21 2022 +0200

    build: Also set _XOPEN_SOURCE
    
    This is necessary on e.g. freebsd to use grantpt().
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2564

 meson.build | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b51feeca889d4b597e95b21bc77dc078892af11d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon May 9 20:17:48 2022 +0200

    widget: gtk4: Simplify invalidation tracking
    
    We can't invalidate regions of the widget on gtk4 and so always
    invalidate everything anyway, so remove the update rect tracking.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2562

 src/vte.cc         | 30 +++++++++++++++++++++++++-----
 src/vteinternal.hh |  2 ++
 2 files changed, 27 insertions(+), 5 deletions(-)

commit 4628822dbc45be6444fb11719bc955a630f5fbb1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 3 21:57:58 2022 +0200

    docs: Port to gi-docgen
    
    This greatly simplifies building the documentation for both vte/gtk3 and
    vte/gtk4.

 doc/reference/vte-gtk3.toml.in | 54 ++++++++++++++++++++++++++++++++++++++
 doc/reference/vte-gtk4.toml.in | 59 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

commit 0f7a2ff5b87a40b28f3c340a40ed9ff7ecad459b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 3 21:57:58 2022 +0200

    docs: Port to gi-docgen
    
    This greatly simplifies building the documentation for both vte/gtk3 and
    vte/gtk4.

 Makefile.meson                     |   4 +-
 doc/reference/Makefile.docs        | 520 -------------------------------------
 doc/reference/gtk3/meson.build     |  55 ----
 doc/reference/gtk4/meson.build     |  55 ----
 doc/reference/licence.md           |  27 ++
 doc/reference/meson.build          |  87 ++++++-
 doc/reference/vte-docs.xml         | 182 -------------
 doc/reference/vte-overrides.txt.in |   0
 doc/reference/vte-sections.txt.in  | 281 --------------------
 doc/reference/vte.types.in         |  17 --
 meson.build                        |   4 -
 11 files changed, 106 insertions(+), 1126 deletions(-)

commit 5147453115f46d2dc91b797cd12f2ede220ea100
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 3 21:03:54 2022 +0200

    widget: Ignore synthetic scroll events
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2561

 src/widget.cc | 27 ++++++++++++++++++---------
 src/widget.hh |  2 +-
 2 files changed, 19 insertions(+), 10 deletions(-)

commit 1398ac862fb10b3cb7cdfc8267be2df5d5f39eb5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 20 20:26:06 2022 +0200

    fonts: gtk4: Create a new pango context
    
    Don't use the widget's pango context, since it may contain weird font
    description and attributes.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2558

 src/fonts-pangocairo.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 820bb7ba14f996d0f93172ccd37accb48be36054
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 20 20:26:06 2022 +0200

    fonts: Pass nullptr for language
    
    No need to re-set the context's language to its current value.

 src/fonts-pangocairo.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 01647f9aa8891cf2ef0b524edb19d8c18730dd98
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 20 20:26:06 2022 +0200

    fonts: Only set language if different to the current language

 src/fonts-pangocairo.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 17024047b06f72ad6cd431b200bd710d11ffd268
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 18 19:39:01 2022 +0200

    widget: Fix padding borders
    
    On gtk3, the padding needs to be added to the widget's size request, and
    is inside its allocation, while on gtk4, the padding is outside the
    widget's allocation.  The inner padding (use to [xy]align and [xy]fill
    properties) is always inside the allocation.
    
    Also fixes event coordinate translation on gtk4 to take the inner border
    into account.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2554

 src/vte.cc         | 239 +++++++++++++++++++++++++++++++++++------------------
 src/vteaccess.cc   |   4 +-
 src/vtegtk.cc      |   4 +-
 src/vteinternal.hh |  35 +++++---
 src/widget.cc      |  54 +++++-------
 src/widget.hh      |   6 +-
 6 files changed, 207 insertions(+), 135 deletions(-)

commit 8c4b920cba056d1100a15eae5f4aa02c92452dcb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 18 19:39:01 2022 +0200

    build: Try to fix pwrite detection on non-glibc systems
    
    Define _POSIX_C_SOURCE for POSIX 2008.

 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e53cd45100848bfe782dbc5c4bf47ca94c46ec16
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 12 22:02:49 2022 +0200

    app: Don't override widget's CSS names
    
    Setting a different CSS name makes the VteTerminal builtin CSS not
    apply.
    
    Related to #2554.

 src/app/app.cc | 5 -----
 1 file changed, 5 deletions(-)

commit bbd3f97b7d40988f4a9ed1e4e8723537b3836dd0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 11 22:47:48 2022 +0200

    widget: Queue a resize on CSS changes
    
    Suggested by Christian Hergert in #2554.

 src/widget.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit af8f53aae88aa09890d4baed7ed718f81e6489d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 11 22:47:48 2022 +0200

    widget: Remove errneous gtk_widget_allocate call
    
    This breaks widget positioning, and isn't necessary in any case. Noticed
    by Christian Hergert in #2554.

 src/widget.cc | 2 --
 1 file changed, 2 deletions(-)

commit 254416436fe346ffc23fb4bb79460f7fdb60171e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Apr 8 21:50:18 2022 +0200

    bindings: vala: Add vapi for vte/gtk4
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2546

 bindings/meson.build      |  2 +-
 bindings/vala/meson.build | 85 +++++++++++++----------------------------------
 2 files changed, 24 insertions(+), 63 deletions(-)

commit 9a3769b22da64a040f8ab306f25cecc3e25e2305
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Apr 8 21:50:18 2022 +0200

    bindings: vala: Remove the test app
    
    It only existed anymore to test that comping a vala programme with the
    vte vapi works, but it's been broken by vala changes a couple of times,
    and also is too much work to port to gtk4.  So just remove it.

 bindings/vala/app.gresource.xml |   23 -
 bindings/vala/app.ui            |  152 ------
 bindings/vala/app.vala          | 1099 ---------------------------------------
 bindings/vala/config.vapi       |    5 -
 bindings/vala/search-popover.ui |  249 ---------
 5 files changed, 1528 deletions(-)

commit 16e65aa7bea7b5781248be6fa904e3ee1077efdc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Apr 8 21:38:50 2022 +0200

    bindings: gir: Change vte/gtk4 gir nsversion
    
    The previous scheme of prepending a '4' proved to be problemativ, see
    issue 2550.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2550

 bindings/gir/meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6a80bec4bf7a1e52057c03d2c73cce1bf248c6d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 3 23:25:51 2022 +0100

    build: Fix debug build
    
    Add missing sources for the test.

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b433a647fde406d059e5fbf48ba47b847c136917
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 1 23:08:53 2022 +0100

    build: Fix debug build
    
    Add missing sources for the test app.

 src/app/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a0a7f3c5dd1b9c798bfa0f1f0a13661167f54a3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 1 21:12:12 2022 +0100

    lib: Move glib glue code to glib-glue.cc

 src/glib-glue.cc | 180 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/meson.build  |   1 +
 src/vtegtk.cc    | 145 --------------------------------------------
 3 files changed, 181 insertions(+), 145 deletions(-)

commit 5770e39b5a908952237bc8288e5342eb08c1d5bb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 28 17:37:43 2022 +0100

    spawn: Fix build without CLOSE_RANGE_CLOEXEC
    
    Only call close_range() when CLOSE_RANGE_CLOEXEC is defined.
    Fixes the build on non-linux.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2544

 src/spawn.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f4b915aea367d407f8ac527e1aed9425b8cea9e2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 12 19:19:40 2022 +0100

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b70729f508d11abf9a7c2ccb5f1cd675e465f954
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 11 19:03:16 2022 +0100

    widget: Fix some API version tags
    
    The alignment API was deferred to 0.70, so correct the Since: tags.

 src/vtegtk.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit e03e6ebaf08f9059308088f472a09b96d359a38f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 11 19:03:16 2022 +0100

    sixel: Remove stray semicolon

 src/sixel-test.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fa45b4b177989d35fad927e9f8f9d57d4dbba2a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 10 21:07:24 2022 +0100

    sixel: Fix DECGRI for parameter value 0
    
    A DECGRI 0 should be treated like a DECGRI 1, as per DEC documentation.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2543

 src/sixel-context.hh | 5 ++++-
 src/sixel-test.cc    | 8 ++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit edaca046502c02a4b2e247bebae3f69f3ecb6ebd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 8 20:53:03 2022 +0100

    build: Change gtk4 GIR version hack
    
    Seems gjs has a problem with this, so use a diffferent character.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2539

 bindings/gir/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 467063842ccee1f2917906755103101c476cc982
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 8 20:30:31 2022 +0100

    widget: Deprecate VteCharAttributes struct

 src/meson.build         |  1 -
 src/vte/vtedeprecated.h | 12 +++++++++++-
 src/vte/vteterminal.h   |  9 ---------
 src/vtegtk.cc           |  6 ++++++
 4 files changed, 17 insertions(+), 11 deletions(-)

commit ab85f122db965d56ace54d01fd391300795ee0c0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 8 20:30:31 2022 +0100

    widget: Deprecate the attributes out-param for vte_terminal_get_text
    
    Part of the future fix for issue #2504.

 src/vtegtk.cc | 38 +++++++++++++++++++++++++++++++++-----
 1 file changed, 33 insertions(+), 5 deletions(-)

commit 1e7be827e0fbfefddc8e785bdaac43dd353134e4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 8 20:30:31 2022 +0100

    lib: Remove misplaced inline from function declaration

 src/cxx-utils.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0718a9a7f9300b2526eddb0fc74e25eef34795ba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 3 20:58:11 2022 +0100

    emulation: Support XTVERSION sequence

 src/parser-reply.hh |  1 +
 src/parser-seq.py   |  2 ++
 src/vteseq.cc       | 32 ++++++++++++++++++++++++++++++--
 3 files changed, 33 insertions(+), 2 deletions(-)

commit e78b08c09dc3972ed9415fa5b82d47080a7380ca
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 3 20:58:11 2022 +0100

    parser: Fix comments

 src/parser-charset-tables.hh | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 49a4b4b73b75805ff40ccdab93f098d3e7c8962d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 3 20:58:11 2022 +0100

    fonts: Fix height check

 src/fonts-pangocairo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1fee6a62d87893dceffda5cbce698ebf897a9e7
Author: Naala Nanba <naala-nanba@rambler.ru>
Date:   Tue Feb 1 20:46:26 2022 +0000

    Add Abkhazian translation

 po/LINGUAS |  1 +
 po/ab.po   | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

commit a8cd0885e4382f634a3549a417969567d1ca87d1
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sat Jan 29 11:51:06 2022 +0000

    Update Icelandic translation
    
    (cherry picked from commit e217f867ebbd0792051ccb51d7c1cd3a0555ca67)

 po/is.po | 71 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 47 insertions(+), 24 deletions(-)

commit 009a975e587ce22d76107d3720d60532c2c759d0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jan 14 21:20:50 2022 +0100

    widget: Fix measure baseline to return -1

 src/widget.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e32dba1d5cf884959af5b2c0691db00c263ea048
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 27 19:24:46 2021 +0100

    build: Fix check for -fstack-protector* compiler support
    
    Need to use has_link_argument() on some platforms.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2535

 meson.build | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 730cca20d69cdd7fc8a67b6f578293b07373cf97
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 22 21:22:35 2021 +0100

    app: Fix context menu styling
    
    Somehow with a recent gtk3 version, the context menu inherits the monospace
    style of the VteTerminal.

 src/app/app.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 980b3f4f62051e8acf0a2a2973c861dbf8fff4db
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 22 21:22:35 2021 +0100

    widget: Split alignment and fill properties
    
    Don't encode fill as a flag within the VteAlign enum.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/337

 doc/reference/vte-sections.txt.in |   4 ++
 src/app/app.cc                    |  17 ++++-
 src/vte.cc                        |  18 +++--
 src/vte/vteenums.h                |   5 --
 src/vte/vteterminal.h             |  14 ++++
 src/vtegtk.cc                     | 142 ++++++++++++++++++++++++++++++++++++--
 src/vtegtk.hh                     |   2 +
 src/vteinternal.hh                |  10 +--
 src/widget.cc                     |   6 +-
 src/widget.hh                     |  28 +++++++-
 10 files changed, 221 insertions(+), 25 deletions(-)

commit ba78631c2d1293575f9fef3d90989f3bcb97d077
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Wed Dec 1 08:22:54 2021 +0100

    vala: Reference of [GtkChild] field is handled by GtkBuilder, type must be unowned

 bindings/vala/app.vala | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 069b68f393c46ebfc6734708f1446419ceed95da
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Wed Dec 1 08:21:36 2021 +0100

    vala: Fix accessibility of constant intializer expression

 bindings/vala/app.vala | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f93a093fb2a4029ea365b24f5105b8f45a14bcd7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 27 19:45:07 2021 +0100

    terminal: Make CRLF pastification smarter
    
    Replace lone LF with CR as previously, but replace a CR LF also
    with CR only, not CR CR.
    
    This may help with https://gitlab.gnome.org/GNOME/gtk/-/issues/2307 .

 src/pastify-test.cc |  5 ++++-
 src/pastify.cc      | 30 +++++++++++++++++++++---------
 2 files changed, 25 insertions(+), 10 deletions(-)

commit 4bbd956a155f133c289e514a8f2e48c435096258
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 27 19:45:07 2021 +0100

    terminal: Make pastification not replace something with nothing
    
    Replacing something with nothing may be dangerous in itself. So
    instead of omitting the forbidden controls from the pasted string,
    replace the controls with their control picture (or U+FFFD for
    the C1 controls which have no control pictures in unicode).

 src/pastify-test.cc | 29 +++++++++++--------
 src/pastify.cc      | 81 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/pastify.hh      |  3 ++
 3 files changed, 101 insertions(+), 12 deletions(-)

commit 7daaabbc6d8c217b01f94e28c43656fad1170391
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 27 19:45:07 2021 +0100

    terminal: Add tests for text paste transformation
    
    Move the paste transformation to its own file, and add tests.

 src/meson.build     |  20 +++++-
 src/pastify-test.cc | 198 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/pastify.cc      | 108 ++++++++++++++++++++++++++++
 src/pastify.hh      |  30 ++++++++
 src/vte.cc          |  65 ++---------------
 src/vteinternal.hh  |   2 +-
 src/widget.cc       |   2 +-
 src/widget.hh       |   2 +-
 8 files changed, 364 insertions(+), 63 deletions(-)

commit ffefea92b97afd334b2f09df7a2ef040598de1c8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 27 19:45:07 2021 +0100

    parser: Fix some control codes
    
    NAK and WM had the wrong codes assigned. Since both are NOPs, this
    wasn't allowing incorrrect behaviour, but needs to be corrected still.

 src/parser-seq.py | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit 205aecf066326de679138106a004a0e893935a9f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 27 19:45:07 2021 +0100

    widget: Fix Since version for new API

 src/vte/vteterminal.h | 3 ++-
 src/vtegtk.cc         | 7 ++++---
 2 files changed, 6 insertions(+), 4 deletions(-)

commit b8cbae1a81ad879128e492d524ee55306ecf9168
Author: Zander Brown <zbrown@gnome.org>
Date:   Wed Nov 24 12:17:14 2021 +0000

    widget: add vte_terminal_paste
    
    Allow providing an explict string to "paste"
    
    Fix: https://gitlab.gnome.org/GNOME/vte/-/issues/2531

 doc/reference/vte-sections.txt.in |  1 +
 src/vte.cc                        |  3 +--
 src/vte/vteterminal.h             |  2 ++
 src/vtegtk.cc                     | 25 +++++++++++++++++++++++++
 src/vteinternal.hh                |  3 +--
 src/widget.cc                     |  2 +-
 src/widget.hh                     |  1 +
 7 files changed, 32 insertions(+), 5 deletions(-)

commit ebecf6ac04488d0d697c255d582ea891c3bf1577
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 7 13:38:23 2021 +0100

    lib: Check for close_range function and use it when available
    
    This should enable using close_range also on non-linux platforms that
    do have close_range, e.g. freebsd and (soon) hurd.
    
    Part of https://gitlab.gnome.org/GNOME/vte/-/issues/2528 .

 meson.build    |  7 +++++++
 src/missing.cc | 29 +++++++++--------------------
 src/missing.hh | 11 +++++++++++
 src/spawn.cc   | 12 ++++++++++++
 4 files changed, 39 insertions(+), 20 deletions(-)

commit 86d004afa2bc563977e4ffd9a12181b58b770b0e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 7 13:38:23 2021 +0100

    build: Rework function checks
    
    Meson's compiler.has_function() is broken when the function checked for
    has multiple overloads, e.g. for strchrnul which has overloads for
    char* and const char*.
    [https://github.com/mesonbuild/meson/issues/8075].
    
    Use compiler.compiles() instead with hand-crafted source that also
    checks the function has the correct prototype.

 meson.build | 179 ++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 143 insertions(+), 36 deletions(-)

commit db3c6253d7fa1645996a2abd9fd55df414ca4c2d
Author: Luis Javier Merino Morán <ninjalj@gmail.com>
Date:   Thu Nov 4 19:25:09 2021 +0100

    emulation: ECMA modes should not be saved by DECSC
    
    From esctest:
    DECRCTests.test_SaveRestoreCursor_InsertNotAffected
    DECSETTiteInhibitTests.test_SaveRestoreCursor_InsertNotAffected
    SCORCTests.test_SaveRestoreCursor_InsertNotAffected
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2524

 src/vte.cc         | 4 ----
 src/vteinternal.hh | 1 -
 2 files changed, 5 deletions(-)

commit c695b5e9f308cbb9e0d8dfcc9af924e177ba2c6d
Author: Luis Javier Merino Morán <ninjalj@gmail.com>
Date:   Thu Nov 4 19:14:58 2021 +0100

    emulation: use correct range for DECRQCRA
    
    Apparently at some point ranges where changed from end-inclusive to
    end-exclusive, and DECRQCRA was not updated accordingly.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2523

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f52c9c23e1862b67679997f404adcd60ee61bbd0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 23 20:55:15 2021 +0200

    widget: Add more precondition checks for vte_pty_spawn_async_with_fds

 src/vtepty.cc | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit cc8c374ccb3a22bb55d33154664d2b81feb35a61
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 23 20:55:15 2021 +0200

    spawn: FD reassignment code tweaks
    
    Made these while researching whether vte suffers from glib#2503.

 src/spawn.cc | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit 7d0c6aeaa870b67a3897bd439bb076d5ef376f2d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 23 20:55:15 2021 +0200

    parser: Recognise more commands
    
    Add one sequence from mintty.

 src/parser-seq.py | 5 +++++
 1 file changed, 5 insertions(+)

commit 51cd95caa2cf63270c51d6df027afe0252487ccd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 23 20:55:15 2021 +0200

    app: Improve option value description

 src/app/app.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 374e89381bc47f26260597fca67689a29600b8c6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 23 20:55:15 2021 +0200

    emulation: Docs improvements

 src/vteseq.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 357f8d066703700df2b4d4b69fd13f7ee5d70745
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 9 20:16:05 2021 +0200

    fonts: Relax font sanitisation
    
    Allow specifying a font weight, but cap it so that emboldening it does
    not overflow the maximum weight.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/323
    f# bricht den Commit ab.

 src/vte.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 05fb6061fb962fee09085f5d7c9f9fd27202e2c6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 9 20:16:05 2021 +0200

    fonts: Improve font bolding
    
    Embolden the font by adding to its weight, not just overwriting the
    weight with PANGO_WEIGHT_BOLD.

 src/drawing-cairo.cc | 8 +++++++-
 src/vtedefines.hh    | 2 ++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 64b333b11b840d2fad6643516d5b0116ef82dba4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 8 19:24:57 2021 +0200

    app: Add option to set initial title
    
    Based on a patch by Zach DeCook.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2517

 src/app/app.cc | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 91123bb5201156e3d3adbe24305488f5eea2c8d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 27 22:46:47 2021 +0200

    build: Fix build with kernel headers from linux < 4.13
    
    We already support running with a kernel that doesn't support this
    ioctl, so let's also support building with one. Add the missing
    ioctl definition to missing.hh.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2514

 src/missing.hh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 231dd818fcca839f21a1031497b37b7142a12645
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Sep 27 08:50:19 2021 +0000

    Update Hebrew translation
    
    (cherry picked from commit ca56bac88059a5b3cf3edda5ed58da7449cfa553)

 po/he.po | 71 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 46 insertions(+), 25 deletions(-)

commit 73a029f06ceb67d3422a1c80a16602ada3ca0009
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 26 19:12:57 2021 +0200

    lib: ABI repairs

 src/vte/vteterminal.h | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit d0bf44719a546dd24b3da08c934d8530ef474acd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Sep 25 10:54:37 2021 +0200

    parser: modes: Fix DECSDM default value

 src/modes.hh | 1 -
 1 file changed, 1 deletion(-)

commit 2b0e792eafcb1b4cedaa8d84ef595b8de9d8f4ca
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Sep 25 10:50:29 2021 +0200

    parser: modes: Fix DECSDM default value

 src/modes.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2e0ae811fdea963ce0709eaedf14b8b7697908f7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Sep 25 10:50:29 2021 +0200

    vte.sh: Fix the check for PROMPT_COMMAND when it is unset
    
    declare "helpfully" outputs on stdout for existing variables, but on stderr
    for nonexistent ones.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/37

 src/vte.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0178c1b0a3d2c162bfddcd161ab55f4ff79b1ab4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Aug 29 22:24:57 2021 +0200

    emulation: Fix xterm window size request response
    
    The parameters were accidentally swapped.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2509

 src/vteseq.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5c067c2a64c411ad5c8cf28e9e5f0f58759a1a08
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Aug 29 19:06:46 2021 +0200

    docs: Add index for API new in 0.68

 doc/reference/vte-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit 9e2df181c8eebd4858f8257695b1b31081c32ed8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Aug 29 19:06:46 2021 +0200

    widget: Correct some API Since: versions

 src/vte/vteenums.h |  2 +-
 src/vtegtk.cc      | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 8620b577303e60ef78efd6b66d9c79dcee579e39
Author: Takao Fujiwara <tfujiwar@redhat.com>
Date:   Sat Aug 28 22:12:59 2021 +0200

    widget: Adjust preedit position to GtkEntry
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/339

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e67d15735e1410e139f8e1943cc6ca728524c34d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 28 22:00:06 2021 +0200

    vte.sh: Use PROMPT_COMMAND as an array when possible
    
    Newer bash versions support PROMPT_COMMAND as an array. In this case,
    add only the __vte_osc7 command to the array, instead of overwriting
    the PROMPT_COMMAND with __vte_prompt_command.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/37

 src/vte.sh.in | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

commit 6c24f146a0f6a3829e3d36a3c2c3601e638e3a50
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 28 21:18:52 2021 +0200

    fonts: More metrics sanity checks
    
    The pango font metrics for some fonts return a height lower than the
    height measured from the U+0020..U+007E characters. Using the metrics
    in this case may lead to the descenders getting cut off from characters
    in the last line, depending on the padding available.
    
    Change the code to only use the pango metrics when its height is at
    least that of the measured characters.
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/340

 src/fonts-pangocairo.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit f688626f920480d95a7691a49b38eac1873f9849
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 14 23:23:47 2021 +0200

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6460463b258d69ae12e5e9db09e9414403e136b5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 14 21:45:46 2021 +0200

    widget: Rework exception handling in non-debug builds
    
    Always make bad_alloc fatal.

 src/cxx-utils.hh |  2 +-
 src/vtegtk.cc    | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 970ea4ec4db308cf498b22c9ac94ae29559d7a11
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 14 21:45:46 2021 +0200

    emulation: Some more docs

 src/vteseq.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 9c8ba36e8b2744735729f2b2abcb6a66a08705a8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 14 21:45:46 2021 +0200

    parser: Recognise more commands
    
    Add another NOP from WY.

 src/parser-seq.py |  2 ++
 src/vteseq.cc     | 48 ++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 44 insertions(+), 6 deletions(-)

commit c17e6d12da00a94c3768be6671182a6a039ec0c0
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Jul 4 12:25:07 2021 +0000

    Update Bulgarian translation

 po/bg.po | 59 ++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 38 insertions(+), 21 deletions(-)

commit 196416acdb7b5fbb9b99486b503680797613908f
Author: Alexey Rubtsov <rushills@gmail.com>
Date:   Mon Jun 28 13:44:57 2021 +0000

    Update Russian translation

 po/ru.po | 66 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 45 insertions(+), 21 deletions(-)

commit 674f864269d0842376752487f29bfdddc8c7ec9f
Author: Brad Smith <brad@comstyle.com>
Date:   Sun Jun 27 12:17:08 2021 +0200

    build: Fix build on non-linux systems
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2501

 src/missing.hh | 3 +++
 1 file changed, 3 insertions(+)

commit c7be1cc69aab64c5cc255bcdada39baf1dab5ad3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 21 21:42:56 2021 +0200

    lib: Fix switching encodings
    
    When switching encodings, need to also set the current data syntax
    to the new data syntax.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1974182

 src/vte.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9eab17c8bc0f77faf3641e0d50083bb669b5656e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu May 20 19:39:43 2021 +0200

    widget: Docs fix
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/357

 src/vtegtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c2df74bcb2d33d1c20c6d78e26005eeca788686
Author: Quentin PAGÈS <pages_quentin@hotmail.com>
Date:   Thu May 13 14:55:23 2021 +0000

    Update Occitan translation
    
    (cherry picked from commit 08a3a3c61c96c16cd17bec7526cc531be7b56729)

 po/oc.po | 64 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 43 insertions(+), 21 deletions(-)

commit c842a88dbf4b7defa6849f821b0c12bd8eb78883
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 12 22:31:55 2021 +0200

    font: pangocairo: Remove redundant code
    
    The max_height variable is initialized as 1, and then iteratively
    updated to track the maximum height of all the characters from U+0021
    to U+007E. The final value is assined to m_height. Hence m_height can
    never be zero.
    
    In the case of m_ascent, the contents of m_layout don't change between
    the two places where it's assigned. Therefore, the second assignment is
    redundant.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/355

 src/fonts-pangocairo.cc | 7 -------
 1 file changed, 7 deletions(-)

commit a248b8741a8144287b2d65effd3d859460008971
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 29 21:32:12 2021 +0200

    lib: Add glue for public types

 src/app/app.cc      |  5 +----
 src/app/meson.build |  2 +-
 src/meson.build     |  6 +++++-
 src/vte-glue.hh     | 28 ++++++++++++++++++++++++++++
 4 files changed, 35 insertions(+), 6 deletions(-)

commit d9fbea1835a71b5d023b7123e285f691faa4faea
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 27 22:43:30 2021 +0200

    build: Fix gtk4-only build

 src/meson.build | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 984b5cdfd2bc3bc4ff98c4e6fddcff0115839f44
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Fri Apr 23 16:52:26 2021 +0000

    Update Nepali translation
    
    (cherry picked from commit 109a6cf6e05ef55b79f768a30fdf95723ebba0d3)

 po/ne.po | 157 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 77 insertions(+), 80 deletions(-)

commit 94d6a3c10fcaae65b38c17687bc98defb6dfac33
Author: Joan Bruguera <joanbrugueram@gmail.com>
Date:   Sun Apr 11 22:58:37 2021 +0200

    widget: Move clipboard store from finalize to unrealize
    
    Fixes a regression from commit 0136048d32d29412de3381828bb21f05563c799f.
    
    Unfortunately, this causes a regression in the following simple case:
    * Open two instances of a terminal like xfce4-terminal.
    * Go to the first instance, copy some string of text, and close it.
    * Go to the second instance and paste it. Due to the regression, it won't work.
    
    The cause is that Widget::unrealize calls Terminal::widget_clipboard_data_clear,
    this will set m_selection_owned[type] = false. Later when Terminal::~Terminal is
    run, the piece of code that calls clipboard_set_text will not be run, because it
    depends on m_selection_owned[type] being set (but it ran before on 0.62.3).
    
    This commit moves this last piece of code to Terminal::widget_unrealize, which
    is called before setting m_selection_owned[type] = false.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/349

 src/vte.cc | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit f728689e89ef4f6b83527c9a0d340ee52b7d0cf0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    sixel: Reset repeat counter when receiving the next command
    
    This was already done when receiving one of the known commands; do the
    same when receiving an unimplemented command.

 src/sixel-context.hh | 13 ++++++-------
 src/sixel-parser.hh  |  9 ++++-----
 2 files changed, 10 insertions(+), 12 deletions(-)

commit 260416dfc4a93b8e202e09acfcc30e2063d7f37e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    sixel: Fix pixel aspect calculation

 src/sixel-context.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74de8ced35d8ef7c3b0bdc81c90147aa00d30648
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    sixel: More constexpr

 src/sixel-context.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c834c8690d3ecd338b91334702da4c8682634e0d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    sixel: Remove obsolete comment

 src/sixel-context.cc | 2 --
 1 file changed, 2 deletions(-)

commit f4b99a55962ef80cedd10243867d19f2024d0299
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    sixel: Remove ununused tracking of palette modification

 src/sixel-context.hh | 2 --
 1 file changed, 2 deletions(-)

commit ac68f31c34ecea9acb77d7d1bd10f5d3792f8565
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    parser: Add new OSC command from xterm 367
    
    For documentation purposes only; won't implement this in vte.

 src/parser-osc.hh | 1 +
 src/vteseq.cc     | 1 +
 2 files changed, 2 insertions(+)

commit ed2ca9ff126aed6ddb9274611415f5a8239fa25f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    parser: modes: Small doc addition

 src/modes.py | 1 +
 1 file changed, 1 insertion(+)

commit 7044294b737b92a4afb15cfeb64ae09053cb85c1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 16:07:50 2021 +0200

    build: Don't install test app when building as subproject

 src/app/meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c65d8d92a6b4be97e4d4224cda10ead5e9f413f7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 3 12:10:20 2021 +0200

    build: Mention release tarballs in README

 README.md | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 42da7ea02322929f4adbb51ed79cda1eebc040b3
Author: Nathan Follens <nfollens@gnome.org>
Date:   Thu Apr 1 19:47:29 2021 +0000

    Update Dutch translation
    
    (cherry picked from commit b2d98b82d1be140e433b18423e0a95a370218032)

 po/nl.po | 65 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 44 insertions(+), 21 deletions(-)

commit c65ad403e522a905d3f3b9d5f46d71ee95bebd4f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 27 13:28:13 2021 +0100

    widget: gtk4: Set controller names

 src/widget.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 37cd326d02c6a66c6fbb7beafd50a9ad42c12399
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 27 13:28:13 2021 +0100

    widget: gtk4: Add click event controller

 src/widget.cc | 184 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/widget.hh |  20 +++++++
 2 files changed, 204 insertions(+)

commit 5f1039f1c86676f79642cb576ec6dbb4dcacd47a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 27 13:28:13 2021 +0100

    widget: gtk4: Add scroll event controller

 src/widget.cc | 106 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/widget.hh |   8 +++++
 2 files changed, 114 insertions(+)

commit fcf11ed057f6b4614d47bba84f5424dc392ae680
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 27 13:28:13 2021 +0100

    widget: gtk4: Add motion event controller

 src/widget.cc | 157 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/widget.hh |   9 ++++
 2 files changed, 166 insertions(+)

commit 1e674130bf231208e8f33006b78913095dd7e5a8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 25 19:26:57 2021 +0100

    build: Work around a meson bug with dist scripts in subprojects
    
    https://github.com/mesonbuild/meson/issues/8440
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/345

 meson.build | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 21685ded3e4a1dba02822ba248b0445e24a58dab
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 24 18:28:48 2021 +0100

    build: Add missing includes
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/342

 src/missing.hh | 8 ++++++++
 1 file changed, 8 insertions(+)

commit a5817b18ec2e770cfea0e51ae3350943c3287956
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 19 22:50:47 2021 +0100

    build: Add dist script

 Makefile.meson     |  8 ++++++++
 meson.build        |  6 ++++++
 meson_changelog.sh | 33 +++++++++++++++++++++++++++++++++
 3 files changed, 47 insertions(+)

commit 4c85df696c8ee4e858cd0584410b2ddfc98fc4ed
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 16 17:55:47 2021 +0100

    app: gtk4: Disable F10 menubar accel

 src/app/app.cc | 3 +++
 1 file changed, 3 insertions(+)

commit b333d66879963637099dc0bc5a702f50f34da67e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 16 17:55:47 2021 +0100

    widget: a11y: Remove assert
    
    This assert is getting hit more frequently now, e.g. by #340.
    Replace it with an if branch.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/340

 src/vteaccess.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9a76d6cc6b90dd17f8a3e87777707570053e9461
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 14 12:34:15 2021 +0100

    widget: Use our own enum for alignment

 doc/reference/vte-sections.txt.in |  3 ++
 src/app/app.cc                    | 16 +++++------
 src/vte.cc                        | 14 ++++-----
 src/vte/vteenums.h                | 24 ++++++++++++++++
 src/vte/vteterminal.h             |  8 +++---
 src/vtegtk.cc                     | 60 ++++++++++++++++++++++++---------------
 src/vteinternal.hh                | 11 +++----
 src/widget.hh                     | 10 +++----
 8 files changed, 93 insertions(+), 53 deletions(-)

commit 1b60b4a600dbbec0a056f076f1aae244b1a1109c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 13 22:10:42 2021 +0100

    build: Suppress undesirable warnings

 meson.build | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1be3d3d9fa160874ccf162acd1adb88ca8ba05a8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 13 22:10:42 2021 +0100

    widget: Add alignment properties
    
    Add API to set how to distribute extra-grid space allocated to the
    widget. Previously, vte always positioned the content at the left and top
    of the allocation.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/337

 doc/reference/vte-sections.txt.in |   4 ++
 src/app/app.cc                    |  33 +++++++++
 src/vte.cc                        | 127 ++++++++++++++++++++-------------
 src/vte/vteterminal.h             |  14 ++++
 src/vtedefines.hh                 |   3 +
 src/vtegtk.cc                     | 144 +++++++++++++++++++++++++++++++++++++-
 src/vtegtk.hh                     |   2 +
 src/vteinternal.hh                |  22 ++++--
 src/widget.cc                     |   8 ++-
 src/widget.hh                     |  28 +++++++-
 10 files changed, 325 insertions(+), 60 deletions(-)

commit cf4984c4c35b6c15b239fbea5abf3a92271665d2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 13 22:10:42 2021 +0100

    widget: Make scroll adjustment range start at 0 always
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/336

 src/vte.cc         | 29 ++++++++++++++++++-----------
 src/vteinternal.hh |  2 +-
 src/widget.cc      | 21 ++++++++++++---------
 3 files changed, 31 insertions(+), 21 deletions(-)

commit 5033f6c57dc14933cf287270e84fb7ccf0bd52c9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 13 22:10:42 2021 +0100

    app: Add option to use a GtkScrolledWindow
    
    ... for testing purposes.
    
    Note that geometry and sizing don't work when using a GtkScrolledWindow.

 src/app/app.cc | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)

commit 910bc02329925e6e7aec8ef2d7dbb717cdc9f38c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 13 22:10:42 2021 +0100

    widget: Add API to make adjustment values pixels
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/335

 doc/reference/vte-sections.txt.in |   2 +
 src/app/app.cc                    |   4 +
 src/vte.cc                        | 251 ++++++++++----------------------------
 src/vte/vteterminal.h             |   6 +
 src/vtegtk.cc                     |  68 +++++++++++
 src/vtegtk.hh                     |   1 +
 src/vteinternal.hh                |  32 +++--
 src/vteseq.cc                     |   3 +-
 src/widget.cc                     | 198 +++++++++++++++++++++++++++++-
 src/widget.hh                     |  28 ++++-
 10 files changed, 385 insertions(+), 208 deletions(-)

commit c346a0dd6a149f93ffd63bc4b36dbaa34a02bafe
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 6 23:08:54 2021 +0100

    widget: gtk4: Add focus event handling
    
    Only local focus for now; need to hook up toplevel focus still.

 src/widget.cc | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 src/widget.hh |  2 ++
 2 files changed, 49 insertions(+)

commit 80e45218ab4962f1b0e282de91e9814d45eca7e3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 6 23:08:54 2021 +0100

    widget: gtk4: Add keyboard input handling

 src/app/search-popover-gtk4.ui |  10 ----
 src/app/window-gtk4.ui         |   9 ----
 src/vte.cc                     |  11 +++++
 src/vteinternal.hh             |   3 ++
 src/widget.cc                  | 106 +++++++++++++++++++++++++++++++++++++++++
 src/widget.hh                  |  11 +++++
 6 files changed, 131 insertions(+), 19 deletions(-)

commit fe407b8dd4145b48302dcc45a86770efec42c29a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 6 11:13:50 2021 +0100

    lib: Typo fix

 src/cairo-glue.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a96c4b23e015408af5653791a0b45eca4f33e351
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 4 23:05:25 2021 +0100

    app: Use gboolean for GOptionArg entries of type G_OPTION_ARG_NONE

 src/app/app.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e20739ef0cf88a8bfa31fad0df0c6487b9073f39
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 3 22:07:57 2021 +0100

    widget: Don't implement GtkScrollableInterface:get_border
    
    This reverts commit a7b863a6; see
    https://gitlab.gnome.org/GNOME/vte/-/issues/336#note_1049578 .

 src/vtegtk.cc | 26 ++------------------------
 1 file changed, 2 insertions(+), 24 deletions(-)

commit 78bb1429d4dfd8eeb682a122046245ae5a45a5a1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 2 20:45:22 2021 +0100

    build: Whitespace fix

 meson.build | 1 -
 1 file changed, 1 deletion(-)

commit 082eeb228338d2bdf4516b4099f87897a9476c18
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sat Feb 27 09:58:26 2021 +0000

    Update Finnish translation
    
    (cherry picked from commit 8099c927b710a6259fd968d50bfd389c1f2bc279)

 po/fi.po | 62 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 43 insertions(+), 19 deletions(-)

commit 8cff71ef975f5627d1c2201d0ace6d1c08273537
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:27:47 2021 +0100

    sixel: Remove pre-C++20 kludge

 src/sixel-context.hh | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit 78b4f955dc4fbef6248b77147ac7e362982d5857
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:27:47 2021 +0100

    docs: Small fixes

 src/vtepty.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99a06254d5137065122124ae74ca9fcb5c2ef56c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    build: Don't warn on volatile
    
    ... which comes in from gobject headers.

 meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 80f41f34519d3868314b65d36fe9312e61c62ca7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    all: Fix underalignment warnings

 src/bidi.cc       | 8 ++++----
 src/missing.cc    | 2 +-
 src/vterowdata.cc | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit cca1224968245bd772cd3404342e36bbde265458
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    build: Don't warn on C99 designated initialisers

 meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 81ecc59e2da7bb34230d5943a56a81146a254ac1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    lib: Remove unnecessary assertion

 src/keymap.cc | 1 -
 1 file changed, 1 deletion(-)

commit eec33cce0b9359fddda35703e22bffd1f8f28852
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    build: Require a C++20 compiler

 meson.build | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b49673e67256b7f445bed72d7876394454fbd9e3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 20:22:10 2021 +0100

    build: Refactor C/C++ standard requirement checks

 meson.build | 70 ++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 53 insertions(+), 17 deletions(-)

commit 15d67dc21f2e484fe1c400159839fa58b11bf595
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 19:46:44 2021 +0100

    docs: Small docs fixes

 doc/reference/Makefile.docs       |  2 ++
 doc/reference/vte-sections.txt.in | 12 +++++++++---
 src/parser.cc                     | 10 +++++-----
 src/ring.hh                       |  6 ++++--
 src/vte/vteenums.h                |  2 ++
 src/vte/vteversion.h.in           |  4 ++--
 src/vteaccess.cc                  |  8 --------
 src/vtegtk.cc                     | 33 ++++++++++++++++++---------------
 src/vtepty.cc                     | 11 ++++++-----
 src/vteregex.cc                   | 12 +++++++-----
 10 files changed, 55 insertions(+), 45 deletions(-)

commit b9687d4b7bf0c581e240ee71baf5166815b960d3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 24 19:46:44 2021 +0100

    widget: Deprecate internal signals
    
    The text-{modified,inserted,deleted,scrolled} signals are already
    documented to be internal and possibly not emitted. Deprecate them
    and document them as never emitted; and internally just call the
    acccessible object directly instead of via the extraneous signal
    emission.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/332

 src/vte.cc            |  71 ++-----------------------------
 src/vte/vteterminal.h |   5 +++
 src/vteaccess.cc      |  67 ++++++++++++++---------------
 src/vteaccess.h       |   9 ++++
 src/vtegtk.cc         | 115 ++++++++++++++++++++++----------------------------
 src/vtegtk.hh         |   4 --
 src/vteinternal.hh    |  67 +++++++++++++++++++++++++----
 src/widget.cc         |   5 ++-
 8 files changed, 162 insertions(+), 181 deletions(-)

commit f173e16ec879d285a47abeeb2a83879066e24d8a
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Wed Feb 24 00:01:34 2021 +0000

    Update Galician translation
    
    (cherry picked from commit aa284d83dee66bfa3fd0dbd9c965f24b13185044)

 po/gl.po | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 075d0b37049244429b7d709dc8c21f67023bc048
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 21 20:05:43 2021 +0100

    all: Initial port for gtk4
    
    Add meson changes to build a gtk4 variant of libvte, plus
    a gtk4 variant of the test application.
    
    Make the minimal code changes required to successfully build
    and run on gtk4.
    
    No event handlers yet, and no public API to replace the gtk3
    specific APIs.  That will come later.
    
    This should be good enough to get non-terminal users of libvte
    started on porting to gtk4.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/12

 Makefile.meson                                     |  18 +-
 bindings/gir/meson.build                           |  35 +-
 bindings/glade/meson.build                         |   2 +-
 doc/reference/Makefile.docs                        | 518 ++++++++++++++++
 doc/reference/gtk3/meson.build                     |  55 ++
 doc/reference/gtk4/meson.build                     |  55 ++
 doc/reference/meson.build                          |  94 +--
 doc/reference/version.xml.in                       |   1 -
 doc/reference/vte-docs.xml                         |  16 +-
 .../{vte-overrides.txt => vte-overrides.txt.in}    |   0
 .../{vte-sections.txt => vte-sections.txt.in}      |  12 +
 doc/reference/{vte.types => vte.types.in}          |   0
 meson.build                                        |  36 +-
 po/POTFILES.skip                                   |   6 +-
 src/app/app-gtk4.gresource.xml                     |  24 +
 src/app/app.cc                                     | 676 +++++++++++++++++----
 src/app/appmenu-gtk4.ui                            |  33 +
 src/app/meson.build                                |  33 +-
 src/app/search-popover-gtk3.ui                     |   1 -
 src/app/search-popover-gtk4.ui                     | 169 ++++++
 src/app/window-gtk3.ui                             |   1 -
 src/app/window-gtk4.ui                             | 185 ++++++
 src/cairo-glue.hh                                  |   4 +-
 src/clipboard-gtk.cc                               |  39 +-
 src/clipboard-gtk.hh                               |   4 +
 src/debug.h                                        |   6 +
 src/fonts-pangocairo.cc                            |  32 +-
 src/fonts-pangocairo.hh                            |   5 +-
 src/graphene-glue.hh                               |  48 ++
 src/gtk-glue.hh                                    |   6 +
 src/keymap.h                                       |   5 +
 src/meson.build                                    | 104 +++-
 src/vte.cc                                         | 362 +++++++----
 src/vte/meson.build                                | 107 +++-
 src/vte/vte.h                                      |   4 +
 src/vte/vtedeprecated.h                            |  24 +-
 src/vte/vtemacros.h                                |  20 +-
 src/vte/vtepty.h                                   |  10 +-
 src/vte/vteregex.h                                 |   2 +-
 src/vte/vteterminal.h                              |  41 +-
 src/vte/vtetypebuiltins.h                          |  28 +
 src/vteaccess.h                                    |   6 +-
 src/vtedefines.hh                                  |   3 +
 src/vtegtk.cc                                      | 404 ++++++++++--
 src/vteinternal.hh                                 |  71 ++-
 src/vteseq.cc                                      |   5 +
 src/widget.cc                                      | 559 +++++++++++++++--
 src/widget.hh                                      | 111 +++-
 48 files changed, 3398 insertions(+), 582 deletions(-)

commit 94966f638af6999103f89cd8e31b71701cca495b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 21 16:12:34 2021 +0100

    app: Add debug option to track clipboard targets
    
    Trying to help track down the clipboard issue in mutter#1469 /
    gnome-shell#3052 / mutter#1656.

 src/app/app.cc | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit f233c8e490eacee02a1c3ae14bfcef2f20092983
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 13 22:54:07 2021 +0100

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 249a9c77cc5870f04dc9650dd76c800c368ff03e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 13 21:31:08 2021 +0100

    lib: Typo fix

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92d51002f0228fe5f9702e6427c19e07385ec0f8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 13 21:31:08 2021 +0100

    parser: DECBI is NOP

 src/parser-seq.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35b0a8dc9776300bd33c8106e500436b6c11fccc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 13 21:31:08 2021 +0100

    sixel: Add missing ifdef

 src/parser-cat.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 4a9629531ac5ae59fe0c87f46a64788691295ad4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 13 21:31:08 2021 +0100

    sixel: Add missing ifdef

 src/vteinternal.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 553d220562e17f21c1f4fe77ecca6e2bb9698c3d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 8 22:20:43 2021 +0100

    font: pangocairo: Use PangoFontMetrics to measure the font
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/163

 src/fonts-pangocairo.cc | 41 ++++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 17 deletions(-)

commit 9f906c85094cb2dc832f402ae06edccc776899b4
Author: A S Alam <amanpreet.alam@gmail.com>
Date:   Sat Feb 6 18:14:03 2021 +0000

    Update Punjabi translation

 po/pa.po | 141 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 77 insertions(+), 64 deletions(-)

commit bd53b684f319284321d8fab47f7f2bf01487ec4e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 5 22:43:03 2021 +0100

    parser: Correct charset designation sequences with final byte 7/14

 src/parser-charset-tables.hh | 21 ++++++---------------
 src/parser-charset.hh        |  1 +
 src/parser-test.cc           |  4 ++++
 src/parser.cc                | 21 +++++++++++++++------
 4 files changed, 26 insertions(+), 21 deletions(-)

commit 650567f48f4f4338993206682ea0e9369b1395d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 5 22:43:03 2021 +0100

    lib: Fix indentation

 src/vte/vteterminal.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c21b4223c2a031e281659efcb0c4becb3c15434f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 5 22:43:03 2021 +0100

    parser: cat: Make linter warn on unsupported RLogin DECSIXEL ID extension

 src/parser-cat.cc | 6 ++++++
 src/vteseq.cc     | 2 ++
 2 files changed, 8 insertions(+)

commit 144bd35be3640612786bed3b087dfd99309abd02
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 5 00:35:15 2021 +0100

    sixel: Fix omitted data syntax reset when mismatched controls
    
    At the end of parsing the sixel data, we always need to
    pop_data_syntax(). The code was incorrectly omitting that in
    the case of mismatched controls.

 src/vte.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 91d7e0f0b90f9ae3e94a1db6cda6e81ea2ae6431
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 4 19:48:48 2021 +0100

    lib: Replace deprecated std::is_pod
    
    ... in preparation of requiring C++20.

 src/ring.hh     | 4 ++--
 src/vtetypes.cc | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9936d4d75b30793ca9f4f1baeda9270fa95562ee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 4 18:40:51 2021 +0100

    parser: cat: Make linter warn on unsupported RLogin DECGCI extension

 src/parser-cat.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7619bf481882ec34ddcc1da6dfbb05891fc047ab
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 4 18:40:51 2021 +0100

    keymap: Use int8_t for the length of the short keymap strings
    
    ... instead of ssize_t.

 src/keymap.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 8d4204f3afb159ac883760350c92c8f4bc4e9836
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 2 20:06:56 2021 +0100

    Revert "font: pangocairo: Use PangoFontMetrics to measure the font"
    
    This regresses https://gitlab.gnome.org/GNOME/vte/-/issues/138 .
    
    Reopens: https://gitlab.gnome.org/GNOME/vte/-/issues/163

 src/fonts-pangocairo.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6f860706a907549a74e09e4e047643a44128dbcc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 1 22:04:12 2021 +0100

    lib: Move missing defs to missing.hh and update

 src/missing.hh  | 26 ++++++++++++++++++++++++++
 src/vteutils.cc |  9 ++-------
 2 files changed, 28 insertions(+), 7 deletions(-)

commit 6ff6542e902a1b7db6eca18cf8bccf24da431679
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 1 22:04:12 2021 +0100

    spawn: Use close_range to set CLOEXEC on all FDs
    
    ... when available; otherwise fall back to iterating over /proc/self/fd
    as previously.

 src/missing.cc | 36 ++++++++++++++++++++++++++++++++++-
 src/missing.hh | 59 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+), 1 deletion(-)

commit ce347e7022f0e7422c0a4410d51d7caa534b22ce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 1 21:54:32 2021 +0100

    font: pangocairo: Use PangoFontMetrics to measure the font
    
    Based on a patch by Arthur Huillet.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/163

 src/fonts-pangocairo.cc | 72 ++++++++++++++++++++++++++++++-------------------
 src/fonts-pangocairo.hh |  2 +-
 src/pango-glue.hh       |  4 +++
 3 files changed, 49 insertions(+), 29 deletions(-)

commit 38d9339917dbd2f84a57ff1cc2b28deaed3c86e7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    parser: modes: Generate modes-*.hh from script and data

 src/meson.build      |   16 +-
 src/modes-ecma.hh    |  218 ---------
 src/modes-private.hh |  881 ---------------------------------
 src/modes.hh         |   10 +-
 src/modes.py         | 1335 ++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 1354 insertions(+), 1106 deletions(-)

commit eeb80ac1403546034478ce80d6f53cb9c43a735b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    emulation: Use the correct enum

 src/vteseq.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 558edad923ab104ec5240dbccbd7442c97621c3e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    parser: Add new sequence from xterm 362

 src/parser-seq.py |  2 ++
 src/vteseq.cc     | 28 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

commit b9f06ab451a00c6fc082d3cb17f8c4b1f98d3d66
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    modes: Fix typo

 src/modes-private.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e14529d4219f3792690566ef7ec70febd87e070
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    all: Clean up licence headers
    
    Unify the licence headers so that all same-licensed files use the exact
    same text.
    
    For some time now, libvte has been effectively LGPL3+ due to newer files being
    LGPL3+ only while some older files were still nominally LGPL2+ as per their
    licence headers.  Exercise the "or (at your option) any later version" upgrade
    option to henceforth use, modify and distribute all these files under LGPL3+
    only.

 COPYING.GPL3                    |   4 +-
 COPYING.LGPL2                   | 502 ----------------------------------------
 Makefile.meson                  |  16 +-
 bindings/gir/meson.build        |  16 +-
 bindings/glade/meson.build      |  16 +-
 bindings/meson.build            |  16 +-
 bindings/vala/app.gresource.xml |  10 +-
 bindings/vala/app.vala          |   4 +-
 bindings/vala/meson.build       |  16 +-
 doc/reference/meson.build       |  16 +-
 doc/reference/vte-docs.xml      |  25 +-
 meson.build                     |  16 +-
 meson_options.txt               |  16 +-
 perf/256test.sh                 |   9 +-
 perf/deco.sh                    |   9 +-
 perf/img.sh                     |   9 +-
 perf/printwinsize.py            |  20 +-
 perf/sgr-test.sh                |   9 +-
 po/meson.build                  |  16 +-
 src/app/app-gtk3.gresource.xml  |  10 +-
 src/app/app.cc                  |   2 +-
 src/app/appmenu-gtk3.ui         |   2 +-
 src/app/meson.build             |  16 +-
 src/app/search-popover-gtk3.ui  |   2 +-
 src/app/window-gtk3.ui          |   2 +-
 src/attr.hh                     |  16 +-
 src/bidi.cc                     |  17 +-
 src/bidi.hh                     |  17 +-
 src/box_drawing_generate.sh     |   9 +-
 src/buffer.h                    |  17 +-
 src/cairo-glue.hh               |  14 +-
 src/caps.hh                     |  17 +-
 src/cell.hh                     |  17 +-
 src/chunk.cc                    |  16 +-
 src/chunk.hh                    |  16 +-
 src/clipboard-gtk.cc            |  16 +-
 src/clipboard-gtk.hh            |  16 +-
 src/color-triple.hh             |  16 +-
 src/cxx-utils.hh                |  16 +-
 src/debug.cc                    |  17 +-
 src/debug.h                     |  17 +-
 src/decoder-cat.cc              |  14 +-
 src/drawing-cairo.cc            |  16 +-
 src/drawing-cairo.hh            |  16 +-
 src/dumpkeys.c                  |  17 +-
 src/fonts-pangocairo.cc         |  16 +-
 src/fonts-pangocairo.hh         |  16 +-
 src/fwd.hh                      |  16 +-
 src/glib-glue.hh                |  16 +-
 src/gobject-glue.hh             |  16 +-
 src/gtk-glue.hh                 |  16 +-
 src/icu-converter.cc            |  16 +-
 src/icu-converter.hh            |  16 +-
 src/icu-decoder.cc              |  16 +-
 src/icu-decoder.hh              |  16 +-
 src/icu-glue.cc                 |  16 +-
 src/icu-glue.hh                 |  16 +-
 src/image.cc                    |  16 +-
 src/image.hh                    |  16 +-
 src/keymap.cc                   |  17 +-
 src/keymap.h                    |  17 +-
 src/libc-glue.hh                |  16 +-
 src/meson.build                 |  16 +-
 src/mev.c                       |  17 +-
 src/minifont.cc                 |  16 +-
 src/minifont.hh                 |  16 +-
 src/missing.cc                  |  16 +-
 src/missing.hh                  |  16 +-
 src/modes-ecma.hh               |  16 +-
 src/modes-private.hh            |  16 +-
 src/modes-test.cc               |  16 +-
 src/modes.hh                    |  16 +-
 src/pango-glue.hh               |  14 +-
 src/parser-arg.hh               |  16 +-
 src/parser-cat.cc               |  14 +-
 src/parser-charset-tables.hh    |  16 +-
 src/parser-charset.hh           |  16 +-
 src/parser-decsgr.hh            |  18 +-
 src/parser-glue.hh              |  16 +-
 src/parser-osc.hh               |  16 +-
 src/parser-reply.hh             |  16 +-
 src/parser-seq.py               |  32 +--
 src/parser-sgr.hh               |  18 +-
 src/parser-string.hh            |  16 +-
 src/parser-test.cc              |  16 +-
 src/parser.cc                   |  14 +-
 src/parser.hh                   |  16 +-
 src/pcre2-glue.hh               |  16 +-
 src/pty.cc                      |  17 +-
 src/pty.hh                      |  16 +-
 src/reaper.cc                   |  17 +-
 src/reaper.hh                   |  17 +-
 src/reflect.c                   |  17 +-
 src/refptr-test.cc              |  16 +-
 src/refptr.hh                   |  16 +-
 src/regex.cc                    |  16 +-
 src/regex.hh                    |  16 +-
 src/ring.cc                     |  17 +-
 src/ring.hh                     |  17 +-
 src/ringview.cc                 |  17 +-
 src/ringview.hh                 |  17 +-
 src/sixel-context.cc            |  14 +-
 src/sixel-context.hh            |  14 +-
 src/sixel-fuzzer.cc             |  16 +-
 src/sixel-parser.hh             |  14 +-
 src/sixel-test.cc               |  14 +-
 src/slowcat.c                   |  17 +-
 src/spawn.cc                    |  17 +-
 src/spawn.hh                    |  16 +-
 src/std-glue.hh                 |  14 +-
 src/systemd.cc                  |  16 +-
 src/systemd.hh                  |  16 +-
 src/tabstops-test.cc            |  16 +-
 src/tabstops.hh                 |  16 +-
 src/test-vte-urlencode-cwd.sh   |   9 +-
 src/urlencode.cc                |   2 +-
 src/utf8-test.cc                |  16 +-
 src/vte.cc                      |  17 +-
 src/vte.csh.in                  |   2 +-
 src/vte.gresource.xml           |  12 +-
 src/vte.sh.in                   |   2 +-
 src/vte/meson.build             |  16 +-
 src/vte/vte.h                   |  17 +-
 src/vte/vtedeprecated.h         |  17 +-
 src/vte/vteenums.h              |  17 +-
 src/vte/vteglobals.h            |  17 +-
 src/vte/vtemacros.h             |  17 +-
 src/vte/vtepty.h                |  17 +-
 src/vte/vteregex.h              |  16 +-
 src/vte/vteterminal.h           |  17 +-
 src/vte/vteversion.h.in         |  17 +-
 src/vteaccess.cc                |  17 +-
 src/vteaccess.h                 |  17 +-
 src/vtedefines.hh               |  17 +-
 src/vtegtk.cc                   |  16 +-
 src/vtegtk.hh                   |  16 +-
 src/vteinternal.hh              |  17 +-
 src/vtepty.cc                   |  17 +-
 src/vteptyinternal.hh           |  16 +-
 src/vteregex.cc                 |  16 +-
 src/vteregexinternal.hh         |  16 +-
 src/vterowdata.cc               |  17 +-
 src/vterowdata.hh               |  17 +-
 src/vteseq.cc                   |  17 +-
 src/vtespawn.cc                 |  23 +-
 src/vtespawn.hh                 |  20 +-
 src/vtestream-base.h            |  17 +-
 src/vtestream-file.h            |  17 +-
 src/vtestream.cc                |  17 +-
 src/vtestream.h                 |  17 +-
 src/vtetypes.cc                 |  16 +-
 src/vtetypes.hh                 |  16 +-
 src/vteunistr.cc                |  17 +-
 src/vteunistr.h                 |  17 +-
 src/vteutils.cc                 |  17 +-
 src/vteutils.h                  |  17 +-
 src/widget.cc                   |  16 +-
 src/widget.hh                   |  16 +-
 src/xticker.c                   |  17 +-
 159 files changed, 1180 insertions(+), 1741 deletions(-)

commit a40bf76e8b6a6222e680cd4793b7042e2b052474
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 31 23:10:29 2021 +0100

    emulation: Add some research notes

 src/vteseq.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 00f8c64bcc5aac3712f1665940305fd384112602
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jan 25 14:06:37 2021 +0000

    Update Norwegian Bokmål translation
    
    (cherry picked from commit ed3eb69eaab8f1af5868f22a80a98cdb9b6ebf22)

 po/nb.po | 62 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 39 insertions(+), 23 deletions(-)

commit ec2b76ab7c25ea9257048e6fd2d130e77b7a56cc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 24 20:43:51 2021 +0100

    widget: Improve font sanitisation
    
    Clamp the font weight instead of simply unsetting any weight specified.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/323

 src/vte.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 59e11fd751806876dc1a28c9c6d9a17d75db57d2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jan 13 19:19:05 2021 +0100

    widget: Improve font sanitisation
    
    Allow bold font to be used for normal attr when bold-is-bright is
    enabled, and allow weights up to medium for normal attr.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/323

 src/vte.cc         | 45 ++++++++++++++++++++++++++++++++++++---------
 src/vtegtk.cc      |  2 +-
 src/vteinternal.hh |  4 +++-
 3 files changed, 40 insertions(+), 11 deletions(-)

commit eb12828a97fe33ce24e254c273525bb77095de7f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jan 13 19:19:05 2021 +0100

    parser: Remove unused enum

 src/sixel-parser.hh | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 9e1ec4c8fa18028f328f01b325b076b1d4c26c24
Author: Jordi Mas <jmas@softcatala.org>
Date:   Wed Jan 6 23:12:56 2021 +0100

    Update Catalan translation

 po/ca.po | 55 ++-----------------------------------------------------
 1 file changed, 2 insertions(+), 53 deletions(-)

commit caf8a6a7a17a3f70fa5fc611c71ffb27a5cfee75
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Dec 26 14:01:10 2020 +0100

    widget: Limit select-all to the writable region not including the scrollback
    
    Including the scrollback in select-all makes it too easy to select so much
    data that putting it on the clipboard either hangs the process for a long time
    or causes a crash (gnome-terminal#288).
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/288

 src/vte.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit d4e0d89c6c782f380abf293a822eb7993d588067
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Dec 24 13:50:18 2020 +0100

    parser: cat: Make linter warn on unsupported DECSIXEL OR-mode

 src/parser-cat.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 593f41d5c9fa1eb579e4e1222b6d8a0adb0630f0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Dec 24 13:50:18 2020 +0100

    sixel: Ignore DECSIXEL sequence when OR-mode is requested

 src/vteseq.cc | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit 69f941dbe2a6df6513ec7f0cce6fbded20257beb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 23 18:53:33 2020 +0100

    widget: Fix idle child-exited signal after dispose
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/322

 src/vte.cc | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 8586e4292e76943a100a8039f5ce9e33e5984bb3
Author: Jim Mason <jmason@ibinx.com>
Date:   Wed Dec 2 21:22:28 2020 +0100

    pty: Add support for PTY packet mode on sysv-like systems
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/318

 meson.build |  1 +
 src/pty.cc  | 14 ++++++++++---
 src/vte.cc  | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 79 insertions(+), 3 deletions(-)

commit 245eb0f38421137b8b8442dcd30a5d4730ec0816
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 2 16:35:26 2020 +0100

    app: Fix search next/prev button sensitivity

 src/app/app.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7dcab02dc47ab642d930b70ebe84962a390a225
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 2 16:35:26 2020 +0100

    app: Use smart pointer

 src/app/app.cc | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 43b7e5235b8f6ae924be9c3705e6ab8ab6de73a4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 2 16:35:26 2020 +0100

    clipboard: Use smart pointers

 src/clipboard-gtk.cc | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit 7b896c47b85a4919e1466766bf49bd73821d0c0a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 2 16:35:26 2020 +0100

    widget: Add gtk glue

 src/gtk-glue.hh | 30 ++++++++++++++++++++++++++++++
 src/meson.build |  6 +++++-
 2 files changed, 35 insertions(+), 1 deletion(-)

commit e70b33b0974156dbf0c000910000daecf04fd86d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 2 16:35:26 2020 +0100

    widget: Fix clipboard types
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/316

 src/widget.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5dd5823224558ffeb202c7969e03d5766fe3894e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 1 22:05:58 2020 +0100

    sixel: Fix processing of DECSIXEL sequence when using UTF-8 C1 controls
    
    The matching-controls check was getting the wrong introducer value.

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90424aff47c0f49452185f419238e902515fe2b6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 1 22:05:58 2020 +0100

    sixel: Be extra safe when advancing the scanline position

 src/sixel-context.hh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit cede6dac6bd281ebcf1e259b25079ceafb39ea0b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 1 22:05:58 2020 +0100

    ring: Fix image memory leak
    
    ... and various code correctness and style issues.
    
    Use unique_ptr instead of naked new/delete, and use a std::multimap for
    m_image_by_top_map.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/255

 src/image.hh |   4 +-
 src/ring.cc  | 179 +++++++++++++++++++++++++++++------------------------------
 src/ring.hh  |  52 +++++++++++------
 src/vte.cc   |   8 +--
 4 files changed, 129 insertions(+), 114 deletions(-)

commit 5d74cff80f63022a9d39f6dc598013da5a5b1412
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 28 18:05:53 2020 +0100

    docs: Add index for API new in 0.64

 doc/reference/vte-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit d2d63a3e495f864f78f06d7658282805762cba93
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 28 18:05:53 2020 +0100

    Revert "docs: Add index for API new in 0.64"
    
    This reverts commit ebda2490952c2c93e1830b2ae6bd4ef8f4ace1ec.

 doc/reference/vte-docs.xml | 3 ---
 1 file changed, 3 deletions(-)

commit f3119c2cf0b56d8566c941fce8a510967832564c
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Nov 28 16:31:48 2020 +0000

    Update Esperanto translation

 po/eo.po | 74 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 49 insertions(+), 25 deletions(-)

commit cb8f16c0bd6bbd8c0675a83541c72014e5464659
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 16 21:34:23 2020 +0100

    widget: Add API to disable fallback scrolling
    
    Ordinarily, when the VteTerminal hasn't consumed a scroll event otherwise
    (e.g. by sending the event to the application), it falls back to perform
    a history scroll.  When the terminal is added to a GtkScrolledWindow, this
    result in the scrolled window not performing kinetic scrolling.
    
    This commit adds API (and GObject property) to VteTerminal to disable the
    fallback scrolling.
    
    Based on a patch by Tony Houghton <h@realh.co.uk>.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/234

 doc/reference/vte-sections.txt |  2 ++
 src/app/app.cc                 |  4 +++
 src/vte.cc                     | 17 +++++++---
 src/vte/vteterminal.h          |  6 ++++
 src/vtegtk.cc                  | 75 ++++++++++++++++++++++++++++++++++++++++--
 src/vtegtk.hh                  |  1 +
 src/vteinternal.hh             |  3 ++
 src/widget.hh                  |  3 ++
 8 files changed, 103 insertions(+), 8 deletions(-)

commit ebda2490952c2c93e1830b2ae6bd4ef8f4ace1ec
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 16 21:34:23 2020 +0100

    docs: Add index for API new in 0.64

 doc/reference/vte-docs.xml | 3 +++
 1 file changed, 3 insertions(+)

commit 770a375f023dd7bcd25a45ca01ff1fdcabf4c5bf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 16 20:38:04 2020 +0100

    lib: Fix unused variable warning when not using getrlimit
    
    Mentioned in https://gitlab.gnome.org/GNOME/vte/-/issues/296#note_963045

 src/missing.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit efebf38e278b80ef4670dad87d749898cf244f88
Author: Matt Rose <mattrose@folkwolf.net>
Date:   Mon Nov 16 20:38:04 2020 +0100

    lib: Use sysconf on macos to get the upper limit of number of FDs
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/296

 src/missing.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89e9230dc1a27b89cca16de32e903918a27b8e42
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 16 20:27:48 2020 +0100

    lib: Drop wrong use of volatile

 src/vtetypebuiltins.cc.template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c6124858c2aeea72582964ef8a34210ee0f71f39
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 15 14:43:51 2020 +0000

    Fix build

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 060344ac2d9e0bb65731a3340615ad4d804da804
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 14 23:01:00 2020 +0100

    all: Use std::swap

 src/app/app.cc |  6 ++++--
 src/vte.cc     | 27 +++++++++++++--------------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit ef4e6b2cdc2481f7d1bb9391f4203826f2e27805
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 14 22:50:15 2020 +0100

    all: Use pragma once

 src/vtetypebuiltins.h.template | 7 ++-----
 src/vteutils.h                 | 9 +--------
 2 files changed, 3 insertions(+), 13 deletions(-)

commit ecc6ec0cd563be1b54536e2adca512bd9a692f2a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 14 12:08:21 2020 +0100

    sixel: Use m_defaults to retrieve the SGR colours
    
    This takes into account the SGR 7 (reverse) attribute, which
    m_color_defaults doesn't carry.

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fdf39568ab0ce287a091db090734886560499462
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 14 11:51:17 2020 +0100

    sixel: Use special coulor registers for default foreground and background
    
    ... and implement background colour transparency using the second
    parameter to DECSIXEL.
    
    It's not clear from the available documentation of how the 2nd parameter
    to DECSIXEL *should* work, but based on discussion in issue #253, this patch
    makes vte use the value "1" as meaning uninked pixels should be transparent,
    and any other value (including the default) to mean that uninked pixels
    should use the current SGR background colour.
    
    This also fixes an issue where the user-addressable colour register 0 was
    being overwritten with the current SGR foreground colour.
    
    Based on patches by Hans Petter Jansson <hpj@hpjansson.org>.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/253

 src/sixel-context.cc | 58 +++++++++++++++++++++++++++-------------------------
 src/sixel-context.hh | 13 ++++++------
 src/sixel-test.cc    | 24 ++++++++++++++--------
 src/vte.cc           | 13 ++++++++++++
 src/vteinternal.hh   |  6 ++++++
 src/vteseq.cc        | 28 ++++++++++++++++++-------
 6 files changed, 93 insertions(+), 49 deletions(-)

commit 39749d9ce83e4f6ebb7da7e02a9b494186abe6e1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 14 11:51:17 2020 +0100

    Revert "sixel: Use special coulor registers for default foreground and background"
    
    This reverts commit 65234343b88b12072ff8414ce9a6742ddbade407.
    
    There is nothing technically wrong with this commit, but it was a heavily amended
    commit based on squashing two commits by the Author, and I forgot to change the Author
    to myself. The next commit will re-commit this with proper attribution.

 src/sixel-context.cc | 58 +++++++++++++++++++++++++---------------------------
 src/sixel-context.hh | 13 ++++++------
 src/sixel-test.cc    | 24 ++++++++--------------
 src/vte.cc           | 13 ------------
 src/vteinternal.hh   |  6 ------
 src/vteseq.cc        | 28 +++++++------------------
 6 files changed, 49 insertions(+), 93 deletions(-)

commit 11cb693c816b241e8660885dc48f2f5a1c6047ff
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Nov 13 17:53:57 2020 +0100

    lib: Sanitise the passed-in font description
    
    Remove weight and style if set, so that SGR attributes can work.

 src/vte.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 79e40dd5387a6a54ce418a082a4ebb6eaf60b20e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 12 22:53:36 2020 +0100

    app: Fix background image drawing
    
    Use the option's background alpha value, *not* the value retrieved from
    vte_terminal_get_color_background_for_draw() since that is set to zero
    in this case.
    
    Fixes a regression from commit eb85292b3ef44ac95d3863af68b19f6a8d8131e2.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/301

 src/app/app.cc | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 65234343b88b12072ff8414ce9a6742ddbade407
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Nov 12 21:37:16 2020 +0100

    sixel: Use special coulor registers for default foreground and background
    
    ... and implement background colour transparency using the second
    parameter to DECSIXEL.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/253

 src/sixel-context.cc | 58 +++++++++++++++++++++++++++-------------------------
 src/sixel-context.hh | 13 ++++++------
 src/sixel-test.cc    | 24 ++++++++++++++--------
 src/vte.cc           | 13 ++++++++++++
 src/vteinternal.hh   |  6 ++++++
 src/vteseq.cc        | 28 ++++++++++++++++++-------
 6 files changed, 93 insertions(+), 49 deletions(-)

commit 24c4be967482aa2c152de7a46be8f6d0498f4b01
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 12 21:37:16 2020 +0100

    parser: Add some more known sequences

 src/parser-seq.py |  7 +++++++
 src/vteseq.cc     | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 58 insertions(+), 2 deletions(-)

commit 75a5e3304618fa48a8bc88671fbff593b1933f26
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 12 21:37:16 2020 +0100

    modes: Add some more private modes

 src/modes-private.hh | 4 ++++
 1 file changed, 4 insertions(+)

commit f044a720d4ba94806d65fade94dd01fbeea6bd5e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 12 21:37:16 2020 +0100

    parser: Add some more charsets

 src/parser-charset-tables.hh | 17 +++++++++++++++++
 src/parser-charset.hh        |  6 ++++++
 src/parser-test.cc           |  8 +++++++-
 src/parser.cc                |  6 ++++++
 4 files changed, 36 insertions(+), 1 deletion(-)

commit 2dbe5d478ccadfe182e29856ebedd0370053173b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 12 21:37:16 2020 +0100

    lib: Use bitset to store pending change flags

 src/vte.cc         | 11 +++++------
 src/vteinternal.hh | 10 +++++++---
 src/vteseq.cc      | 10 +++++-----
 3 files changed, 17 insertions(+), 14 deletions(-)

commit b1af335aaa31333aee2bdf91bb539a974c1739bf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 4 20:26:58 2020 +0100

    widget: Don't use scroll event's position
    
    Use the last known mouse position in when sending the mouse coordinates.
    
    [gtk4 preparation]

 src/vte.cc    |  4 +---
 src/widget.cc |  6 ------
 src/widget.hh | 18 +++++++-----------
 3 files changed, 8 insertions(+), 20 deletions(-)

commit dc829d65834e5b2f85b423aa057441b2122359ce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 4 20:26:58 2020 +0100

    app: Fix paste action sensitivity

 src/app/app.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37722d9a7c13f32ed62caa817f7b26413c7c3b8a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 2 23:02:18 2020 +0100

    widget: Scroll events have no button

 src/widget.cc | 4 ----
 src/widget.hh | 3 +--
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 87f70c44341879226443df403ab50b65f89c84ce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 2 22:23:25 2020 +0100

    widget: Move GdkEvent from EventBase to KeyEvent
    
    Only the key events handling needs to access the native event anymore.
    
    [gtk4 preparation]

 src/widget.cc |  6 ++----
 src/widget.hh | 28 +++++++++++-----------------
 2 files changed, 13 insertions(+), 21 deletions(-)

commit 76400386360dc49ecd00c4af4d7716510c612520
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Mon Nov 2 21:24:43 2020 +0100

    sixel: Store device-independent pixel surfaces in Image

 src/image.hh |  2 +-
 src/vte.cc   | 22 +---------------------
 2 files changed, 2 insertions(+), 22 deletions(-)

commit 235f5ce5f89d9ec94a414514a6fb8bfbe2994fd1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 2 21:22:40 2020 +0100

    widget: Make scroll event its own class
    
    [gtk4 preparation]

 src/fwd.hh         |  1 +
 src/vte.cc         | 24 ++-------------
 src/vteinternal.hh |  2 +-
 src/widget.cc      | 34 +++++++++++++++++++++
 src/widget.hh      | 90 +++++++++++++++++++++++++++---------------------------
 5 files changed, 83 insertions(+), 68 deletions(-)

commit 96616b857010a0825b83aced46bcf45e17099c64
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 1 20:11:37 2020 +0100

    lib: Use pragma once

 src/vte/vte.h           | 7 ++-----
 src/vte/vtedeprecated.h | 9 +++------
 src/vte/vteenums.h      | 7 ++-----
 src/vte/vteglobals.h    | 7 ++-----
 src/vte/vtemacros.h     | 7 ++-----
 src/vte/vtepty.h        | 7 ++-----
 src/vte/vteregex.h      | 7 ++-----
 src/vte/vteterminal.h   | 7 ++-----
 src/vte/vteversion.h.in | 7 ++-----
 9 files changed, 19 insertions(+), 46 deletions(-)

commit 1aab3df07bbedf01cfe38f9da6df48ef7a9d995f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 1 18:06:13 2020 +0100

    widget: Remove unused event timestamp
    
    [gtk4 preparation]

 src/widget.cc |  2 --
 src/widget.hh | 16 ++++------------
 2 files changed, 4 insertions(+), 14 deletions(-)

commit 01dfedc57d25ceed1c2978a2579ddf4639d46753
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Oct 31 11:27:53 2020 +0100

    Update POTFILES.skip

 po/POTFILES.skip | 3 +++
 1 file changed, 3 insertions(+)

commit 499898451d35cd84caa12c795a3108dd7c631025
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 29 20:23:57 2020 +0100

    widget: Record the press count for button press events
    
    Replace double/triple click events with a press_count on the generic
    button press event.
    
    [gtk4 preparation]

 src/vte.cc    | 16 ++++++++--------
 src/widget.cc | 42 +++++++++++++++++++++++++++++-------------
 src/widget.hh |  9 ++++-----
 3 files changed, 41 insertions(+), 26 deletions(-)

commit d2d7d0e6e9bd92347d5e38e3c25a5979922f2f33
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Oct 25 22:25:30 2020 +0100

    app: Fork UI files for gtk3
    
    Unfortunately, gtk4-build-tool 3to4 doesn't actually produce a working
    UI file for gtk4, so it'll be necessary to adjust them by hand. Fork
    the UI files so that they have different names for gtk3 (and later gtk4).
    
    [gtk4 preparation]

 src/app/{app.gresource.xml => app-gtk3.gresource.xml} |  6 +++---
 src/app/{appmenu.ui => appmenu-gtk3.ui}               |  0
 src/app/meson.build                                   | 18 +++++++++---------
 src/app/{search-popover.ui => search-popover-gtk3.ui} |  0
 src/app/{window.ui => window-gtk3.ui}                 |  0
 5 files changed, 12 insertions(+), 12 deletions(-)

commit c112ac02caa628e65d3255837db0b5944d26c1b7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Oct 25 22:25:30 2020 +0100

    sixel: Fix unused variable warning when not building with sixel enabled

 src/vteseq.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 4ef278b94b4414a3ddbb31b460daaec9a88075b2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Oct 25 15:34:55 2020 +0100

    app: Replace GtkBox with GtkGrid
    
    [gtk4 preparation]

 src/app/app.cc    | 19 +++++++++++--------
 src/app/window.ui | 31 +++++++++++++++++++------------
 2 files changed, 30 insertions(+), 20 deletions(-)

commit fdbab4edf9abe815b211a4541425144eb508306d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 24 11:58:57 2020 +0200

    build: Add config.h as dependency to all sources

 meson.build         | 10 ++++++----
 src/app/meson.build |  2 +-
 src/meson.build     | 46 +++++++++++++++++++++++-----------------------
 3 files changed, 30 insertions(+), 28 deletions(-)

commit 4b2c688dde8b239ec2af1e7d709893a328737e5f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 23 20:16:55 2020 +0200

    emulation: sixel: Implement DECSET 1070
    
    Private mode 1070 controls whether each SIXEL image gets a freshly initialised
    set of colour registers, or if changes from one SIXEL image persist to the next.

 src/modes-private.hh | 13 ++++++++++++-
 src/modes.hh         |  5 ++++-
 src/vte.cc           | 10 ++++++++++
 src/vteinternal.hh   |  1 +
 src/vteseq.cc        |  4 +++-
 5 files changed, 30 insertions(+), 3 deletions(-)

commit d5a6a30166a951740c7a4fd2c07ead3fbbe2e1ec
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 23 19:55:05 2020 +0200

    lib: sixel: Update bbox when inserting an image
    
    This should fix a problem where sometimes the image wouldn't scroll into view.

 src/vte.cc         | 11 ++++++++---
 src/vteinternal.hh |  3 ++-
 2 files changed, 10 insertions(+), 4 deletions(-)

commit c3d14d92b57adce40e68de668c07541d14287bb7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 23 19:55:05 2020 +0200

    lib: Move ProcessingContext up
    
    ... so that it can be used earlier.

 src/vte.cc | 216 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 108 insertions(+), 108 deletions(-)

commit be953b92769cfeab1fdddc84676f8bb1ae8f57b5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 23 19:55:05 2020 +0200

    emulation: Implement XTERM_SMGRAPHICS sequence

 src/parser-reply.hh  |   1 +
 src/parser-seq.py    |   4 +-
 src/sixel-context.hh |   4 +-
 src/vtedefines.hh    |   2 +
 src/vteseq.cc        | 117 +++++++++++++++++++++++++++++++++++++++++++++++++--
 5 files changed, 121 insertions(+), 7 deletions(-)

commit 30d212ff45a801fbfe62ee5d23043df184d737ef
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 23 18:00:02 2020 +0200

    sixel: Remove unnecessary include

 src/sixel-context.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit af9ce0acff15a7714adb8abde9c990d9af4d0856
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    spawn: Clarify ownership transfer
    
    Pass unqiue_ptr<SpawnOperation> to ::run_async to make it clear that it
    takes ownership of the operation.

 src/spawn.cc  | 34 ++++++++++++++++++----------------
 src/spawn.hh  | 16 ++++++++++------
 src/vtepty.cc | 37 +++++++++++++++++++------------------
 3 files changed, 47 insertions(+), 40 deletions(-)

commit a1fbb9df57492c4d3c298099f0a242261be7ccc3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    widget: Use safe getter

 src/glib-glue.hh |  2 ++
 src/widget.cc    | 16 +++++++---------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 7a484cdec223b4241d7497e08be3cda99480e25a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    parser: Update sequences with additions from recent xterm

 src/parser-seq.py |  25 ++++++--
 src/vteseq.cc     | 187 ++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 152 insertions(+), 60 deletions(-)

commit acb99154e2dbcf038a03badc9a13e812f2ec52e3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    decoder: cat: Use more smart pointers

 src/decoder-cat.cc | 158 ++++++++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 87 deletions(-)

commit b5f777b17e5391e7ff4be6442e691f678d5885ac
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    parser: cat: Use more smart pointers

 src/parser-cat.cc | 80 ++++++++++++++++++++++---------------------------------
 1 file changed, 32 insertions(+), 48 deletions(-)

commit 0b7dfe82260bc3455b390ea12db8a7547d07257e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:52 2020 +0200

    app: Use smart pointers

 src/app/app.cc   | 74 +++++++++++++++++++++++++++++---------------------------
 src/glib-glue.hh |  1 +
 2 files changed, 39 insertions(+), 36 deletions(-)

commit bd5025524bf9ca3490ba3739312618a1f7092766
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:51 2020 +0200

    lib: Add getter support for smart pointer

 src/std-glue.hh | 43 +++++++++++++++++++++++++++++++++++++++++++
 src/vte.cc      | 17 +++++++++--------
 src/widget.cc   | 10 +++++-----
 3 files changed, 57 insertions(+), 13 deletions(-)

commit 095876ffca23d2f389c0a83a552164599c2f6e81
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Oct 22 20:34:51 2020 +0200

    lib: Simplify smart pointers for glib/pango/pcre types

 src/app/app.cc                    |  8 ++--
 src/app/meson.build               |  2 +-
 src/cairo-glue.hh                 |  9 +++--
 src/cxx-utils.hh                  |  4 +-
 src/drawing-cairo.cc              | 27 ++++++-------
 src/drawing-cairo.hh              |  2 +-
 src/glib-glue.hh                  |  7 ++++
 src/image.hh                      |  4 +-
 src/meson.build                   | 17 ++++++--
 src/pango-glue.hh                 | 29 ++++++++++++++
 src/parser-cat.cc                 |  1 +
 src/{vtepcre2.h => pcre2-glue.hh} | 10 +++++
 src/regex.cc                      | 24 +++++------
 src/regex.hh                      |  9 ++---
 src/ring.cc                       |  2 +-
 src/ring.hh                       |  2 +-
 src/sixel-context.cc              | 12 +++---
 src/sixel-context.hh              |  2 +-
 src/std-glue.hh                   | 39 ++++++++++++++++++
 src/systemd.cc                    |  7 ++--
 src/vte.cc                        | 84 +++++++++++++++++----------------------
 src/vteinternal.hh                | 17 ++++----
 src/vteregex.cc                   |  5 +--
 src/widget.cc                     |  2 +-
 24 files changed, 204 insertions(+), 121 deletions(-)

commit 6557b6eec39cafdb334aa59f59984d99abb946c1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 21 11:40:32 2020 +0200

    lib: Add missing nullable annotation to spawn child setup functions
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/293

 src/vtegtk.cc | 8 ++++----
 src/vtepty.cc | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 0afc1c1b9fa739251c04b54f751c0f9f3f762294
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 20 16:46:04 2020 +0200

    modes: Assign enum values to non-fixed modes first
    
    This allows all settable modes to have values that fit into the storage,
    while fixed modes get assigned enum values after all settable modes.
    
    Fixes a regression introduced by commit ce715e7b9859f62fc881c2ddd64cab7e3a2fbc7a.

 src/modes.hh | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 528d851085794003b4ca90bf336f1be1156e7a6e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:56:20 2020 +0200

    sixel: Pass colour components to Context::prepare
    
    The Context's colour storage format is internal, so pass the fg and
    bg colours components individually.

 src/sixel-context.cc | 13 +++++++++----
 src/sixel-context.hh |  8 ++++++--
 src/sixel-test.cc    | 28 +++++++++++++++++++++-------
 src/vteseq.cc        |  5 ++---
 4 files changed, 38 insertions(+), 16 deletions(-)

commit 39f353a9c511d11056cdb4355dc1f719391c1595
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    draw: Move drawing images after translating the cairo context
    
    This avoids having to offset the images manually.

 src/vte.cc | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 028e7a7780f0ea6b95a3467b89d0bec0910bb9e0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    widget: Use GdkEvent accessor function
    
    [gtk4 preparation]

 src/widget.hh | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 535d22bb47285a53d22bbf3a3480304f7278ce0b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    widget: Remove unused function
    
    [gtk4 preparation]

 src/vte.cc    | 6 +++---
 src/widget.hh | 5 -----
 2 files changed, 3 insertions(+), 8 deletions(-)

commit 73d05db64bb271cee1af7f301c19c23ada7e9176
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    fonts: Don't use deprecate gdk threads timeout API
    
    [gtk4 preparation]

 src/fonts-pangocairo.hh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0136048d32d29412de3381828bb21f05563c799f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    widget: Move clipboard handling to Widget
    
    Move clipboard handling into its own Clipboard class to make
    Terminal independent of the platform's clipboard handling.
    
    [gtk4 preparation]

 src/clipboard-gtk.cc | 305 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/clipboard-gtk.hh |  89 +++++++++++++++
 src/fwd.hh           |   1 +
 src/meson.build      |   2 +
 src/vte.cc           | 230 ++++++++------------------------------
 src/vtegtk.cc        |  19 +++-
 src/vteinternal.hh   | 126 ++-------------------
 src/widget.cc        |  83 ++++++++++++++
 src/widget.hh        |  39 ++++---
 9 files changed, 580 insertions(+), 314 deletions(-)

commit be6896d96dc5188fe8d9da80c41f2b04b1ead7ce
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 21:14:43 2020 +0200

    widget: Manage the Widget implementation through a shared_ptr

 src/vtegtk.cc | 71 +++++++++++++++++++++++++++++++++++++++++++++--------------
 src/widget.hh |  2 +-
 2 files changed, 56 insertions(+), 17 deletions(-)

commit eda2c7e8b17101a893938fff9960c99d0800163f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 20:19:10 2020 +0200

    lib: Add missing include

 src/chunk.hh | 1 +
 1 file changed, 1 insertion(+)

commit 78b80bacae6df2e7f4bedd23c454dffe58eef3af
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 20:19:10 2020 +0200

    lib: Add missing include
    
    std::malloc/free require <cstdlib>.

 src/chunk.hh | 1 +
 1 file changed, 1 insertion(+)

commit b9a3a6561a37aa861b358cc075f65f3214769def
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 20:19:10 2020 +0200

    lib: Fix typo in comment

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d48a80b8ec417541717f74ae622a78dc1ef068f4
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Mon Oct 19 20:00:22 2020 +0200

    parser: Properly refer to python3
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/292

 src/parser-seq.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9b3bda2bed8713cd8ae503fee5db1d8c9124313
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:54:13 2020 +0200

    lib: sixel: Also reset data capacity when dropping the buffer

 src/sixel-context.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit cfc406659b0ce45962ca07a86fbf3db956d8007f
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Mon Oct 19 00:16:36 2020 +0200

    lib: Keep track of unscaled cell size and report window size unscaled
    
    This allows sixel image dimensions to be consistent when printed at
    different zoom levels.

 src/vte.cc         | 52 ++++++++++++++++++++++++++++++++++++++++++----------
 src/vtegtk.cc      |  4 ++--
 src/vteinternal.hh |  6 +++++-
 src/vteseq.cc      |  4 ++--
 4 files changed, 51 insertions(+), 15 deletions(-)

commit e0ff2c71b71f45c50d8d704f411f2d2f5c18e469
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    lib: Replace SIXEL handling
    
    Remove the old sixel parser and context, and move over to the new parser
    and context.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/253

 src/icu-decoder.hh   |  15 ++
 src/image.hh         |   2 +-
 src/meson.build      |   2 -
 src/parser-seq.py    |   2 +-
 src/parser-string.hh |   9 -
 src/ring.cc          |  16 +-
 src/ring.hh          |   5 +-
 src/sixelparser.cc   | 713 ---------------------------------------------------
 src/sixelparser.hh   |  75 ------
 src/vte.cc           | 149 +++++++++--
 src/vteinternal.hh   |  35 ++-
 src/vteseq.cc        | 207 ++++++++-------
 12 files changed, 307 insertions(+), 923 deletions(-)

commit 93d10c5db61cc286373e7fa75c8856a411f5d469
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    lib: Add new SIXEL context and test

 COPYING.XTERM        |  30 +++
 src/fwd.hh           |   1 +
 src/meson.build      |   9 +-
 src/sixel-context.cc | 505 ++++++++++++++++++++++++++++++++++++++
 src/sixel-context.hh | 668 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/sixel-test.cc    | 551 ++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 1762 insertions(+), 2 deletions(-)

commit d3b562e1156c97199542d3243fc21153546d26d7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    parser: cat: Plug in new SIXEL parser
    
    Use the new SIXEL parser to descend into parsing SIXEL data.
    Also implement linter support for SIXEL to catch a few common problems.

 src/meson.build   |   4 +
 src/parser-cat.cc | 565 +++++++++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 502 insertions(+), 67 deletions(-)

commit 37d658072e564a37584e1292a1cc3dceebaa9223
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    lib: Add new SIXEL parser and test suite

 src/fwd.hh          |    7 +
 src/meson.build     |   26 +-
 src/sixel-parser.hh |  677 ++++++++++++++++++++++++++++++++++
 src/sixel-test.cc   | 1016 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 1725 insertions(+), 1 deletion(-)

commit ce715e7b9859f62fc881c2ddd64cab7e3a2fbc7a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    modes: Add DECSDM mode

 src/modes-private.hh | 12 +++++-------
 src/modes.hh         |  1 +
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 299e2d1d8138b3de264e34d44b44135918fd017a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    lib: Add infrastructure for data syntax switching
    
    Add a way for a sequence handler to signal to the processing loop
    that it has switched data syntax, and thus the processing loop must return
    so the handler for the new data syntax can take over.

 src/meson.build    |   1 +
 src/parser-glue.hh |  43 +++++++++++++++++-
 src/parser-seq.py  |  71 +++++++++++++++++++++++++-----
 src/parser-test.cc |  10 ++---
 src/parser.cc      |  86 +++++++++++++++++++++++++++++++-----
 src/parser.hh      |   8 ++++
 src/vte.cc         | 125 ++++++++++++++++++++++++++++++++++++++---------------
 src/vtedefines.hh  |   2 +
 src/vteinternal.hh |  42 ++++++++++++++----
 src/vteseq.cc      |   2 +-
 10 files changed, 319 insertions(+), 71 deletions(-)

commit 2b7678b09a1f2e71786a8c0d40ebc1fb70c01ccf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    parser: Silence missing declaration warning

 src/parser.hh | 3 +++
 1 file changed, 3 insertions(+)

commit 2d7be5bdad2b332ae22a41dd83935e0bc53cd509
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    widget: Remove excessive const

 src/widget.hh | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 5b84ea7ed76c2631f518747c2fb840de5efa4c74
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    debug: Make 'image' debug flag work

 src/debug.cc |  3 ++-
 src/debug.h  | 66 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 35 insertions(+), 34 deletions(-)

commit ea72547c12f27f05b0622f510c2d5ac32512bac5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    emulation: Fix DA1 response with SIXEL disabled
    
    Omit SIXEL from the DA1 response when SIXEL is enabled at build time
    but disabled at runtime.

 src/parser-glue.hh | 27 +++++++++++++++++++++++++--
 src/vteseq.cc      |  2 +-
 2 files changed, 26 insertions(+), 3 deletions(-)

commit 770bdb87311748cb63beb13ebef8dea07551c8a6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    tests: Rename sixel fuzzer

 src/meson.build                        | 10 +++++-----
 src/{sixel-test.cc => sixel-fuzzer.cc} |  0
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 245dab98ce0ad775ba409c98a24916d2a5b450c9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    parser: cat: Factor processing out into its own function
    
    This will be used in later commits.

 src/parser-cat.cc | 105 +++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 69 insertions(+), 36 deletions(-)

commit e19b69998492465fb555753b52ebce0a0e46d0ed
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    parser: Store the string terminator for DCS sequences
    
    This will be used in a subsequent commit.

 src/parser-cat.cc  |  2 +-
 src/parser-glue.hh | 10 ++++++++++
 src/parser-test.cc | 10 +++++-----
 src/parser.cc      |  6 ++++--
 src/parser.hh      |  1 +
 src/vte.cc         |  2 +-
 src/vteseq.cc      |  2 +-
 7 files changed, 23 insertions(+), 10 deletions(-)

commit 21817903f532b715d5f68762a5ea3a039cc00422
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    terminal: Prepare for processing only part of a chunk
    
    Copy the last byte of the preceding chunk (except for EOS chunks) to
    the next chunk's dataminusone. This will allow rewinding the stream
    during processing by one byte, without keeping the preceding chunk
    around.
    This is in preparation of upcoming refactoring.

 src/chunk.cc       |   8 +--
 src/chunk.hh       | 140 +++++++++++++++++++++++++++++++++++++++++++++++------
 src/parser-cat.cc  |  19 +++++---
 src/vte.cc         |  88 +++++++++++++++++++++------------
 src/vteinternal.hh |   4 +-
 5 files changed, 200 insertions(+), 59 deletions(-)

commit 012a1fa302bea95a2ad949a5ec79a50e047f61e6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    terminal: Don't stop processing on EOS chunk
    
    There may be more chunks after the EOS chunk since the terminal may
    already have another PTY and have read data from it.

 src/vte.cc | 4 ----
 1 file changed, 4 deletions(-)

commit a8e2451eab9da9f6ad646f970a29c39ac29cd7c9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    terminal: Reindent
    
    Remove excessive indentation left over from recent refactoring.

 src/vte.cc | 284 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 142 deletions(-)

commit 8c7ab45ae413249e9017e9744210335788f60cc4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    terminal: Process one chunk at a time
    
    Move the common code out of the data syntax specific processing functions,
    and call them separately for each chunk.
    This is in preparation of upcoming refactoring.

 src/vte.cc         | 319 ++++++++++++++++++++---------------------------------
 src/vteinternal.hh |   6 +-
 2 files changed, 121 insertions(+), 204 deletions(-)

commit a57d145c5a8b2c85e0e661c053fe820c36d1ab10
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    terminal: Create ProcessingContext struct
    
    Move local variables used in process_incoming_{utf8,pcterm} into a struct.
    This is in preparation of upcoming refactoring.

 src/vte.cc         | 323 ++++++++++++++++++++++++-----------------------------
 src/vteinternal.hh |   2 +
 2 files changed, 147 insertions(+), 178 deletions(-)

commit 7d181d8404f23925b7cae70b6d080755eeba3d80
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:36 2020 +0200

    parser: Generate the sequences and command lists with a script
    
    This is in preparation for further parser changes which
    would be hard to do when relying only on the C preprocessor
    to transform the sequence and command lists.

 src/meson.build   |   24 +-
 src/parser-c01.hh |   73 ----
 src/parser-cmd.hh |  336 ----------------
 src/parser-csi.hh |  214 ----------
 src/parser-dcs.hh |   46 ---
 src/parser-esc.hh |   70 ----
 src/parser-sci.hh |   20 -
 src/parser-seq.py | 1138 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/vteseq.cc     |   16 +-
 9 files changed, 1171 insertions(+), 766 deletions(-)

commit f0d1bcd35bda44026afbe160487d4db67440d413
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 19 00:16:35 2020 +0200

    parser: Sort command list

 src/parser-cmd.hh | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 61e1e59e5b23409fd072dcf1374f0d58e1957b84
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Oct 7 12:00:38 2020 +0200

    widget: Fix missing include
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/289

 src/widget.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8d8243b2e431c58b0dddb2a556fbe0189cb4d830
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 6 20:21:56 2020 +0200

    widget: Use named cursors by default
    
    [gtk4 preparation]

 src/vtedefines.hh | 8 ++++----
 src/widget.cc     | 6 +++---
 src/widget.hh     | 2 +-
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 6495f3e0c05468f3a85fbceef34ed8122146688c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 6 19:46:17 2020 +0200

    widget: Simplify mouse event translation
    
    Just throw on unexpected event type.

 src/widget.cc |  8 ++++----
 src/widget.hh | 30 +++++++++++-------------------
 2 files changed, 15 insertions(+), 23 deletions(-)

commit 54daba14724d4afde4f00a2f23fe5698f23b663d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 6 19:46:17 2020 +0200

    widget: Move Event classes to platform
    
    [gtk4 preparation]

 src/fwd.hh         |   3 +
 src/vte.cc         |  82 +++++++++---------
 src/vteinternal.hh | 249 ++++-------------------------------------------------
 src/widget.cc      |  46 +++++-----
 src/widget.hh      | 221 ++++++++++++++++++++++++++++++++++++++++++++++-
 5 files changed, 302 insertions(+), 299 deletions(-)

commit c168ef7053363887ad3fd44ca92b43a8b964bcb2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 3 14:52:51 2020 +0200

    widget: Remove GdkAtom usage where possible
    
    [gtk4]

 src/cxx-utils.hh   | 11 +++++++++
 src/vte.cc         | 67 ++++++++++++++++++++++++++----------------------------
 src/vteaccess.cc   |  5 ++--
 src/vtegtk.cc      | 10 ++++----
 src/vteinternal.hh | 24 ++++++++-----------
 src/widget.hh      |  9 ++++++--
 6 files changed, 68 insertions(+), 58 deletions(-)

commit de1ee80d07ef3d7da138bf7f03395685d7327d97
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 3 11:25:33 2020 +0200

    widget: Reference terminals while processing
    
    In some language bindings, the callbacks we emit during processing
    may cause their GC to run, which could finalise a VteTerminal,
    removing it from g_active_terminals list while we're iterating
    over that list.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/270

 src/vte.cc | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit e56d624372e69facd9f601fae339bae1712ac8b1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 30 21:07:36 2020 +0200

    pty: Allow null callback for spawn_async
    
    Continued from https://gitlab.gnome.org/GNOME/vte/-/issues/286

 src/vtepty.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit fafaa6ff619fd05fc03244fa99619c67cf717e0d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 30 16:52:31 2020 +0200

    gtk: Allow passing null callback to spawn_async
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/286

 src/vtegtk.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 71c03eaa260156a84884643ccbb6861c8fa558a1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 30 16:52:31 2020 +0200

    lib: Abort when alloc returns nullptr
    
    Allocating memory with glib (g_new, etc) will abort the process
    when memory allocation fails. Do the same when using the C++
    allocator (operator new, etc) throws bad_alloc.

 src/vtegtk.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 546e51c343a1a773a21f4f03dbc254dcb7b7b73c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 30 16:52:31 2020 +0200

    spawn: Remove current directory from fallback search PATH
    
    Via https://gitlab.gnome.org/GNOME/glib/-/issues/2188

 src/spawn.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e148105691926cbd4861e7dc26dec194f59c7f14
Author: Marko Mäkelä <msmakela@gmail.com>
Date:   Fri Sep 27 05:09:05 2019 +0000

    vte.sh: Avoid warnings if shell is configured with 'set -u'
    
    Resolves: https://gitlab.gnome.org/GNOME/vte/-/issues/285
    Bug-Debian: https://bugs.debian.org/941247

 src/vte.sh.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a7b863a6fcfc7f3bf4f96ce6baffaa240c5830f2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Sep 24 21:39:43 2020 +0200

    widget: Implement GtkScrollableInterface::get_border
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/283

 src/vtegtk.cc      | 26 ++++++++++++++++++++++++--
 src/vteinternal.hh |  1 +
 src/widget.hh      |  1 +
 3 files changed, 26 insertions(+), 2 deletions(-)

commit faab185155b5239efa13ca80d4d86b6f43e4e716
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Sep 22 15:13:47 2020 +0000

    Update Chinese (Taiwan) translation
    
    (cherry picked from commit 1ff95a09b3d897db85b24a65b235c08477cec22b)

 po/zh_TW.po | 64 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 43 insertions(+), 21 deletions(-)

commit 667dea443f1c2a68fcf8287fbe5d8ab58c789673
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Sep 17 07:38:08 2020 +0000

    Update Slovak translation
    
    (cherry picked from commit d95254fd8016878788c71f4c22ba5076bd11d95c)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 88d0b3d7b0bdb238b12608e80c96bffdc00e589f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 13 01:26:17 2020 +0200

    glade: Set icon prefix
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/281

 bindings/glade/vte.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 7927c771b9394eaaf88c0b1cd4d10c76086f352a
Author: Aleksandr Mezin <mezin.alexander@gmail.com>
Date:   Sat Sep 12 21:59:56 2020 +0200

    build: Restore glade catalogue
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/281

 .../hicolor_actions_16x16_widget-vte-terminal.png  | Bin 0 -> 644 bytes
 .../hicolor_actions_22x22_widget-vte-terminal.png  | Bin 0 -> 901 bytes
 bindings/glade/meson.build                         |  42 +++++++++++++++++++++
 bindings/glade/vte.xml.in                          |  17 +++++++++
 bindings/meson.build                               |   4 ++
 meson.build                                        |   1 +
 meson_options.txt                                  |   7 ++++
 7 files changed, 71 insertions(+)

commit 51467c90cefc72efe5fbabb4350062f46d5ddf63
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Sep 12 21:24:55 2020 +0200

    build: Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e31432b965a789a46a3c5bf19015d99a28f5b370
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Sep 12 14:05:51 2020 +0000

    Update Kazakh translation

 po/kk.po | 62 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 43 insertions(+), 19 deletions(-)

commit d59c4ca8a3ef2fd2af48ed0dd5f973adbcbfc57a
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Sep 12 13:09:17 2020 +0000

    Update Latvian translation

 po/lv.po | 65 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 44 insertions(+), 21 deletions(-)

commit 5e24d5020451be54bea42f42130b47dff6188e7b
Author: Juliano Camargo <julianosc@protonmail.com>
Date:   Fri Sep 11 23:59:40 2020 +0000

    Update Portuguese translation

 po/pt.po | 76 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 50 insertions(+), 26 deletions(-)

commit 721a07084c7e12bd710a273ad5dbcc0836435689
Author: Milo Casagrande <milo@milo.name>
Date:   Thu Sep 10 09:27:05 2020 +0000

    Update Italian translation

 po/it.po | 61 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 38 insertions(+), 23 deletions(-)

commit 4d9149bca396ca83dfb7a8f2e43eccc6c2a49da9
Author: Tim Sabsch <tim@sabsch.com>
Date:   Mon Sep 7 18:37:33 2020 +0000

    Update German translation

 po/de.po | 67 +++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 47 insertions(+), 20 deletions(-)

commit 803ddeb015e58fc84402a295d518d86aa20c2099
Author: Balázs Meskó <meskobalazs@mailbox.org>
Date:   Sun Sep 6 23:38:46 2020 +0000

    Update Hungarian translation

 po/hu.po | 72 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 49 insertions(+), 23 deletions(-)

commit 10f996016d1ca54c08083f6b92d47ec145902e55
Author: Thibault Martin <mail@thibaultmart.in>
Date:   Sun Sep 6 08:26:01 2020 +0000

    Update French translation

 po/fr.po | 71 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 43 insertions(+), 28 deletions(-)

commit 34ba53db6a07268e5d78179f86dc112a87fe9048
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Fri Sep 4 08:17:00 2020 +0000

    Update Slovak translation

 po/sk.po | 46 ++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 38 insertions(+), 8 deletions(-)

commit c25ca2d0487249a8b64dfdcda4e7d88179dea75a
Author: Simon McVittie <smcv@debian.org>
Date:   Thu Sep 3 10:13:05 2020 +0100

    Export vte_pty_spawn_finish again
    
    This was accidentally unexported in af649664, breaking the ABI.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Resolves: https://gitlab.gnome.org/GNOME/vte/-/issues/278

 src/vte/vtepty.h | 1 +
 1 file changed, 1 insertion(+)

commit 6ca80dfd7da4cb07ae9940320f003ce7becd4fbc
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Mon Aug 31 14:37:24 2020 +0000

    Update Serbian translation

 po/sr.po | 61 ++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 42 insertions(+), 19 deletions(-)

commit c8c01d3d8e4dc705ffd5c6a92d7ca1889ad841f8
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Aug 30 07:47:07 2020 +0000

    Update Korean translation

 po/ko.po | 59 +++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 39 insertions(+), 20 deletions(-)

commit c95a9d61a545690f3dd457c019b3d76b81af046d
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Aug 25 11:27:06 2020 +0200

    Updated Czech translation

 po/cs.po | 59 +++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 37 insertions(+), 22 deletions(-)

commit 121908c1bb7c937b82fca35e6a65f111a48502b4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Aug 24 16:27:30 2020 +0000

    Update Swedish translation

 po/sv.po | 87 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 50 insertions(+), 37 deletions(-)

commit 54e1dceb147d28f188b90b1e42f5a2bc74821947
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sun Aug 23 22:10:17 2020 +0200

    docs: Remove three mistaken little words

 doc/ambiguous.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2020e23bd752ba8889b13107134eaea3d61b3b39
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Aug 23 20:45:52 2020 +0200

    Updated Danish translation

 po/da.po | 135 +++++++++++++++++----------------------------------------------
 1 file changed, 35 insertions(+), 100 deletions(-)

commit 958e5e1bfb40323e57597394026b1a2e64a27831
Author: Goran Vidović <trebelnik2@gmail.com>
Date:   Sun Aug 23 12:42:49 2020 +0000

    Update Croatian translation

 po/hr.po | 61 ++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 42 insertions(+), 19 deletions(-)

commit 97d2e87fa196e4023bf658bc56701cac27063434
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 22 20:53:10 2020 +0200

    all: Fix sixelparser.{hh,cc} licence header

 src/sixelparser.cc | 4 ++--
 src/sixelparser.hh | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 2473ddb9eb312cd646ed7c04d75907957e5eb1cf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 22 20:53:10 2020 +0200

    pty: Only fill in ws_[xy]pixel when sixel is enabled

 src/pty.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 0596536d213f489ab0dee27bb1377cc2a7ff5c9b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 16 12:51:59 2020 +0200

    Update Polish translation

 po/pl.po | 67 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 41 insertions(+), 26 deletions(-)

commit 12599636842931003c01d07e82496018ac56de1e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Mon Aug 10 11:58:47 2020 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 73 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 49 insertions(+), 24 deletions(-)

commit d88d8902e65fbfc3aa664589e797aca087f02e7f
Author: Zander Brown <zbrown@gnome.org>
Date:   Mon Aug 10 11:14:21 2020 +0000

    Update British English translation

 po/en_GB.po | 65 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 44 insertions(+), 21 deletions(-)

commit 1d7cc29255f21c8e3b4f158e6674c5792ad185e1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 8 21:56:17 2020 +0200

    build: Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09e71510d1b7061df177d6e3b531aa5cc86b8d65 (tag: 0.61.90)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 8 21:55:09 2020 +0200

    widget: Redraw when en/disabling SIXEL

 src/vteinternal.hh | 2 ++
 1 file changed, 2 insertions(+)

commit a737e397e391761546dd9356ec99f499ccaa4cf8
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat Aug 8 21:55:09 2020 +0200

    widget: Improve legibility by using the appropriate background color
    
    From GTK 3.24.22 onwards, Adwaita exports a text_view_bg color [1]
    that's meant to be used as the background in text views, such as
    terminal emulators, where higher contrast helps with legibility.
    
    [1] https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/2402
        https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/2403
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/226

 src/vtegtk.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit f825132b10c89d4512241330ff5fa465d0d82256
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 8 21:55:09 2020 +0200

    Version 0.61.90

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e28f1d50c07605bb0deaec70a46f520b621a9bff
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 8 21:55:09 2020 +0200

    widget: Add API to get features as flags
    
    This will be used in gnome-terminal to hide UI that's not functional
    due to VTE being compiled without that feature.

 doc/reference/vte-sections.txt |  2 ++
 src/vte/vteenums.h             | 21 ++++++++++++++++++++-
 src/vte/vteglobals.h           |  4 ++++
 src/vtegtk.cc                  | 30 ++++++++++++++++++++++++++++++
 4 files changed, 56 insertions(+), 1 deletion(-)

commit 9b879a3c326118ec8bd7657a7ac11d78f084e6c0
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sat Aug 8 21:55:09 2020 +0200

    all: Add SIXEL support
    
    This adds support for SIXEL images to VTE. Based on initial work by
    Hayaki Saito <saitoha@me.com>, updated and improved by
    Hans Petter Jansson <hpj@cl.no>
    
    For now this is off by default; build with -Dsixel=true to enable.
    
    (This is the contents of the wip/sixels branch, squashed together
    into one commit.)
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/253

 doc/reference/vte-sections.txt |   2 +
 meson.build                    |   2 +
 meson_options.txt              |   7 +
 src/app/app.cc                 |   6 +
 src/debug.h                    |   1 +
 src/image.cc                   |  68 ++++
 src/image.hh                   | 102 ++++++
 src/meson.build                |  25 ++
 src/parser-cmd.hh              |   2 +-
 src/parser-dcs.hh              |   2 +-
 src/parser-string.hh           |  10 +
 src/ring.cc                    | 223 +++++++++++-
 src/ring.hh                    |  28 ++
 src/sixel-test.cc              | 763 +++++++++++++++++++++++++++++++++++++++++
 src/sixelparser.cc             | 713 ++++++++++++++++++++++++++++++++++++++
 src/sixelparser.hh             |  75 ++++
 src/vte.cc                     |  88 ++++-
 src/vte/vteterminal.h          |  10 +
 src/vtedefines.hh              |   2 +
 src/vtegtk.cc                  |  81 +++++
 src/vtegtk.hh                  |   1 +
 src/vteinternal.hh             |  19 +-
 src/vteseq.cc                  | 114 +++++-
 src/widget.hh                  |   3 +
 24 files changed, 2323 insertions(+), 24 deletions(-)

commit acc15425af882bb541bff14557bafbdc77530c7d
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Tue Aug 4 07:32:18 2020 +0000

    Update Galician translation

 po/gl.po | 72 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 48 insertions(+), 24 deletions(-)

commit 3707633a71dfa91b244528e6cd8ed50eaa0ab327
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jul 22 19:50:29 2020 +0200

    pty: Fix typo

 src/pty.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4e9f0a9d35f6820876d5aab21729232e34253b4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    draw: Fix a thinko
    
    Don't overwrite constructed data, and don't run the destructor twice.
    Regression introduced in commit 9c9d9a44c045b16685061fc0380bcc2d86634011.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/267

 src/fonts-pangocairo.cc | 8 --------
 1 file changed, 8 deletions(-)

commit d552d64c0e218566f076ef2cd47a45275620b576
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    app: Add option to load extra CSS from a file
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/268

 src/app/app.cc      | 28 ++++++++++++++++++++++++++++
 src/app/meson.build |  2 +-
 src/meson.build     |  7 +++++--
 3 files changed, 34 insertions(+), 3 deletions(-)

commit fe95bc7af1b0e70c0fc9254d41ed4f15ea0cfbb9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    app: Add option to disable window decorations
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/268

 src/app/app.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 79031079146eb82106551f0d92c13dc5d356a1a9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    all: Replace %m with %s and g_strerror()
    
    For portability, don't use %m in non-linux code.
    
    Based on a patch by Nia Alarie <nia@netbsd.org>.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/261

 src/app/app.cc      | 19 ++++++++++-----
 src/app/meson.build |  2 +-
 src/decoder-cat.cc  |  8 +++++--
 src/meson.build     |  4 ++--
 src/parser-cat.cc   |  8 +++++--
 src/pty.cc          | 69 +++++++++++++++++++++++++++++++++++++----------------
 src/spawn.cc        | 18 ++++++++++----
 src/vte.cc          | 14 +++++++----
 8 files changed, 98 insertions(+), 44 deletions(-)

commit e036d389eb198efa85bf35dd8baa2c47220abb8d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    spawn: Error out when it is impossible to close all file descriptors
    
    When the limit is RLIM_INFINITY, we cannot use the fallback fdwalk
    that calls close() on all FDs. Instead of potentially leaking some FDs,
    error out.

 src/missing.cc | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit ed78b9e2ec47675a9dccf045caca4d7a0b6c9fe8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    spawn: Async-signal-safety fixes
    
    Ported from https://gitlab.gnome.org/GNOME/glib/-/issues/2140
    with some adjustments.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/263

 src/missing.cc  |  69 +++++++++++++++++++++++------
 src/spawn.cc    |  43 ++++++++++++++++--
 src/spawn.hh    |  11 ++---
 src/vtepty.cc   |   5 +--
 src/vtespawn.cc | 133 ++++++++++++++++++++++++++++----------------------------
 src/vtespawn.hh |   7 +--
 6 files changed, 173 insertions(+), 95 deletions(-)

commit 45de5443b637c81f57360066d84bc0d304868e30
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jul 18 13:52:55 2020 +0200

    build: Use -Bsymbolic when available

 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a53fd3199728695c48eb2ea96bb7602c699eb6cc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jul 12 20:43:12 2020 +0300

    Updated Lithuanian translation

 po/lt.po | 71 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 47 insertions(+), 24 deletions(-)

commit 0add69cd3d50af8e1d61fdaa86a72fac2b8df5c4
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Jul 11 19:34:33 2020 +0000

    Update Friulian translation

 po/fur.po | 69 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 44 insertions(+), 25 deletions(-)

commit b0e7b2d55d69f140497a729f0a8e2784bedc651a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Jul 3 05:33:14 2020 +0000

    Update Catalan translation

 po/ca.po | 76 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 50 insertions(+), 26 deletions(-)

commit 9810f06b14ed11b7926c697db1fbdabecfb09194
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jun 22 22:06:37 2020 +0200

    Updated Slovenian translation

 po/sl.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 38f740241a9da929e8a783c07c3f1d3f044ec37a
Author: Zephyr Wang 王滋涵 <wi24rd@fedoraproject.org>
Date:   Wed Jun 17 03:05:55 2020 +0000

    Update Chinese (China) translation

 po/zh_CN.po | 72 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 48 insertions(+), 24 deletions(-)

commit 263f7a14d14b091579c8fd15b39f031c8d9afee5
Author: Kukuh Syafaat <kukuhsyafaat@gnome.org>
Date:   Fri Jun 12 08:24:36 2020 +0000

    Update Indonesian translation

 po/id.po | 66 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit 2fcd6a98598319e1b0d092d3f44274ccfe5471b5
Author: sicklylife <translation@sicklylife.jp>
Date:   Wed Jun 10 12:34:17 2020 +0000

    Update Japanese translation

 po/ja.po | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit 070ddda450a0aae085640b6a4e43a55ad89b6152
Author: sicklylife <translation@sicklylife.jp>
Date:   Wed Jun 10 12:18:31 2020 +0000

    Update Japanese translation

 po/ja.po | 60 +++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 43 insertions(+), 17 deletions(-)

commit b3d5c1f6a4422d4c46ceb6d0379aaeac3a3f8068
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Jun 4 21:54:41 2020 +0200

    emulation: Fix EL 0 after cursor movement
    
    Before erasing to the end of the line, need to fill the line
    up to the current cursor position.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/260

 src/vteseq.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0604617936deb66e89f235640e1ed933ef4f3e3d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    lib: Improve smart pointers
    
    Save some memory by using an empty deleter class.

 src/cairo-glue.hh    | 28 ++++++++++++++++++++++++++++
 src/cxx-utils.hh     | 14 ++++++++++++++
 src/drawing-cairo.cc |  9 ++++-----
 src/drawing-cairo.hh |  4 +++-
 src/glib-glue.hh     | 18 ++++--------------
 src/meson.build      |  1 +
 src/refptr-test.cc   |  6 +++---
 src/refptr.hh        | 19 +++++++------------
 src/regex.hh         |  9 +++++++--
 src/vte.cc           |  4 ++--
 src/vteinternal.hh   |  6 +++---
 src/widget.cc        |  2 +-
 12 files changed, 77 insertions(+), 43 deletions(-)

commit b0ef50363a1503be16012b02b01a173aa2ee2b07
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Use attr in public functions instead of font style
    
    Move public function to the only file it is used from, and
    pass the attr directly to draw_text etc instead of the
    bold/italc style.

 src/drawing-cairo.cc | 57 ++++++++++++++++++++++++++--------------------------
 src/drawing-cairo.hh | 17 +++++-----------
 src/vte.cc           | 13 ++++--------
 3 files changed, 38 insertions(+), 49 deletions(-)

commit 39ea41b942f96d9e2e63f5ff8f86ad8b9a52e185
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move remaining class into new file

 src/{vtedraw.cc => drawing-cairo.cc} | 30 ++++++++----------------------
 src/{vtedraw.hh => drawing-cairo.hh} | 18 +++++++++---------
 src/meson.build                      |  4 ++--
 src/minifont.cc                      |  2 +-
 src/vte.cc                           |  1 -
 src/vteinternal.hh                   |  4 ++--
 6 files changed, 22 insertions(+), 37 deletions(-)

commit 4c58cac26a89a6b3f85b07c8d4c831b003f43a7a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move public define to the only file where it is used

 src/vtedraw.cc | 4 ++++
 src/vtedraw.hh | 4 ----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit af8058637005e1438ed0029b7328141e5f38a7ea
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move public define to the only file where it is used

 src/vte.cc     | 2 ++
 src/vtedraw.hh | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 507ac2860eb575520ba3628457342161556e4a8b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move custom drawing code into its own class

 src/meson.build |    2 +
 src/minifont.cc | 1113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/minifont.hh |   61 +++
 src/vtedraw.cc  | 1100 +-----------------------------------------------------
 src/vtedraw.hh  |    8 +
 5 files changed, 1188 insertions(+), 1096 deletions(-)

commit 42ea29e93c08266c3b3fd30cc4a838f3970f9892
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move FontInfo to its own file

 src/fonts-pangocairo.cc | 474 ++++++++++++++++++++++++++++++++
 src/fonts-pangocairo.hh | 286 ++++++++++++++++++++
 src/fwd.hh              |   7 +
 src/meson.build         |   2 +
 src/vtedraw.cc          | 700 +-----------------------------------------------
 5 files changed, 770 insertions(+), 699 deletions(-)

commit bb6adce89cb82677b85e1f6ceaa5279e5bdc5752
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Pass ownership of references through RefPtr

 src/vtedraw.cc | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit 9c9d9a44c045b16685061fc0380bcc2d86634011
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move struct unistr_info into FontInfo class

 src/vtedraw.cc | 213 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 104 insertions(+), 109 deletions(-)

commit 405d3f78fde37dbcc93beb5ad8bf7454e9e2ad50
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Move struct _vte_draw_text_request into DrawingContext

 src/vte.cc         | 12 +++++-------
 src/vtedraw.cc     |  6 +++---
 src/vtedraw.hh     | 33 +++++++++++++++++++--------------
 src/vteinternal.hh |  4 ++--
 4 files changed, 29 insertions(+), 26 deletions(-)

commit 012131e92b290a6c80becc4fa234570be5592e25
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Remove unnecessary out param checks
    
    We can just always pass the param even if unused, since this
    is used only internally and in a few places.

 src/vte.cc     |  6 +++---
 src/vtedraw.cc | 26 ++++++++++----------------
 src/vtedraw.hh |  4 ++--
 3 files changed, 15 insertions(+), 21 deletions(-)

commit 1c5949c6a04367df2e96d39cfad40f9bbdde8710
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: Use DrawingContext directly
    
    ... instead of through the wrapper functions. Remove those.

 src/vte.cc     |  60 ++++++++++++------------
 src/vtedraw.hh | 145 ---------------------------------------------------------
 2 files changed, 30 insertions(+), 175 deletions(-)

commit d9386afe15e8e1df4530f59e6727d37f13d96852
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: C++ify

 src/vtedraw.cc | 530 ++++++++++++++++++++++++++++-----------------------------
 src/vtedraw.hh |  10 +-
 2 files changed, 267 insertions(+), 273 deletions(-)

commit c1a86839eea2ca95f9cf1cfc3405472609ec5132
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    draw: C++ify

 src/vte.cc         |  25 +--
 src/vtedraw.cc     | 462 +++++++++++++++++++++++++----------------------------
 src/vtedraw.hh     | 338 +++++++++++++++++++++++++++++++--------
 src/vteinternal.hh |   6 +-
 4 files changed, 492 insertions(+), 339 deletions(-)

commit ba30655e1c632f4b83d97397a85a2ee2a7dd3d98
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jun 1 22:48:43 2020 +0200

    all: Remove cruft

 ChangeLog.pre-git | 12065 ----------------------------------------------------
 NEWS              |  1244 ------
 2 files changed, 13309 deletions(-)

commit 7fa413a5ba5106bd9bf9ea7977fbc80fcea504ab
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jun 1 22:14:36 2020 +0200

    Updated Slovenian translation

 po/sl.po | 79 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 52 insertions(+), 27 deletions(-)

commit ca4a9c9f064b6403fc356b0ce681ce9bf7856822
Author: Asier Sarasua Garmendia <asiersarasua@ni.eus>
Date:   Sat May 30 20:52:55 2020 +0000

    Update Basque translation

 po/eu.po | 64 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 43 insertions(+), 21 deletions(-)

commit 87506bfe60b2fb91e2cd0741e7baf3473e5e71bc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 22:43:29 2020 +0200

    lib: Improve exception error message without debug enabled

 src/vtegtk.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 44547bf2cdd6ac9a2dc6212bb633f41493122426
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 22:18:16 2020 +0200

    lib: Fix the build with debug disabled

 src/vtegtk.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit af384940fd393d85682aa1f2fd688d85f76c5ad8
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Wed May 27 21:17:04 2020 +0200

    pty: Fill in winsize.ws_xpixel and .ws_ypixel for TIOCGWINSZ
    
    This makes the terminal's pixel size available to clients, which can use
    it to estimate the cell size and scale graphics accordingly.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/251

 perf/printwinsize.py  | 26 ++++++++++++++++++++++++++
 src/pty.cc            |  8 +++++++-
 src/pty.hh            |  4 +++-
 src/vte.cc            | 12 +++++++++++-
 src/vtegtk.cc         |  8 +++++++-
 src/vtepty.cc         | 17 ++++++++++++++++-
 src/vteptyinternal.hh |  7 +++++++
 7 files changed, 77 insertions(+), 5 deletions(-)

commit dc6c348c3a4ef737f4f95cab373c7995a8a37e53
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    lib: Ensure no exceptions escape from the C API
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/185

 doc/reference/meson.build |    2 +-
 src/cxx-utils.hh          |   45 ++
 src/debug.cc              |    1 +
 src/debug.h               |    1 +
 src/glib-glue.hh          |   21 +-
 src/gobject-glue.hh       |   49 ++
 src/meson.build           |    2 +
 src/vte.cc                |   77 +--
 src/vte/vtedeprecated.h   |   47 +-
 src/vte/vteglobals.h      |    6 +-
 src/vte/vtemacros.h       |    9 +
 src/vte/vtepty.h          |   22 +-
 src/vte/vteregex.h        |   12 +-
 src/vte/vteterminal.h     |  188 +++----
 src/vte/vteversion.h.in   |    6 +-
 src/vteaccess.cc          |   67 ++-
 src/vtegtk.cc             | 1286 +++++++++++++++++++++++++++++++++++++--------
 src/vteinternal.hh        |   19 +-
 src/vtepty.cc             |  101 +++-
 src/vteptyinternal.hh     |    4 +-
 src/vteregex.cc           |   47 +-
 src/widget.cc             |   67 ++-
 src/widget.hh             |    2 +-
 23 files changed, 1603 insertions(+), 478 deletions(-)

commit 7d97382b11e76dbafc790154c2ca7b39b9af70d8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    build: Drop -fno-exceptions -fno-rtti
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/185

 meson.build        |  2 --
 src/vteinternal.hh | 13 ++++---------
 2 files changed, 4 insertions(+), 11 deletions(-)

commit 18912ef4fee8179c9fd2340e8e072f88bc6eda94
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    libc: glue: Implement swap for FD

 src/libc-glue.hh | 7 +++++++
 1 file changed, 7 insertions(+)

commit e07d8071357fa9efa1e458930376b4df3ad17d79
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    libc: glue: Make FD operators noexcept

 src/libc-glue.hh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 197954648bf6868e63872d9d32339bd985d4a9ef
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    libc: glue: Make FD self-assignment safe

 src/libc-glue.hh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 0e8d1a6fece6356663a3ce2c49c51d4e17be7381
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 27 21:17:04 2020 +0200

    glib: glue: Mark some methods as noexcept

 src/glib-glue.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b5304de6824b353a7acd5346a01f11bba3a7a6f4
Author: Florentina Mușat <emryslokadottir@gmail.com>
Date:   Fri May 22 08:40:10 2020 +0000

    Update Romanian translation

 po/ro.po | 66 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit c7d1782bbc63d2104835f4085b2b3187dde1ee02
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   Wed May 13 17:33:49 2020 +0000

    Update Persian translation

 po/fa.po | 62 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 43 insertions(+), 19 deletions(-)

commit 6a9580bab89c8d82d67cff538e1d0c483c6e142f
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed May 13 11:46:48 2020 +0200

    widget: Fix underlining the space character in a matched regex
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/248

 src/vte.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 78031f362af3933a70a40ad9e3ea5cd3ba2df590
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 12 00:22:59 2020 +0200

    terminal: Adjust variable type
    
    AFAICT the computation will never exceed the int range, but
    simply use auto here to be sure, and remove a FIXME.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/244#note_796941

 src/vte.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b975ca703559e9ccfad81331bca4534af6d44598
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun May 10 21:57:01 2020 +0200

    pty: Fix opening a PTY on non-linux
    
    Commit 387b0a4924c895d14c5776093274fecd13c23138 changed the code
    from using int to store a file descriptor to using the vte::libc::FD
    class, but omitted to change some calls in the non-linux code path
    to use .get() when passing the file descriptor to a libc function.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/245

 src/pty.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fc0fb8adc246d146de8869da5be334bdc44000aa
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun May 10 21:57:01 2020 +0200

    libc: glue: Make FD's operator bool() explicit
    
    This prevents an accidental implicit conversion from FD to
    int with value 0 or 1 instead of using get().

 src/libc-glue.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 062d504b634dda4627d6fc3e23f450a500ffebdd
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun May 10 21:57:01 2020 +0200

    spawn: Ignore EBADF in the fdwalk callback
    
    The fallback implementation of fdwalk can call the callback with invalid
    file descriptors on non-Linux systems because it doesn't know how to get
    a list of valid file descriptors. Therefore, we have to ignore bad file
    descriptor errors, otherwise the fdwalk call always fail.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/245

 src/spawn.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 81dca07bc96e199f59dd805c61b7ae53e9775a3d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun May 10 21:57:01 2020 +0200

    spawn: Check for explicit systemd requirement
    
    When built without systemd support, fail only if a systemd scope was
    explicitly requested with the VTE_SPAWN_REQUIRE_SYSTEMD_SCOPE flag.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/245

 src/spawn.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e6647a1fe53c36e59da0ebd850d81bda332cd37
Author: Benjamin Berg <bberg@redhat.com>
Date:   Tue May 5 15:44:33 2020 +0200

    systemd: Place vte into app.slice rather than apps.slice
    
    To avoid confusion, we have updated the systemd specification to use
    app.slice rather than apps.slice. Update the use here accordingly.
    
    This change is in no way urgent as other software is not using the
    conventions yet.
    
    See https://github.com/systemd/systemd/pull/15647
    
    Closes: #240

 src/systemd.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2792596e4aee6d951c0127719144bbfb3345bd1
Author: Jwtiyar Nariman <jwtiyar@gmail.com>
Date:   Mon May 4 22:17:23 2020 +0000

    Add Kurdish Sorani translation
    
    (cherry picked from commit 7e6442233e24141eb8ce92e96587c2c8df159b98)

 po/LINGUAS |  1 +
 po/ckb.po  | 43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

commit 0c95c0c9f376aa0a2b91c516a52181bbc9f372f5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun May 3 22:18:11 2020 +0200

    spawn: Use unique_ptr for child setup data

 src/spawn.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 87943812161c45c1c33967cbfcbed487347b7c0f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Make mouse scroll handler return bool
    
    This will be used in https://gitlab.gnome.org/GNOME/vte/-/issues/234

 src/vte.cc         | 14 ++++++++++----
 src/vteinternal.hh |  2 +-
 src/widget.hh      |  2 +-
 3 files changed, 12 insertions(+), 6 deletions(-)

commit 5ccac1ed2876ad85d7845a85c586b607790d75c1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Remove extraneous unmap
    
    GtkWidget::unrealize already unmaps the widget if mapped, so
    there is no need to do this manually again.

 src/vte.cc | 6 ------
 1 file changed, 6 deletions(-)

commit e77a894530128cd0c0fcad58a33c6f2b0b0b120f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Move retrieving gtk settings to Widget

 src/vte.cc    | 10 +++-------
 src/widget.cc | 18 ++++++++++++++----
 src/widget.hh |  1 +
 3 files changed, 18 insertions(+), 11 deletions(-)

commit 4870238eccdc3a0a5e8a9dc3bc94b0dba218b96d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Move grab focus method to Widget

 src/vte.cc         | 19 +++++++++----------
 src/vteinternal.hh |  2 +-
 src/widget.hh      |  2 ++
 3 files changed, 12 insertions(+), 11 deletions(-)

commit 9f139a093ec7d832a5ebc13ebef6f71d2503b9a6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Move style update handler to Widget

 src/vte.cc         | 51 ++++++++++++++++++++++-----------------------------
 src/vteinternal.hh |  4 +++-
 src/widget.cc      | 27 +++++++++++++++++++++++++++
 src/widget.hh      |  4 ++--
 4 files changed, 54 insertions(+), 32 deletions(-)

commit 84258756968c263068db7f7ec4899fcc6feb9380
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Move signal emission to the widget

 src/vte.cc    | 6 ------
 src/vtegtk.cc | 4 +++-
 2 files changed, 3 insertions(+), 7 deletions(-)

commit b898f1da0591ad60db811b68c9e442f4eef55ba6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Continue treating Meta as Alt
    
    This partially reverts commit 2965a10e63d024a9318976ae2bf81621b31809b1.
    The original change is correct, but needs more work, so revert the
    parts that are observable by the terminal app/user for now.
    The sequences vte sends are those for Alt, not Meta; so rename
    all occurrences of 'meta' to alt.

 src/modes-private.hh | 4 ++--
 src/modes-test.cc    | 2 +-
 src/modes.hh         | 2 +-
 src/vte.cc           | 2 +-
 src/widget.cc        | 6 ++++++
 5 files changed, 11 insertions(+), 5 deletions(-)

commit 58327921370340f4f44afa0c2323c42aa5e33f54
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Move keymap translation to Widget
    
    ... making Terminal now entirely free of use of GdkEvent APIs.
    
    Part of https://gitlab.gnome.org/GNOME/vte/issues/12

 src/vte.cc    | 33 ++-------------------------------
 src/widget.cc | 29 +++++++++++++++++++++++++++++
 src/widget.hh |  2 ++
 3 files changed, 33 insertions(+), 31 deletions(-)

commit 56132ed80fcff068769e85888278d4587d26151e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Fix debug output to use the event wrapper

 src/vte.cc         | 2 +-
 src/vteinternal.hh | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b404b62dc32be80dbbfc25606d5e10a170046e5d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: No need to pass focus events to Terminal
    
    All the information the Terminal needs is if it's an in or out
    event, and that's already encoded in the function name.

 src/vte.cc         | 4 ++--
 src/vteinternal.hh | 4 ++--
 src/widget.hh      | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 477c45bcbec34841dda0ee63b58aebe37c356b93
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Add wrapper class for mouse events
    
    Extract all information from the GdkEvent{Button,Crossing,Scroll},
    put them into a wrapper class, and pass that down to Terminal,
    instead of the native event.

 src/vte.cc         | 269 ++++++++++++++++++++++-------------------------------
 src/vtegtk.cc      |  16 ++--
 src/vteinternal.hh | 232 ++++++++++++++++++++++++++++++++++++---------
 src/widget.cc      |  56 +++++++++--
 src/widget.hh      |  49 ++++++++--
 5 files changed, 396 insertions(+), 226 deletions(-)

commit 940ce2cf377731319662f51af804f65da99f6432
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Remove unused function

 src/vte.cc | 13 -------------
 1 file changed, 13 deletions(-)

commit 6b773dda1399a66dbdcc94cf7bf7304d1da5c0e2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Focus events have no modifier state
    
    ... so don't even try to read it.

 src/vte.cc | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 19ea46dadd7898389753241ea2d1b5429bc4bd7d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    widget: Add wrapper class for key events
    
    Extract all information from the GdkEventKey, put them into a wrapper class,
    and pass that down to Terminal, instead of the native event.

 src/fwd.hh         |  6 +++++
 src/vte.cc         | 52 +++++++++++++++++++---------------------
 src/vteinternal.hh | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/widget.cc      | 40 +++++++++++++++++++++++++++++--
 src/widget.hh      |  9 ++++---
 5 files changed, 142 insertions(+), 35 deletions(-)

commit d63523a26cf68c3b8d5540dd304d1293233d8d3a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    lib: Meta really is Alt
    
    The sequences vte sends are those for Alt, not Meta; so rename
    all occurrences of 'meta' to alt.

 src/keymap.cc        | 42 ++++++++++++++++++++--------------------
 src/keymap.h         |  2 +-
 src/mev.c            |  8 ++++----
 src/modes-private.hh |  4 ++--
 src/modes-test.cc    |  2 +-
 src/modes.hh         |  2 +-
 src/vte.cc           | 54 ++++++++++++++++++++++++++--------------------------
 7 files changed, 57 insertions(+), 57 deletions(-)

commit f69eadf4fa48bbf8b45c36d9a9b71fbf6049557c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 23:08:42 2020 +0200

    parser: Add DECFNK sequence

 src/parser-cmd.hh   |  1 +
 src/parser-reply.hh |  2 +-
 src/vteseq.cc       | 11 +++++++++++
 3 files changed, 13 insertions(+), 1 deletion(-)

commit 84224f52f726b0062bc2c228d7052faf1c48fa0a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 20:34:49 2020 +0200

    widget: Notify correct property when setting the scroll-on-keystroke
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/238

 src/vtegtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 216030e3f443c8032c36ac84cb471fbae99b1db6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 20:23:47 2020 +0200

    spawn: Remove inaccurate comment

 src/spawn.cc | 1 -
 1 file changed, 1 deletion(-)

commit 0b1708033fbd70913c0938ed6ac05622a6a17ddd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 20:03:42 2020 +0200

    spawn: Fix double-calling of the child setup data destructor
    
    The problem was that after moving the SpawnContext into the SpawnOperation,
    ~SpawnContext of the move source's context called the child setup data destructor
    but the data now belongs to the move target.
    
    Fix this by using a std::shared_ptr.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/237

 src/spawn.cc |  2 +-
 src/spawn.hh | 18 +++++++-----------
 2 files changed, 8 insertions(+), 12 deletions(-)

commit b1591c62a5018350c7c561bb91ce3733be21b176
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 20:03:42 2020 +0200

    spawn: Use nullptr not NULL

 src/vtepty.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 423c2ff47f44810adcb8fd6591c2bb93e759618f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 11:05:04 2020 +0200

    spawn: Don't change PWD when no cwd is given

 src/spawn.cc | 2 --
 1 file changed, 2 deletions(-)

commit bb873963040de80a86b94b8f0c2aec822b82d395
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 11:05:04 2020 +0200

    spawn: Use g_get_environ

 src/spawn.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit db0b3d350ebc51355ebaa6c026a16e45fec813fa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:48:18 2020 +0200

    glib: glue: Use correct cast

 src/glib-glue.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f35a9e259d93e1c53cdb6f0439873bf3e85ed934
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:46:43 2020 +0200

    spawn: Don't try to call null callback

 src/spawn.hh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit eb8e2ed3923bce8ff5e1fa0d8142bfceb8dc0c70
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:43:43 2020 +0200

    spawn: Remove debug leftovers

 src/spawn.hh | 2 --
 1 file changed, 2 deletions(-)

commit 52aa14a13fd9fbfdf7c8b50970bc9315c346707d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:21:16 2020 +0200

    spawn: Tighten envv precondition check

 src/vtepty.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9697d30cead63dfba031d3547140668535395540
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:21:16 2020 +0200

    spawn: Add envv precondition check
    
    Make sure the passed environment contains valid entries in the KEY=VALUE format.

 src/vtegtk.cc         |  1 +
 src/vtepty.cc         | 23 +++++++++++++++++++++++
 src/vteptyinternal.hh |  2 ++
 3 files changed, 26 insertions(+)

commit 620923938f6dc82ae06f3c8c5e4d542e283ce183
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri May 1 10:21:16 2020 +0200

    widget: Set out param only once

 src/vtegtk.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 0bc2d7a2c29e5af9751f957c4e49808d47b98c58
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 29 15:01:07 2020 +0200

    widget: Also set n_matches out param when returning nullptr

 src/vtegtk.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6ed2ed23e32da468cd94f4f7b4425cdca2fe674f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 29 15:00:17 2020 +0200

    widget: Also set n_regexes out param on early return

 src/vtegtk.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit eae447e4d22a073bb7cac2ff6937f43747ccbee0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 29 13:13:40 2020 +0200

    widget: Fix assertion failure in vte_terminal_event_check_regex_array
    
    Simply return NULL when n_regexes is 0.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/228#note_783787

 src/vtegtk.cc | 3 +++
 1 file changed, 3 insertions(+)

commit d4d101d97f0592bf0a1b9b89e4b1cf2c3dc57f9e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 29 00:24:54 2020 +0200

    widget: Only set out param on success

 src/vtegtk.cc | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 2950eadc52f2648fbf7ee1c39e1c648675f53b29
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 28 23:40:00 2020 +0200

    widget: Fix some goi annotations
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/228#note_783408

 src/vtegtk.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8ba1ed5c6ece5efae8258723b60bc3b5a24de25f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 28 20:52:35 2020 +0200

    widget: Add introspectable variant of vte_terminal_event_check_regex_simple
    
    Based on a patch by Phil Clayton <phil.clayton@veonix.com>
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/228

 doc/reference/vte-sections.txt |  1 +
 src/vte/vteterminal.h          |  7 ++++++
 src/vtegtk.cc                  | 49 +++++++++++++++++++++++++++++++++++++++---
 3 files changed, 54 insertions(+), 3 deletions(-)

commit 4fd7bd9b2fc07938ffe2840053c4834b5f2bdedb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 28 20:52:35 2020 +0200

    icu: Add early return for no-change to set_encoding
    
    Check if the new encoding is the same as the old one, and
    return early instead of creating a new converted for the same
    charset.  This also prevents losing the outgoing queue contents
    unnecessarily.

 src/vte.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit aada5503c7d11c4620a27a68f689824fc28f5d58
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 28 20:52:35 2020 +0200

    spawn: Remove unused member variables

 src/spawn.hh | 2 --
 1 file changed, 2 deletions(-)

commit 02e62e293f0a4859326e3274c56db2eae64205c1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Apr 28 17:54:42 2020 +0200

    Updated Spanish translation

 po/es.po | 71 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 46 insertions(+), 25 deletions(-)

commit 464313bb930a6ca3b39a412c5a6e9c020873ce30
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Tue Apr 28 12:36:50 2020 +0000

    Update Turkish translation

 po/tr.po | 68 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 44 insertions(+), 24 deletions(-)

commit 97839e0f9c9c348dd706a5f694ca3ca62f109458
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 22:45:43 2020 +0200

    spawn: Remove leftover assertions

 src/spawn.cc | 8 --------
 1 file changed, 8 deletions(-)

commit b8db038eb9c097f87059c0bfff5fb9a1ff63100b
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Apr 27 20:42:47 2020 +0000

    Update Ukrainian translation

 po/uk.po | 41 +++++++++++++++++++++++++++++++++++++----
 1 file changed, 37 insertions(+), 4 deletions(-)

commit 8aefb5a7d7833dd4a975f7a870283887675ca155
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Remove unused function

 src/vtespawn.cc | 9 ---------
 1 file changed, 9 deletions(-)

commit ffedb03dbd0193b19060c4d54125eff0cd7992be
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    app: Use utility function

 src/app/app.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cf7a90fd03e0f36734a79000456d58421f4e29b8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Make argv precondition check tighter
    
    argv[0] must be non-nullptr too.

 src/app/app.cc | 6 ++++++
 src/vtegtk.cc  | 1 +
 src/vtepty.cc  | 1 +
 3 files changed, 8 insertions(+)

commit 5454a606442d9da5f3042ce87214abeedb3d969e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Move impl for missing libc function to missing.cc

 src/missing.cc  | 14 ++++++++++++++
 src/missing.hh  |  5 +++++
 src/vtespawn.cc |  5 ++---
 src/vteutils.cc | 13 -------------
 src/vteutils.h  |  3 ---
 5 files changed, 21 insertions(+), 19 deletions(-)

commit 387b0a4924c895d14c5776093274fecd13c23138
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Remove duplicated code

 src/pty.cc | 29 ++++-------------------------
 1 file changed, 4 insertions(+), 25 deletions(-)

commit d7a9beeffee2f5177b5fec79cf5cdc8e5bc4f636
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Move utility function to the file of its only caller
    
    read_ints is only used in spawn.cc, so move it there. Make a note
    that this code is copied from glib.

 po/POTFILES.in   |   1 +
 src/libc-glue.hh |  57 ++++++++++++++++++-----
 src/spawn.cc     | 125 ++++++++++++++++++++++++++++++++++++++++++++++++---
 src/vtespawn.cc  | 134 -------------------------------------------------------
 src/vtespawn.hh  |   8 ----
 5 files changed, 166 insertions(+), 159 deletions(-)

commit 69ed779091b4165b8ea3894e4d58b986dde946a5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Move fdwalk fallback implementation to its own file

 src/meson.build |   1 +
 src/missing.cc  | 148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/missing.hh  |   5 ++
 src/spawn.cc    |  33 ++++++++++++-
 src/spawn.hh    |   1 +
 src/vtespawn.cc | 139 ----------------------------------------------------
 src/vtespawn.hh |   6 ---
 7 files changed, 186 insertions(+), 147 deletions(-)

commit af649664497d8e1b0b191705e9f09c019f103d68
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Allow passing file descriptors to the child process
    
    Add vte_pty_spawn_with_fds_async() and vte_terminal_spawn_with_fds_async()
    that take an array of file descriptors, and an array of integers specifying
    where to assign the file descriptors to in the child process.
    
    This also fixes the equivalent of gspawn/gsubprocess bug
    https://gitlab.gnome.org/GNOME/glib/-/issues/2097 when using
    these new functions (e.g. in gnome-terminal).

 doc/reference/vte-sections.txt |   2 +
 meson.build                    |   5 +-
 src/app/app.cc                 | 140 +++++++++++++++++++++++---
 src/libc-glue.hh               |  95 ++++++++++++++++++
 src/pty.cc                     |   7 +-
 src/pty.hh                     |   2 +-
 src/spawn.cc                   | 217 +++++++++++++++++++++++++++++------------
 src/spawn.hh                   |  48 ++++++++-
 src/vte/vtepty.h               |  17 ++++
 src/vte/vteterminal.h          |  19 ++++
 src/vtegtk.cc                  | 123 +++++++++++++++++------
 src/vtepty.cc                  | 120 ++++++++++++++++++-----
 src/vteptyinternal.hh          |   4 +-
 13 files changed, 663 insertions(+), 136 deletions(-)

commit fc75bd93068041860276cd8b75d73d2d95dd9667
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    pty: Call grantpt/unlockpt when opening the PTY
    
    ... instead of in the child after fork.
    
    This fixes an infrequent deadlock in the NSS code when grantpt
    is called in the child while it was in use in another thread in
    the parent process.
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/195

 src/pty.cc | 34 ++++++++++++++++++++++++----------
 1 file changed, 24 insertions(+), 10 deletions(-)

commit 80a583842f9d013f63d80c469c4b7eace2c03414
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Rework spawning
    
    The old spawning code was copied from glib, and used a thread to
    make the synchronous variant into an asynchronous one. This had the
    problem that fork(3p) was called from the worker thread, not the
    calling (main) thread.
    
    The new code replaces this with a two-stage approach where the
    fork takes place on the calling thread, and only the async wait
    for the child error is done in a worker thread.
    
    This also unifies the sync and async spawn variants to use
    the exact same code, only called in one or two stages.
    
    This also removes calls to setenv/unsetenv from the child setup
    code, which are not safe to do there. Instead, the environment
    is prepared in advance and used via execve(2).
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/118

 src/app/app.cc        |   7 +-
 src/glib-glue.hh      |  63 ++++++-
 src/libc-glue.hh      |  13 +-
 src/meson.build       |   3 +
 src/missing.hh        |  25 +++
 src/pty.cc            | 304 +++----------------------------
 src/pty.hh            |  22 +--
 src/refptr.hh         |   7 +
 src/spawn.cc          | 486 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/spawn.hh          | 213 ++++++++++++++++++++++
 src/vte.cc            |   4 +-
 src/vte/vteterminal.h |   2 +-
 src/vtedefines.hh     |   4 +
 src/vtegtk.cc         | 106 +++++------
 src/vtepty.cc         | 308 +++++++++++++++-----------------
 src/vteptyinternal.hh |  23 +--
 src/vtespawn.cc       | 386 ++++++---------------------------------
 src/vtespawn.hh       |  32 ++--
 18 files changed, 1104 insertions(+), 904 deletions(-)

commit 3911b3ee1a6a00cf78d277812f52df8423bec989
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    docs: Add index for API new in 0.62

 doc/reference/vte-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit ca76aa7678655a0da430a9127a77f7c003bb4a77
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    pty: spawn: Mask vte additions to GSpawnFlags

 src/pty.cc | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 02e4d76017e59ef13b3ec0cfc3dc70aa7153c4fb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Use GIOErrorEnum errors to translate errno

 src/vtespawn.cc | 154 ++++++--------------------------------------------------
 1 file changed, 16 insertions(+), 138 deletions(-)

commit 7caf60301238a80ce53fc12fff159fbc57bb87df
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unnecessary code
    
    All FDs are CLOEXEC anyway, so there's no need to explicitly close this FD.

 src/vtespawn.cc | 6 ------
 1 file changed, 6 deletions(-)

commit f6384bae65e848a8de3167e6f00e083f75aaa3c1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unused parameter and variables
    
    Vte never uses an intermediate child process.

 src/vtespawn.cc | 17 +++--------------
 1 file changed, 3 insertions(+), 14 deletions(-)

commit f0785e0498fe7c7c37416f7d11c2abea5c05edea
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Always set FDs CLOEXEC

 src/vtespawn.cc | 26 +++++---------------------
 1 file changed, 5 insertions(+), 21 deletions(-)

commit 84d9b5192bb999054e50487ac3b3019068f77371
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unused error cases

 src/vtespawn.cc | 19 -------------------
 1 file changed, 19 deletions(-)

commit 27766e7f3b10f37e9d15d57bb9cf37e62e87aa34
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unused code
    
    Vte always uses a child setup function, so this code was never executed.

 src/vtespawn.cc | 56 +-------------------------------------------------------
 1 file changed, 1 insertion(+), 55 deletions(-)

commit 280cf8160122065bd4d82f1828c33c49cfb33485
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unused functionality
    
    Vte always connects stdin, stdout and stderr to the PTY, so
    G_SPAWN_STD{OUT,ERR}_TO_DEV_NULL and G_SPAWN_CHILD_INHERITS_STDIN
    are not supported.

 src/vtegtk.cc   | 10 +++++++++
 src/vtepty.cc   | 13 ++++++++++++
 src/vtespawn.cc | 65 +++------------------------------------------------------
 3 files changed, 26 insertions(+), 62 deletions(-)

commit f38de6a95228cd250b97610ce5cc4ec99ab91ea8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Whitespace cleanup

 src/vtespawn.cc | 60 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit 626bebff6dbc641afaf6ede2e1dda2e84f5f0fd0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    spawn: Remove unused functionality

 src/pty.cc      |  38 ++++----
 src/vtespawn.cc | 279 +++++++++++++++-----------------------------------------
 src/vtespawn.hh |  14 ---
 3 files changed, 91 insertions(+), 240 deletions(-)

commit 877d5b298160f02a4caa29b043aa2f24672e8402
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    pty: Don't fail init when passed a cancellable

 src/vtepty.cc | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 12097b6c5135745de8cc756e02cad16f536cb33e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    pty: Add link to some docs

 src/pty.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit c9dc0863888e536f002059550e205cdc1c03d701
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    pty: Split getting PTY peer FD out of child setup
    
    It will be needed separately when spawning via the portal.

 src/pty.cc | 168 +++++++++++++++++++++++++++++++++----------------------------
 src/pty.hh |   2 +
 2 files changed, 92 insertions(+), 78 deletions(-)

commit e3bc90a3d60884e7f230d093bcb60625e0b1dcde
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Make FD helper class less magic
    
    Remove operator int() and operator int*(), and add operator bool()
    and an explicit get().

 src/libc-glue.hh |  9 +++++++--
 src/pty.cc       | 58 ++++++++++++++++++++++++++++----------------------------
 src/pty.hh       |  6 +++---
 3 files changed, 39 insertions(+), 34 deletions(-)

commit 328ac0df7f98f51a8251fd88e819160ec362ea91
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 27 20:49:04 2020 +0200

    lib: Rename some helper classes
    
    Move smart FD and errno helper classes to its own header, and
    rename them.

 src/libc-glue.hh | 105 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/meson.build  |   8 +++--
 src/pty.cc       |  36 +++++++++----------
 src/pty.hh       |   7 ++--
 src/vtepty.cc    |  13 +++----
 src/vtetypes.cc  |  27 ++------------
 src/vtetypes.hh  |  36 -------------------
 7 files changed, 144 insertions(+), 88 deletions(-)

commit 344c2e77e9fdbc19f4c213c23b7bf91e93a9f7aa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 25 12:28:14 2020 +0200

    icu: glue: Set error callback on the from-unicode conversion
    
    The from-unicode side of the converter is only used on user input
    (keyboard, IM, clipboard paste). When it receives input not representable
    in the target encoding, it inserts the substitution character of the
    target encoding, which in many cases is U+001A. However, when sent to a
    PTY, that is interpreted as Ctrl-Z.
    
    Instead, set the from-unicode converter to error out when encountering
    such unrepresentable input.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/233

 src/icu-glue.cc | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 19c9401788880debb852bc3a93df1cd99dad5192
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 25 09:29:35 2020 +0200

    lib: Fix switching between legacy encodings
    
    Need to switch encoders when changing the encoding between
    two legacy encodings.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/232

 src/vte.cc | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit 408a041584c5c10a6b8d133495078851d44730e6
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sat Apr 25 07:04:31 2020 +0000

    Update Ukrainian translation

 po/uk.po | 130 ++++++++-------------------------------------------------------
 1 file changed, 16 insertions(+), 114 deletions(-)

commit 9a21d415720a9c1981c29429e32a6521de056a99
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 23 00:06:04 2020 +0200

    widget: Set error from vte_terminal_set_encoding when built without ICU

 src/vte.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 262c45090dc5557732337517422f7da9bf9069bb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Apr 22 23:44:54 2020 +0200

    all: Fix the build without ICU

 src/decoder-cat.cc | 23 +++++++++++++++++++++--
 src/meson.build    |  6 +++++-
 src/vte.cc         |  4 ++++
 3 files changed, 30 insertions(+), 3 deletions(-)

commit 276d06cf3238e2de2869493575ad7eb0f323058b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 20 23:19:43 2020 +0200

    docs: Add index for API new in 0.60

 doc/reference/vte-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit 663983a1d38c782c73bb9af640d6e0beb26e86f6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Apr 19 20:03:35 2020 +0200

    glib: glue: Set source names for debug
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/231

 src/glib-glue.hh | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit a201edeee522d7153ae4a3b7b2ee5e67dfe2eb86
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 9 11:43:19 2020 +0200

    lib: Fix exception thrown from std::clamp
    
    Add vte::clamp which doesn't throw when max<min.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/228#note_764989

 src/vte.cc         |  2 +-
 src/vteinternal.hh | 12 ++++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

commit bc119fe2174db5c1d5dc88aa1c178e38fcebf9f0
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Thu Apr 2 18:20:44 2020 +0200

    widget: Improve legibility when using colours from the system theme
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/225

 src/vtegtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42f256b3a04ceb41e4e39c442ffe96a06d417e73
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 2 21:59:50 2020 +0200

    app: Add options to use theme colours

 src/app/app.cc | 31 +++++++++++++++++++++++++++++--
 1 file changed, 29 insertions(+), 2 deletions(-)

commit b9adc08edf2899b7f66fa03a86eb0f208c69a6bd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 29 23:27:57 2020 +0200

    docs: Add regex flag requirements
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/223

 src/vtegtk.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f0162eaf518ee260d08b7a794ff6f493df356433
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 29 23:27:57 2020 +0200

    docs: Add regex flag requirements
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/223

 src/vtegtk.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 8efe867a817107f92e7b8663ee881bb8e4049e43
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 29 23:27:57 2020 +0200

    bindings: gir: Add missing file to extract source comments and annotations from

 src/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit 277ee003066b3993cf6d55a05606009caac69015
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 26 18:18:51 2020 +0100

    widget: Emit the ::commit signal even when the terminal has no PTY
    
    Some users drive VteTerminal entirely with vte_terminal_feed/feed_child(),
    e.g. qemu, and they rely on the ::commit signal to read the user input.
    So for now, restore the signal emission.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/222

 src/vte.cc | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 12814a1dfd33018268af10d257e96bb78bdcf5b8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 24 20:22:08 2020 +0100

    app: Fix --no-pty mode thinko

 src/app/app.cc | 36 ++++++++++++++----------------------
 1 file changed, 14 insertions(+), 22 deletions(-)

commit 628273d8a86b3638808303dd4ffa7dc8332917b9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 24 19:55:09 2020 +0100

    app: Add mode to test operation without a PTY
    
    Add --no-pty which together with --no-shell tests the mode where
    vte is driven entirely from vte_terminal_feed().

 src/app/app.cc | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

commit fd91213485aff9304403f34f1bdaf9f67bca646c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 24 19:10:32 2020 +0100

    app: Add test for vte_terminal_feed_child
    
    When passed --feed-stdin, read data from stdin and write it to
    the terminal with vte_terminal_feed_child().

 src/app/app.cc | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)

commit 070085ea5d7e7dab48b0b8780add3e782948d025
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 22 23:46:43 2020 +0100

    build: Keep files list sorted

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e44aac2dc0a545277b2cc206203000f394296bb7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 22 23:34:40 2020 +0100

    bindings: gir: Fix VtePty
    
    The build was missing the annotations for VtePty since it was moved
    into a new file.
    
    https://gitlab.gnome.org/GNOME/vte/issues/221

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d77d42c6d556a961ad99b682e1b65b5e6aecc979
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Mar 13 16:30:50 2020 +0100

    vte.csh: Fix the behavior if VTE_VERSION is undefined
    
    https://gitlab.gnome.org/GNOME/vte/issues/217

 src/vte.csh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 288e5f0e303651e9fa9791b9c227895354cae07c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 29 20:42:23 2020 +0100

    Post branch version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f843b12cf3375876d5b04b4d37da3fb3e5a73e2c (tag: 0.59.92)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 29 20:36:25 2020 +0100

    Version 0.59.92

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff88e5aa067850430f8d222de70b5f8a243b2183
Author: Jor Teron <jor.teron@gmail.com>
Date:   Sun Feb 23 07:20:51 2020 +0000

    Update Karbi translation

 po/mjw.po | 30 ++++++++----------------------
 1 file changed, 8 insertions(+), 22 deletions(-)

commit bc2ff07dc24ca1f20e7023c21c9f104881785498
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 19 21:41:22 2020 +0100

    app: Add option to disable scrollbar

 src/app/app.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 215b0605773d0351b1ae05d32c29dfda09b869eb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 19 21:41:22 2020 +0100

    lib: Use g_propagate_error here

 src/glib-glue.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7d8f5ba7f44d11ff7ee2982260431ad7c9b43fe
Author: Zander Brown <zbrown@gnome.org>
Date:   Wed Feb 19 19:18:33 2020 +0000

    Update British English translation

 po/en_GB.po | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit adedb9c5ef222d52c6f66e3140de4d3cd4b7bc3d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 17 20:57:29 2020 +0100

    emulation: Remove 'separated mosaic' SGR
    
    This needs to be discussed in terminal-wg before we commit
    to the new SGR numbers.

 src/attr.hh       |   8 +---
 src/cell.hh       |   1 -
 src/parser-sgr.hh |   2 -
 src/vte.cc        |   3 +-
 src/vtedraw.cc    | 108 ------------------------------------------------------
 src/vteseq.cc     |   6 ---
 6 files changed, 2 insertions(+), 126 deletions(-)

commit e1162ba50d9eced3503c5b7473c1b7ea178fda21
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 10 00:00:00 2020 +0100

    draw: Enable unicode 13 legacy terminal characters
    
    Enable custom drawing of new characters U+1FB00..U+1FBBF from the
    unicode 13.0 Symbols for Legacy Computing block.

 src/vtedraw.cc | 26 ++------------------------
 1 file changed, 2 insertions(+), 24 deletions(-)

commit 34cf6f5717d1404c2d8902cb8710aa5ab78c9950
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 16 12:57:18 2020 +0100

    draw: Add extra define for separated mosaic drawing
    
    The new Unicode 13.0 characters will be enabled soon, but the
    separated mosaic drawing will need to be proposed to terminal-wg
    before we can enable this in a release.

 src/vtedraw.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 81bd158c24ef1d716d3cbf801e72fda2e11b81b4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 16 12:37:47 2020 +0100

    build: systemd: Add option to disable systemd support

 meson.build       |  5 ++++-
 meson_options.txt |  7 +++++++
 src/meson.build   |  4 ++--
 src/pty.cc        | 11 +++++++----
 src/vtegtk.cc     |  8 ++++++++
 5 files changed, 28 insertions(+), 7 deletions(-)

commit 83626eb775fe856e1cdbd5c35a58bb30b9ced845
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 15 20:44:13 2020 +0100

    Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a444c23eca931cadad321eaf06bc9c437ed9cee3 (tag: 0.59.91)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 15 20:39:42 2020 +0100

    Version 0.59.91

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12a54279ce70874d3b50540c1ef64f87e2240b37
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 15 20:38:32 2020 +0100

    pty: Reduce wait-for-EOS time to 2 seconds
    
    This should make the delay less noticeable while still allowing to read
    all data from the recently exited child process.

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 81c7d901f7b3e9f961cb1113251a46af6d56b783
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 5 18:27:22 2020 +0100

    build: Fix libsystemd req version
    
    sd_pid_get_user_slice() was added in 220, so change the minimum dep version to that.

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ea1c0495dc5b51f5228eecd84d1c3e3aca98613
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 4 18:13:47 2020 +0100

    systemd: Put child process into the parent's slice

 src/systemd.cc | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 9e8168d9e510388842c09296e5beea0c7ec8bcff
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 4 18:13:47 2020 +0100

    systemd: Install config drop-in for vte-spawn-.scope

 meson.build               |  4 ++++
 src/meson.build           | 10 ++++++++++
 src/systemd.cc            |  1 -
 src/vte-spawn-.scope.conf |  6 ++++++
 4 files changed, 20 insertions(+), 1 deletion(-)

commit 1d488966c70f97a86962e0f4a470451bf1cd223d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 4 18:13:47 2020 +0100

    systemd: Add systemd support
    
    Move newly created child processes into their own systemd user scope.
    Apparently this is required so that when the OOM killer catches one
    of gnome-terminal-server's child processes, it doesn't also kill
    gnome-terminal-server itself and thus all and every terminals in it.
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-terminal/issues/206
    https://bugzilla.gnome.org/show_bug.cgi?id=744736
    https://bugzilla.redhat.com/show_bug.cgi?id=1796828

 doc/reference/vte-sections.txt |   2 +
 meson.build                    |  15 ++++--
 src/app/app.cc                 |  11 ++++-
 src/meson.build                |  10 ++++
 src/pty.cc                     |  61 ++++++++++++++++++------
 src/systemd.cc                 | 104 +++++++++++++++++++++++++++++++++++++++++
 src/systemd.hh                 |  33 +++++++++++++
 src/vte/vtepty.h               |   4 +-
 src/vtegtk.cc                  |  13 +++++-
 src/vtepty.cc                  |  34 ++++++++++++++
 10 files changed, 266 insertions(+), 21 deletions(-)

commit 427eebbf210c0d090abe8f220e4dac7fc1021bb5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 4 18:13:47 2020 +0100

    pty: Document VTE_SPAWN_NO_PARENT_ENVV

 doc/reference/vte-sections.txt |  1 +
 src/vtepty.cc                  | 11 +++++++++++
 2 files changed, 12 insertions(+)

commit 27804390ee936ae79b973f3128db1d88b137710c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 4 18:13:47 2020 +0100

    lib: Add smart pointer for g_free()able things

 src/glib-glue.hh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit c4f90c53cb1f2267eb7b7de9dc834ac17720f51b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 1 00:00:00 2020 +0100

    emulation: Remove support for obsolete charset
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732586#c5

 src/vte.cc         | 3 ---
 src/vteinternal.hh | 3 +--
 src/vteseq.cc      | 7 -------
 3 files changed, 1 insertion(+), 12 deletions(-)

commit 4e3f29303b6f0234a47b159c932bc075ee4d455e
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   Mon Jan 27 12:34:24 2020 +0000

    Update Malay translation

 po/ms.po | 169 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 70 insertions(+), 99 deletions(-)

commit 3bd204b9400650ff75197b4a1ab65711a58b5388
Author: Carlos Santos <casantos@redhat.com>
Date:   Wed Jan 22 18:06:28 2020 +0100

    vte.sh: Add vte.csh, a tcsh counterpart of vte.sh
    
    Use vte-urlencode-cwd in the precmd alias. This overrides an existing precmd
    and can also be overriten, like happens with the PROMPT_COMMAND variable
    in vte.sh.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/206

 src/meson.build | 10 ++++++++++
 src/vte.csh.in  | 24 ++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

commit 115db9c2b4d07ab7bcd98c287c39854649bd2750
Author: Carlos Santos <casantos@redhat.com>
Date:   Wed Jan 22 18:06:28 2020 +0100

    vte.sh: Use the vte-urlencode utility
    
    Drop the __vte_urlencode function and use the vte-urlencode-cwd utility,
    instead of it, in __vte_osc7.
    
    Also call __vte_osc7 directly in __vte_prompt_command, instead of in a
    subshell, avoiding an extra fork.
    
    Drop the __vte_urlencode test, since the function does not exist anymore
    and vte-urlencode-cwd has its own test.
    
    https://gitlab.gnome.org/GNOME/vte/issues/206

 src/meson.build           | 32 +++++---------------
 src/test-vte-sh.sh        | 75 -----------------------------------------------
 src/{vte.sh => vte.sh.in} | 24 +++------------
 3 files changed, 11 insertions(+), 120 deletions(-)

commit f997bcb8a7623b813c00b9e0c15923e7c4ed3360
Author: Carlos Santos <casantos@redhat.com>
Date:   Wed Jan 22 18:06:28 2020 +0100

    prompt: Add a test for the vte-urlencode-cwd utility
    
    Copy src/test-vte-sh.sh to src/test-vte-urlencode.sh and adapt it to set
    PWD before running vte-urlencode-cwd instead of passing the path as argument
    to the __vte_urlencode function.
    
    https://gitlab.gnome.org/GNOME/vte/issues/206

 src/meson.build               | 12 +++++++
 src/test-vte-urlencode-cwd.sh | 80 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

commit 4c02a3e89eab6da68b63832ef7d6d5c5a2e7654a
Author: Carlos Santos <casantos@redhat.com>
Date:   Wed Jan 22 18:06:28 2020 +0100

    prompt: Add a vte-urlencode-cwd utility
    
    This will be used by the shell prompt command to url-encode the
    current directory (taken from PWD).
    
    https://gitlab.gnome.org/GNOME/vte/issues/206

 src/meson.build  | 17 +++++++++++++++++
 src/urlencode.cc | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

commit 8f5724c2d9d6bb00966a705ac7ea535fe8b4bbb4
Author: Zander Brown <zbrown@gnome.org>
Date:   Mon Jan 20 21:55:24 2020 +0100

    widget: Set terminal input purpose
    
    This enables OSKs to show keys not usually shown, like Control.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/issues/212

 src/widget.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit dc9c6614b0bf4b02f810b53880ce139b2bbba0de
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Jan 20 17:08:30 2020 +0000

    Update Slovak translation

 po/sk.po | 49 +++++++++++++++++++------------------------------
 1 file changed, 19 insertions(+), 30 deletions(-)

commit ca4b833b306eeea94058a19be5e7cdfdf9756966
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 23:59:31 2019 +0100

    lib: Add missing noexcept

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 058adf5f924cce9ee1e6da2d8f3909c441d90ec1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    pty: Fix indefinite wait for EOS after child-exited
    
    When the child process exits, we wait for EOF on the PTY, so that we
    can read and process any data already emitted by the child process but
    not read yet at that time.
    
    However that leads to a problem when the child process created child
    processes of its own that inherited the PTY as stdin/out/err, which keeps
    the PTY open and thus we get no EOF until all such processes have exited.
    
    To work around this, install a timeout when the child process exits, and
    when the timer times out, fake en EOF.
    
    https://gitlab.gnome.org/GNOME/vte/issues/204

 src/glib-glue.hh   |  4 ++--
 src/vte.cc         | 29 +++++++++++++++++++++++++++++
 src/vteinternal.hh |  4 ++++
 3 files changed, 35 insertions(+), 2 deletions(-)

commit fbdaa7c71b0a79bee9a8b638c4b96854be519473
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    lib: Use Timer class for mouse autoscroll timer

 src/vte.cc         | 45 +++++++++------------------------------------
 src/vteinternal.hh |  8 +++++---
 2 files changed, 14 insertions(+), 39 deletions(-)

commit 0746dad188a3c3337dff01474aa586edafcf615c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    lib: Use Timer class for text blink timer

 src/vte.cc         | 39 +++++++++++++--------------------------
 src/vteinternal.hh | 11 ++++++-----
 2 files changed, 19 insertions(+), 31 deletions(-)

commit b80417fc07b279ffb1fa8507f65ad8327546854b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    lib: Use Timer class for cursor blink timer

 src/vte.cc         | 36 ++++++++++--------------------------
 src/vteinternal.hh | 11 +++++++----
 2 files changed, 17 insertions(+), 30 deletions(-)

commit 87546597ea47ab952766a099c07de547a95c2d40
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    lib: Add convenience class for timeouts

 src/glib-glue.hh | 125 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

commit f3f7fd4e1b550e22fd6f92d9c5579d23ade81f4c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 1 22:58:51 2019 +0100

    lib: Add GError convenience class

 src/app/app.cc      | 90 ++++++++++++++++++++++++-----------------------------
 src/app/meson.build |  2 +-
 src/decoder-cat.cc  |  8 ++---
 src/glib-glue.hh    | 59 +++++++++++++++++++++++++++++++++++
 src/meson.build     | 14 ++++++---
 src/parser-cat.cc   |  8 ++---
 src/pty.cc          | 15 ++++-----
 src/vtegtk.cc       | 14 +++------
 8 files changed, 130 insertions(+), 80 deletions(-)

commit 9a6dded6e975e11877976ca46713644d4e4adaae
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 27 19:16:57 2019 +0100

    regex: Use string_view and optional

 src/regex.cc    | 63 +++++++++++++++++++++++++++++----------------------------
 src/regex.hh    |  9 +++++----
 src/vteregex.cc |  3 ++-
 3 files changed, 39 insertions(+), 36 deletions(-)

commit 61e41f1fab719c0d288dc4fe4f43798bd93eb8bd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 27 19:16:57 2019 +0100

    regex: Use string_view

 src/regex.cc    |  8 +++-----
 src/regex.hh    |  4 ++--
 src/vteregex.cc | 11 ++++++-----
 3 files changed, 11 insertions(+), 12 deletions(-)

commit c33f440f867d210f03d8378a11c758a406234dd4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 26 19:24:00 2019 +0100

    pty: Add debug output for when EOS happens

 src/vte.cc | 3 +++
 1 file changed, 3 insertions(+)

commit a0bb8222f3a0a29e4f22817bf3d7053d185b7afb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 26 19:24:00 2019 +0100

    widget: Finish deprecation of GRegex taking APIs
    
    Using GRegex with vte has been deprecated since version 0.46.
    Now remove the internal translation from GRegex to PCRE2, making
    making all public API taking GRegex simple no-ops.

 src/app/app.cc          | 87 ++++++++++++++-----------------------------------
 src/regex.cc            |  1 -
 src/vtegtk.cc           | 34 +++----------------
 src/vteregex.cc         | 87 -------------------------------------------------
 src/vteregexinternal.hh |  6 ----
 5 files changed, 28 insertions(+), 187 deletions(-)

commit 596a581540f0f3789ad526ab075265f8ec35c800
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 26 19:24:00 2019 +0100

    parser: Small documentation addition

 src/parser.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 26bc760d0944232e2d18640b294edf058c9a936c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 24 19:15:34 2019 +0100

    emulation: Remove support for window control sequences
    
    Remove support for raising/lowering, iconify/deiconify and maximise/restore,
    and to move the window.
    
    Remove support for refresh. Vte tracks which areas need to be repainted; so
    there is *never* a need for the application to tell vte to repaint everything.
    
    https://gitlab.gnome.org/GNOME/vte/issues/128

 src/vte.cc         |   3 ++
 src/vtegtk.cc      |  32 +++++++++++----
 src/vteinternal.hh |  12 ++----
 src/vteseq.cc      | 115 ++++-------------------------------------------------
 4 files changed, 37 insertions(+), 125 deletions(-)

commit 901c7739362d4b6228897486c127bdbe6ba3a7df
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Nov 22 22:35:32 2019 +0100

    emulation: Report fixed origin for CSI 13 t
    
    https://gitlab.gnome.org/GNOME/vte/issues/128

 src/vteseq.cc | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit b1af917ffbccb516e8cdbb4c624c39615444c423
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 22:02:51 2019 +0100

    draw: Fix unused function warning

 src/vtedraw.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit ea96b074c0a599c275ab7bfede5eda7a23b2440d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Use functions instead of macros

 src/vtedraw.cc | 244 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 132 insertions(+), 112 deletions(-)

commit f39fc152929f8f02ddc631c64afc4dfac59f9fe7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Make some data static and shrink it
    
    Use int8_t where possible instead of wasting space for a full int.

 src/vtedraw.cc | 46 ++++++++++++++++++++++------------------------
 1 file changed, 22 insertions(+), 24 deletions(-)

commit 76571681c1e5f176d694e62b2c38c9f7eba14165
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Narrow the range of characters in the U+1FBxx block
    
    Don't include unallocated characters, and also exclude the 7-segment
    numbers which can be drawn just fine using a font.

 src/vtedraw.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3718ee42cfca70fe2aeed5aa9eefc1d36aae8f9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Implement U+1FBAF

 doc/boxes.txt  | 5 +++++
 src/vtedraw.cc | 7 +++++++
 2 files changed, 12 insertions(+)

commit df35de1bd58ffa81f7d12ae1f801bb578c9dfd72
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Improve diagnoals drawing
    
    Make the diagonals contiguous by allowing them to slightly extend
    outside the cell on the left and right.

 src/vtedraw.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 5a2a631cc10a52bc5df93a54051a10406cf59321
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Make new diagonal characters align better with box drawings
    
    Make the new diagonal characters align with the horizontal and
    vertical box drawing characters, by making them have a square end.

 src/vtedraw.cc | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit e9ba527edf8bd6727ba117834b82c25e57e362b3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

    draw: Use binary notation for some constants

 src/vtedraw.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a782f9663890e12c1643199c4c274394e0da298a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 21 20:52:27 2019 +0100

